#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::BaseJob
      switch(to) {
        case 17: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 1: return (void*)(Attica::BaseJob*)xptr;
        case 2: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        case 5: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::GetJob
      switch(to) {
        case 1: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 17: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 2: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::Metadata
      switch(to) {
        case 3: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::PlatformDependent
      switch(to) {
        case 4: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::PostJob
      switch(to) {
        case 1: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 17: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 5: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::Provider
      switch(to) {
        case 6: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::ProviderManager
      switch(to) {
        case 17: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 7: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 8:   //QByteArray
      switch(to) {
        case 8: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 9:   //QChildEvent
      switch(to) {
        case 9: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QEvent
      switch(to) {
        case 10: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QIODevice
      switch(to) {
        case 17: return (void*)(QObject*)(QIODevice*)xptr;
        case 12: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 13:   //QMetaObject
      switch(to) {
        case 13: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 14:   //QNetworkAccessManager
      switch(to) {
        case 17: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 14: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 15:   //QNetworkReply
      switch(to) {
        case 15: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 16:   //QNetworkRequest
      switch(to) {
        case 16: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 17:   //QObject
      switch(to) {
        case 17: return (void*)(QObject*)xptr;
        case 7: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 1: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 2: return (void*)(Attica::GetJob*)(QObject*)xptr;
        case 5: return (void*)(Attica::PostJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 18:   //QTimerEvent
      switch(to) {
        case 18: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QUrl
      switch(to) {
        case 19: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    17, 0,	// 1: QObject
    1, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//1
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//2
    { "Attica::Metadata", true, 0, 0, 0, 0, 0 },	//3
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//4
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//5
    { "Attica::Provider", true, 0, 0, 0, 0, 0 },	//6
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//7
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//8
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//11
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//12
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//13
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//14
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//15
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//16
    { "QObject", true, 0, 0, 0, 0, 0 },	//17
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QUrl", true, 0, 0, 0, 0, 0 },	//19
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::BaseJob*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Attica::GetJob*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Attica::Metadata", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "Attica::PlatformDependent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Attica::PostJob*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Attica::Provider", 6, Smoke::t_class|Smoke::tf_stack },	//6
    { "Attica::ProviderManager*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChildEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QIODevice*", 12, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QMetaObject::Call", 13, Smoke::t_enum|Smoke::tf_stack },	//13
    { "QNetworkAccessManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QNetworkReply*", 15, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QObject*", 17, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//18
    { "QTimerEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QtMsgType", 11, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtValidLicenseForActiveQtModule", 11, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QtValidLicenseForCoreModule", 11, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QtValidLicenseForDBusModule", 11, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QtValidLicenseForDeclarativeModule", 11, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtValidLicenseForGuiModule", 11, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtValidLicenseForHelpModule", 11, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForMultimediaModule", 11, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForNetworkModule", 11, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForOpenGLModule", 11, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForOpenVGModule", 11, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForQt3SupportLightModule", 11, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForQt3SupportModule", 11, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForScriptModule", 11, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForScriptToolsModule", 11, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForSqlModule", 11, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForSvgModule", 11, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForTestModule", 11, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForXmlModule", 11, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForXmlPatternsModule", 11, Smoke::t_enum|Smoke::tf_stack },	//110
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//111
    { "const Attica::Metadata&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//112
    { "const Attica::PlatformDependent&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//113
    { "const Attica::Provider&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//114
    { "const QByteArray&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//115
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//116
    { "const QMetaObject&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//117
    { "const QMetaObject*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//118
    { "const QNetworkRequest&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//119
    { "const QSharedPointer<Attica::PlatformDependent>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//120
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//121
    { "const QUrl&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//122
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//123
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//124
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//125
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//126
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//128
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//130
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    123, 0,	//1  const char*
    123, 123, 0,	//3  const char*, const char*
    123, 123, 125, 0,	//6  const char*, const char*, int
    13, 125, 129, 0,	//10  QMetaObject::Call, int, void**
    1, 0,	//14  Attica::BaseJob*
    120, 0,	//16  const QSharedPointer<Attica::PlatformDependent>&
    112, 0,	//18  const Attica::Metadata&
    121, 0,	//20  const QString&
    120, 119, 0,	//22  const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&
    122, 0,	//25  const QUrl&
    122, 18, 18, 0,	//27  const QUrl&, QString&, QString&
    122, 121, 121, 0,	//31  const QUrl&, const QString&, const QString&
    119, 0,	//35  const QNetworkRequest&
    119, 10, 0,	//37  const QNetworkRequest&, QIODevice*
    119, 115, 0,	//40  const QNetworkRequest&, const QByteArray&
    113, 0,	//43  const Attica::PlatformDependent&
    120, 119, 10, 0,	//45  const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, QIODevice*
    120, 119, 116, 0,	//49  const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QMap<QString,QString>&
    120, 119, 115, 0,	//53  const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QByteArray&
    111, 0,	//57  bool
    114, 0,	//59  const Attica::Provider&
    9, 0,	//61  QEvent*
    16, 9, 0,	//63  QObject*, QEvent*
    19, 0,	//66  QTimerEvent*
    8, 0,	//68  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "BaseJob",	//1
    "BaseJob?",	//2
    "GetJob",	//3
    "GetJob?#",	//4
    "LicensedActiveQt",	//5
    "LicensedCore",	//6
    "LicensedDBus",	//7
    "LicensedDeclarative",	//8
    "LicensedGui",	//9
    "LicensedHelp",	//10
    "LicensedMultimedia",	//11
    "LicensedNetwork",	//12
    "LicensedOpenGL",	//13
    "LicensedOpenVG",	//14
    "LicensedQt3Support",	//15
    "LicensedQt3SupportLight",	//16
    "LicensedScript",	//17
    "LicensedScriptTools",	//18
    "LicensedSql",	//19
    "LicensedSvg",	//20
    "LicensedTest",	//21
    "LicensedXml",	//22
    "LicensedXmlPatterns",	//23
    "PlatformDependent",	//24
    "PlatformDependent#",	//25
    "PostJob",	//26
    "PostJob?#",	//27
    "PostJob?##",	//28
    "PostJob?#?",	//29
    "ProviderManager",	//30
    "Q_COMPLEX_TYPE",	//31
    "Q_DUMMY_TYPE",	//32
    "Q_MOVABLE_TYPE",	//33
    "Q_PRIMITIVE_TYPE",	//34
    "Q_STATIC_TYPE",	//35
    "QtCriticalMsg",	//36
    "QtDebugMsg",	//37
    "QtFatalMsg",	//38
    "QtSystemMsg",	//39
    "QtWarningMsg",	//40
    "abort",	//41
    "addProviderFile",	//42
    "addProviderFile#",	//43
    "addProviderFromXml",	//44
    "addProviderFromXml$",	//45
    "askForCredentials",	//46
    "askForCredentials#$$",	//47
    "authenticationCredentialsMissing",	//48
    "authenticationCredentialsMissing#",	//49
    "childEvent",	//50
    "clear",	//51
    "connectNotify",	//52
    "contains",	//53
    "contains$",	//54
    "customEvent",	//55
    "dataFinished",	//56
    "defaultProvidersLoaded",	//57
    "disconnectNotify",	//58
    "event",	//59
    "eventFilter",	//60
    "executeRequest",	//61
    "finished",	//62
    "finished#",	//63
    "get",	//64
    "get#",	//65
    "getDefaultProviderFiles",	//66
    "hasCredentials",	//67
    "hasCredentials#",	//68
    "internals",	//69
    "loadCredentials",	//70
    "loadCredentials#$$",	//71
    "loadDefaultProviders",	//72
    "metaObject",	//73
    "metadata",	//74
    "nam",	//75
    "parse",	//76
    "parse$",	//77
    "post",	//78
    "post##",	//79
    "providerAdded",	//80
    "providerAdded#",	//81
    "providerByUrl",	//82
    "providerByUrl#",	//83
    "providerFiles",	//84
    "providers",	//85
    "qt_metacall",	//86
    "qt_metacall$$?",	//87
    "qt_metacast",	//88
    "qt_metacast$",	//89
    "saveCredentials",	//90
    "saveCredentials#$$",	//91
    "setAuthenticationSuppressed",	//92
    "setAuthenticationSuppressed$",	//93
    "setMetadata",	//94
    "setMetadata#",	//95
    "start",	//96
    "staticMetaObject",	//97
    "timerEvent",	//98
    "tr",	//99
    "tr$",	//100
    "tr$$",	//101
    "tr$$$",	//102
    "trUtf8",	//103
    "trUtf8$",	//104
    "trUtf8$$",	//105
    "trUtf8$$$",	//106
    "~BaseJob",	//107
    "~GetJob",	//108
    "~PlatformDependent",	//109
    "~PostJob",	//110
    "~ProviderManager",	//111
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 73, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 118, 1},	//1 Attica::BaseJob::metaObject() const
    {1, 88, 1, 1, Smoke::mf_virtual, 128, 2},	//2 Attica::BaseJob::qt_metacast(const char*)
    {1, 99, 3, 2, Smoke::mf_static, 17, 3},	//3 Attica::BaseJob::tr(const char*, const char*)
    {1, 103, 3, 2, Smoke::mf_static, 17, 4},	//4 Attica::BaseJob::trUtf8(const char*, const char*)
    {1, 99, 6, 3, Smoke::mf_static, 17, 5},	//5 Attica::BaseJob::tr(const char*, const char*, int)
    {1, 103, 6, 3, Smoke::mf_static, 17, 6},	//6 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {1, 86, 10, 3, Smoke::mf_virtual, 125, 7},	//7 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {1, 74, 0, 0, Smoke::mf_const, 3, 8},	//8 Attica::BaseJob::metadata() const
    {1, 96, 0, 0, Smoke::mf_slot, 0, 9},	//9 Attica::BaseJob::start()
    {1, 41, 0, 0, Smoke::mf_slot, 0, 10},	//10 Attica::BaseJob::abort()
    {1, 62, 14, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//11 Attica::BaseJob::finished(Attica::BaseJob*)
    {1, 56, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//12 Attica::BaseJob::dataFinished()
    {1, 1, 16, 1, Smoke::mf_ctor|Smoke::mf_protected, 1, 13},	//13 Attica::BaseJob::BaseJob(const QSharedPointer<Attica::PlatformDependent>&)
    {1, 94, 18, 1, Smoke::mf_const|Smoke::mf_protected, 0, 14},	//14 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {1, 61, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 15, 15},	//15 Attica::BaseJob::executeRequest() [pure virtual]
    {1, 76, 20, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//16 Attica::BaseJob::parse(const QString&) [pure virtual]
    {1, 69, 0, 0, Smoke::mf_protected, 4, 17},	//17 Attica::BaseJob::internals()
    {1, 99, 1, 1, Smoke::mf_static, 17, 18},	//18 Attica::BaseJob::tr(const char*)
    {1, 103, 1, 1, Smoke::mf_static, 17, 19},	//19 Attica::BaseJob::trUtf8(const char*)
    {1, 97, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 117, 20},	//20 Attica::BaseJob::staticMetaObject() const
    {1, 107, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 Attica::BaseJob::~BaseJob()
    {2, 73, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 118, 1},	//22 Attica::GetJob::metaObject() const
    {2, 88, 1, 1, Smoke::mf_virtual, 128, 2},	//23 Attica::GetJob::qt_metacast(const char*)
    {2, 99, 3, 2, Smoke::mf_static, 17, 3},	//24 Attica::GetJob::tr(const char*, const char*)
    {2, 103, 3, 2, Smoke::mf_static, 17, 4},	//25 Attica::GetJob::trUtf8(const char*, const char*)
    {2, 99, 6, 3, Smoke::mf_static, 17, 5},	//26 Attica::GetJob::tr(const char*, const char*, int)
    {2, 103, 6, 3, Smoke::mf_static, 17, 6},	//27 Attica::GetJob::trUtf8(const char*, const char*, int)
    {2, 86, 10, 3, Smoke::mf_virtual, 125, 7},	//28 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {2, 3, 22, 2, Smoke::mf_ctor|Smoke::mf_protected, 2, 8},	//29 Attica::GetJob::GetJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&)
    {2, 99, 1, 1, Smoke::mf_static, 17, 9},	//30 Attica::GetJob::tr(const char*)
    {2, 103, 1, 1, Smoke::mf_static, 17, 10},	//31 Attica::GetJob::trUtf8(const char*)
    {2, 97, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 117, 11},	//32 Attica::GetJob::staticMetaObject() const
    {2, 108, 0, 0, Smoke::mf_dtor, 0, 12 },	//33 Attica::GetJob::~GetJob()
    {4, 66, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 12, 1},	//34 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {4, 67, 25, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 111, 2},	//35 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {4, 70, 27, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 111, 3},	//36 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {4, 46, 27, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 111, 4},	//37 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {4, 90, 31, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 111, 5},	//38 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {4, 64, 35, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 15, 6},	//39 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {4, 78, 37, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 15, 7},	//40 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {4, 78, 40, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 15, 8},	//41 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {4, 75, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 14, 9},	//42 Attica::PlatformDependent::nam() [pure virtual]
    {4, 24, 0, 0, Smoke::mf_ctor, 4, 10},	//43 Attica::PlatformDependent::PlatformDependent()
    {4, 24, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 11},	//44 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {4, 109, 0, 0, Smoke::mf_dtor, 0, 12 },	//45 Attica::PlatformDependent::~PlatformDependent()
    {5, 73, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 118, 1},	//46 Attica::PostJob::metaObject() const
    {5, 88, 1, 1, Smoke::mf_virtual, 128, 2},	//47 Attica::PostJob::qt_metacast(const char*)
    {5, 99, 3, 2, Smoke::mf_static, 17, 3},	//48 Attica::PostJob::tr(const char*, const char*)
    {5, 103, 3, 2, Smoke::mf_static, 17, 4},	//49 Attica::PostJob::trUtf8(const char*, const char*)
    {5, 99, 6, 3, Smoke::mf_static, 17, 5},	//50 Attica::PostJob::tr(const char*, const char*, int)
    {5, 103, 6, 3, Smoke::mf_static, 17, 6},	//51 Attica::PostJob::trUtf8(const char*, const char*, int)
    {5, 86, 10, 3, Smoke::mf_virtual, 125, 7},	//52 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {5, 26, 45, 3, Smoke::mf_ctor|Smoke::mf_protected, 5, 8},	//53 Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, QIODevice*)
    {5, 26, 49, 3, Smoke::mf_ctor|Smoke::mf_protected, 5, 9},	//54 Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QMap<QString,QString>&)
    {5, 26, 53, 3, Smoke::mf_ctor|Smoke::mf_protected, 5, 10},	//55 Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QByteArray&)
    {5, 99, 1, 1, Smoke::mf_static, 17, 11},	//56 Attica::PostJob::tr(const char*)
    {5, 103, 1, 1, Smoke::mf_static, 17, 12},	//57 Attica::PostJob::trUtf8(const char*)
    {5, 26, 22, 2, Smoke::mf_ctor|Smoke::mf_protected, 5, 13},	//58 Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&)
    {5, 97, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 117, 14},	//59 Attica::PostJob::staticMetaObject() const
    {5, 110, 0, 0, Smoke::mf_dtor, 0, 15 },	//60 Attica::PostJob::~PostJob()
    {7, 73, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 118, 1},	//61 Attica::ProviderManager::metaObject() const
    {7, 88, 1, 1, Smoke::mf_virtual, 128, 2},	//62 Attica::ProviderManager::qt_metacast(const char*)
    {7, 99, 3, 2, Smoke::mf_static, 17, 3},	//63 Attica::ProviderManager::tr(const char*, const char*)
    {7, 103, 3, 2, Smoke::mf_static, 17, 4},	//64 Attica::ProviderManager::trUtf8(const char*, const char*)
    {7, 99, 6, 3, Smoke::mf_static, 17, 5},	//65 Attica::ProviderManager::tr(const char*, const char*, int)
    {7, 103, 6, 3, Smoke::mf_static, 17, 6},	//66 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {7, 86, 10, 3, Smoke::mf_virtual, 125, 7},	//67 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {7, 30, 0, 0, Smoke::mf_ctor, 7, 8},	//68 Attica::ProviderManager::ProviderManager()
    {7, 72, 0, 0, 0, 0, 9},	//69 Attica::ProviderManager::loadDefaultProviders()
    {7, 92, 57, 1, 0, 0, 10},	//70 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {7, 51, 0, 0, 0, 0, 11},	//71 Attica::ProviderManager::clear()
    {7, 44, 20, 1, 0, 0, 12},	//72 Attica::ProviderManager::addProviderFromXml(const QString&)
    {7, 42, 25, 1, 0, 0, 13},	//73 Attica::ProviderManager::addProviderFile(const QUrl&)
    {7, 84, 0, 0, Smoke::mf_const, 12, 14},	//74 Attica::ProviderManager::providerFiles() const
    {7, 85, 0, 0, Smoke::mf_const, 11, 15},	//75 Attica::ProviderManager::providers() const
    {7, 53, 20, 1, Smoke::mf_const, 111, 16},	//76 Attica::ProviderManager::contains(const QString&) const
    {7, 82, 25, 1, Smoke::mf_const, 6, 17},	//77 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {7, 80, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//78 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {7, 57, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//79 Attica::ProviderManager::defaultProvidersLoaded()
    {7, 48, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//80 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {7, 99, 1, 1, Smoke::mf_static, 17, 21},	//81 Attica::ProviderManager::tr(const char*)
    {7, 103, 1, 1, Smoke::mf_static, 17, 22},	//82 Attica::ProviderManager::trUtf8(const char*)
    {7, 97, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 117, 23},	//83 Attica::ProviderManager::staticMetaObject() const
    {7, 111, 0, 0, Smoke::mf_dtor, 0, 24 },	//84 Attica::ProviderManager::~ProviderManager()
    {11, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 1},	//85 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {11, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 2},	//86 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {11, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 3},	//87 QGlobalSpace::Q_STATIC_TYPE (enum)
    {11, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 4},	//88 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {11, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 5},	//89 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {11, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 6},	//90 QGlobalSpace::LicensedQt3Support (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 7},	//91 QGlobalSpace::LicensedDeclarative (enum)
    {11, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 8},	//92 QGlobalSpace::LicensedSql (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 9},	//93 QGlobalSpace::LicensedOpenGL (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 10},	//94 QGlobalSpace::LicensedDBus (enum)
    {11, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 11},	//95 QGlobalSpace::LicensedXml (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 12},	//96 QGlobalSpace::LicensedGui (enum)
    {11, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 13},	//97 QGlobalSpace::LicensedQt3SupportLight (enum)
    {11, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 14},	//98 QGlobalSpace::LicensedHelp (enum)
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 15},	//99 QGlobalSpace::LicensedNetwork (enum)
    {11, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 16},	//100 QGlobalSpace::LicensedMultimedia (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 17},	//101 QGlobalSpace::LicensedActiveQt (enum)
    {11, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 18},	//102 QGlobalSpace::LicensedSvg (enum)
    {11, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 19},	//103 QGlobalSpace::LicensedXmlPatterns (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 20},	//104 QGlobalSpace::LicensedOpenVG (enum)
    {11, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 21},	//105 QGlobalSpace::LicensedScriptTools (enum)
    {11, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 22},	//106 QGlobalSpace::QtDebugMsg (enum)
    {11, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 23},	//107 QGlobalSpace::QtWarningMsg (enum)
    {11, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 24},	//108 QGlobalSpace::QtCriticalMsg (enum)
    {11, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 25},	//109 QGlobalSpace::QtFatalMsg (enum)
    {11, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 26},	//110 QGlobalSpace::QtSystemMsg (enum)
    {11, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 27},	//111 QGlobalSpace::LicensedScript (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 28},	//112 QGlobalSpace::LicensedCore (enum)
    {11, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 29},	//113 QGlobalSpace::LicensedTest (enum)
    {17, 59, 61, 1, Smoke::mf_virtual, 111, 0},	//114 QObject::event(QEvent*)
    {17, 60, 63, 2, Smoke::mf_virtual, 111, 0},	//115 QObject::eventFilter(QObject*, QEvent*)
    {17, 98, 66, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//116 QObject::timerEvent(QTimerEvent*)
    {17, 50, 68, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//117 QObject::childEvent(QChildEvent*)
    {17, 55, 61, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//118 QObject::customEvent(QEvent*)
    {17, 52, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//119 QObject::connectNotify(const char*)
    {17, 58, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//120 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    53,  // Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, QIODevice*)
    55,  // Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QByteArray&)
    0,
    40,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    41,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 2, 13},	// Attica::BaseJob::BaseJob?
    {1, 41, 10},	// Attica::BaseJob::abort
    {1, 56, 12},	// Attica::BaseJob::dataFinished
    {1, 61, 15},	// Attica::BaseJob::executeRequest
    {1, 63, 11},	// Attica::BaseJob::finished#
    {1, 69, 17},	// Attica::BaseJob::internals
    {1, 73, 1},	// Attica::BaseJob::metaObject
    {1, 74, 8},	// Attica::BaseJob::metadata
    {1, 77, 16},	// Attica::BaseJob::parse$
    {1, 87, 7},	// Attica::BaseJob::qt_metacall$$?
    {1, 89, 2},	// Attica::BaseJob::qt_metacast$
    {1, 95, 14},	// Attica::BaseJob::setMetadata#
    {1, 96, 9},	// Attica::BaseJob::start
    {1, 97, 20},	// Attica::BaseJob::staticMetaObject
    {1, 100, 18},	// Attica::BaseJob::tr$
    {1, 101, 3},	// Attica::BaseJob::tr$$
    {1, 102, 5},	// Attica::BaseJob::tr$$$
    {1, 104, 19},	// Attica::BaseJob::trUtf8$
    {1, 105, 4},	// Attica::BaseJob::trUtf8$$
    {1, 106, 6},	// Attica::BaseJob::trUtf8$$$
    {1, 107, 21},	// Attica::BaseJob::~BaseJob
    {2, 4, 29},	// Attica::GetJob::GetJob?#
    {2, 73, 22},	// Attica::GetJob::metaObject
    {2, 87, 28},	// Attica::GetJob::qt_metacall$$?
    {2, 89, 23},	// Attica::GetJob::qt_metacast$
    {2, 97, 32},	// Attica::GetJob::staticMetaObject
    {2, 100, 30},	// Attica::GetJob::tr$
    {2, 101, 24},	// Attica::GetJob::tr$$
    {2, 102, 26},	// Attica::GetJob::tr$$$
    {2, 104, 31},	// Attica::GetJob::trUtf8$
    {2, 105, 25},	// Attica::GetJob::trUtf8$$
    {2, 106, 27},	// Attica::GetJob::trUtf8$$$
    {2, 108, 33},	// Attica::GetJob::~GetJob
    {4, 24, 43},	// Attica::PlatformDependent::PlatformDependent
    {4, 25, 44},	// Attica::PlatformDependent::PlatformDependent#
    {4, 47, 37},	// Attica::PlatformDependent::askForCredentials#$$
    {4, 65, 39},	// Attica::PlatformDependent::get#
    {4, 66, 34},	// Attica::PlatformDependent::getDefaultProviderFiles
    {4, 68, 35},	// Attica::PlatformDependent::hasCredentials#
    {4, 71, 36},	// Attica::PlatformDependent::loadCredentials#$$
    {4, 75, 42},	// Attica::PlatformDependent::nam
    {4, 79, -4},	// Attica::PlatformDependent::post##
    {4, 91, 38},	// Attica::PlatformDependent::saveCredentials#$$
    {4, 109, 45},	// Attica::PlatformDependent::~PlatformDependent
    {5, 27, 58},	// Attica::PostJob::PostJob?#
    {5, 28, -1},	// Attica::PostJob::PostJob?##
    {5, 29, 54},	// Attica::PostJob::PostJob?#?
    {5, 73, 46},	// Attica::PostJob::metaObject
    {5, 87, 52},	// Attica::PostJob::qt_metacall$$?
    {5, 89, 47},	// Attica::PostJob::qt_metacast$
    {5, 97, 59},	// Attica::PostJob::staticMetaObject
    {5, 100, 56},	// Attica::PostJob::tr$
    {5, 101, 48},	// Attica::PostJob::tr$$
    {5, 102, 50},	// Attica::PostJob::tr$$$
    {5, 104, 57},	// Attica::PostJob::trUtf8$
    {5, 105, 49},	// Attica::PostJob::trUtf8$$
    {5, 106, 51},	// Attica::PostJob::trUtf8$$$
    {5, 110, 60},	// Attica::PostJob::~PostJob
    {7, 30, 68},	// Attica::ProviderManager::ProviderManager
    {7, 43, 73},	// Attica::ProviderManager::addProviderFile#
    {7, 45, 72},	// Attica::ProviderManager::addProviderFromXml$
    {7, 49, 80},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {7, 51, 71},	// Attica::ProviderManager::clear
    {7, 54, 76},	// Attica::ProviderManager::contains$
    {7, 57, 79},	// Attica::ProviderManager::defaultProvidersLoaded
    {7, 72, 69},	// Attica::ProviderManager::loadDefaultProviders
    {7, 73, 61},	// Attica::ProviderManager::metaObject
    {7, 81, 78},	// Attica::ProviderManager::providerAdded#
    {7, 83, 77},	// Attica::ProviderManager::providerByUrl#
    {7, 84, 74},	// Attica::ProviderManager::providerFiles
    {7, 85, 75},	// Attica::ProviderManager::providers
    {7, 87, 67},	// Attica::ProviderManager::qt_metacall$$?
    {7, 89, 62},	// Attica::ProviderManager::qt_metacast$
    {7, 93, 70},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {7, 97, 83},	// Attica::ProviderManager::staticMetaObject
    {7, 100, 81},	// Attica::ProviderManager::tr$
    {7, 101, 63},	// Attica::ProviderManager::tr$$
    {7, 102, 65},	// Attica::ProviderManager::tr$$$
    {7, 104, 82},	// Attica::ProviderManager::trUtf8$
    {7, 105, 64},	// Attica::ProviderManager::trUtf8$$
    {7, 106, 66},	// Attica::ProviderManager::trUtf8$$$
    {7, 111, 84},	// Attica::ProviderManager::~ProviderManager
    {11, 5, 101},	// QGlobalSpace::LicensedActiveQt
    {11, 6, 112},	// QGlobalSpace::LicensedCore
    {11, 7, 94},	// QGlobalSpace::LicensedDBus
    {11, 8, 91},	// QGlobalSpace::LicensedDeclarative
    {11, 9, 96},	// QGlobalSpace::LicensedGui
    {11, 10, 98},	// QGlobalSpace::LicensedHelp
    {11, 11, 100},	// QGlobalSpace::LicensedMultimedia
    {11, 12, 99},	// QGlobalSpace::LicensedNetwork
    {11, 13, 93},	// QGlobalSpace::LicensedOpenGL
    {11, 14, 104},	// QGlobalSpace::LicensedOpenVG
    {11, 15, 90},	// QGlobalSpace::LicensedQt3Support
    {11, 16, 97},	// QGlobalSpace::LicensedQt3SupportLight
    {11, 17, 111},	// QGlobalSpace::LicensedScript
    {11, 18, 105},	// QGlobalSpace::LicensedScriptTools
    {11, 19, 92},	// QGlobalSpace::LicensedSql
    {11, 20, 102},	// QGlobalSpace::LicensedSvg
    {11, 21, 113},	// QGlobalSpace::LicensedTest
    {11, 22, 95},	// QGlobalSpace::LicensedXml
    {11, 23, 103},	// QGlobalSpace::LicensedXmlPatterns
    {11, 31, 85},	// QGlobalSpace::Q_COMPLEX_TYPE
    {11, 32, 89},	// QGlobalSpace::Q_DUMMY_TYPE
    {11, 33, 88},	// QGlobalSpace::Q_MOVABLE_TYPE
    {11, 34, 86},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {11, 35, 87},	// QGlobalSpace::Q_STATIC_TYPE
    {11, 36, 108},	// QGlobalSpace::QtCriticalMsg
    {11, 37, 106},	// QGlobalSpace::QtDebugMsg
    {11, 38, 109},	// QGlobalSpace::QtFatalMsg
    {11, 39, 110},	// QGlobalSpace::QtSystemMsg
    {11, 40, 107},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 19,
        __smokeattica::methods, 121,
        __smokeattica::methodMaps, 112,
        __smokeattica::methodNames, 111,
        __smokeattica::types, 130,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
