#include <nepomukquery_includes.h>

#include <smoke.h>
#include <nepomukquery_smoke.h>

namespace __smokenepomukquery {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KStandardDirs
      switch(to) {
        case 4: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 5:   //KUrl
      switch(to) {
        case 5: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //Nepomuk::Query::AndTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::AndTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::AndTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)xptr;
        default: return xptr;
      }
    case 8:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 9:   //Nepomuk::Query::FileQuery
      switch(to) {
        case 14: return (void*)(Nepomuk::Query::Query*)(Nepomuk::Query::FileQuery*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Query::GroupTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::GroupTerm*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::Query::LiteralTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::LiteralTerm*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Query::NegationTerm
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::NegationTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::NegationTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::Query::OrTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::OrTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OrTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OrTerm*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Query::Query
      switch(to) {
        case 14: return (void*)(Nepomuk::Query::Query*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Query::Query::RequestProperty
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query::RequestProperty*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Query::QueryParser
      switch(to) {
        case 16: return (void*)(Nepomuk::Query::QueryParser*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::Query::QueryServiceClient
      switch(to) {
        case 33: return (void*)(QObject*)(Nepomuk::Query::QueryServiceClient*)xptr;
        case 17: return (void*)(Nepomuk::Query::QueryServiceClient*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::Query::ResourceTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTerm*)xptr;
        case 18: return (void*)(Nepomuk::Query::ResourceTerm*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Query::ResourceTypeTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::Result
      switch(to) {
        case 20: return (void*)(Nepomuk::Query::Result*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::SimpleTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 21: return (void*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::Term
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::Term*)xptr;
        case 13: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::Term*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)(Nepomuk::Query::Term*)xptr;
        case 18: return (void*)(Nepomuk::Query::ResourceTerm*)(Nepomuk::Query::Term*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::Term*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::Term*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::Term*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTypeTerm*)(Nepomuk::Query::Term*)xptr;
        case 21: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::Term*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Query::TermPrivate
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::TermPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Resource
      switch(to) {
        case 24: return (void*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Types::Class
      switch(to) {
        case 26: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 25: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Types::Entity
      switch(to) {
        case 26: return (void*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Types::Property
      switch(to) {
        case 26: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 27: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 28:   //QBool
      switch(to) {
        case 28: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 29:   //QChildEvent
      switch(to) {
        case 29: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QEvent
      switch(to) {
        case 30: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QMetaObject
      switch(to) {
        case 32: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 33:   //QObject
      switch(to) {
        case 33: return (void*)(QObject*)xptr;
        case 17: return (void*)(Nepomuk::Query::QueryServiceClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 34:   //QRegExp
      switch(to) {
        case 34: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 35:   //QTimerEvent
      switch(to) {
        case 35: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::LanguageTag
      switch(to) {
        case 36: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::LiteralValue
      switch(to) {
        case 37: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::Node
      switch(to) {
        case 38: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    10, 0,	// 1: Nepomuk::Query::GroupTerm
    21, 0,	// 3: Nepomuk::Query::SimpleTerm
    14, 0,	// 5: Nepomuk::Query::Query
    22, 0,	// 7: Nepomuk::Query::Term
    33, 0,	// 9: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Query(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Term(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__ComparisonTerm(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Nepomuk__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__AndTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ComparisonTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__FileQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__GroupTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__LiteralTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__NegationTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OrTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query__RequestProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryParser(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryServiceClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTypeTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Result(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__SimpleTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Term(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//4
    { "KUrl", true, 0, 0, 0, 0, 0 },	//5
    { "Nepomuk::Query", false, 0, xcall_Nepomuk__Query, 0, Smoke::cf_namespace, 0 },	//6
    { "Nepomuk::Query::AndTerm", false, 1, xcall_Nepomuk__Query__AndTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::AndTerm) },	//7
    { "Nepomuk::Query::ComparisonTerm", false, 3, xcall_Nepomuk__Query__ComparisonTerm, xenum_Nepomuk__Query__ComparisonTerm, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ComparisonTerm) },	//8
    { "Nepomuk::Query::FileQuery", false, 5, xcall_Nepomuk__Query__FileQuery, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::FileQuery) },	//9
    { "Nepomuk::Query::GroupTerm", false, 7, xcall_Nepomuk__Query__GroupTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::GroupTerm) },	//10
    { "Nepomuk::Query::LiteralTerm", false, 7, xcall_Nepomuk__Query__LiteralTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::LiteralTerm) },	//11
    { "Nepomuk::Query::NegationTerm", false, 3, xcall_Nepomuk__Query__NegationTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::NegationTerm) },	//12
    { "Nepomuk::Query::OrTerm", false, 1, xcall_Nepomuk__Query__OrTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OrTerm) },	//13
    { "Nepomuk::Query::Query", false, 0, xcall_Nepomuk__Query__Query, xenum_Nepomuk__Query__Query, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query) },	//14
    { "Nepomuk::Query::Query::RequestProperty", false, 0, xcall_Nepomuk__Query__Query__RequestProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query::RequestProperty) },	//15
    { "Nepomuk::Query::QueryParser", false, 0, xcall_Nepomuk__Query__QueryParser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::QueryParser) },	//16
    { "Nepomuk::Query::QueryServiceClient", false, 9, xcall_Nepomuk__Query__QueryServiceClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Query::QueryServiceClient) },	//17
    { "Nepomuk::Query::ResourceTerm", false, 7, xcall_Nepomuk__Query__ResourceTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTerm) },	//18
    { "Nepomuk::Query::ResourceTypeTerm", false, 7, xcall_Nepomuk__Query__ResourceTypeTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTypeTerm) },	//19
    { "Nepomuk::Query::Result", false, 0, xcall_Nepomuk__Query__Result, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Result) },	//20
    { "Nepomuk::Query::SimpleTerm", false, 7, xcall_Nepomuk__Query__SimpleTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::SimpleTerm) },	//21
    { "Nepomuk::Query::Term", false, 0, xcall_Nepomuk__Query__Term, xenum_Nepomuk__Query__Term, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Term) },	//22
    { "Nepomuk::Query::TermPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Nepomuk::Resource", true, 0, 0, 0, 0, 0 },	//24
    { "Nepomuk::Types::Class", true, 0, 0, 0, 0, 0 },	//25
    { "Nepomuk::Types::Entity", true, 0, 0, 0, 0, 0 },	//26
    { "Nepomuk::Types::Property", true, 0, 0, 0, 0, 0 },	//27
    { "QBool", true, 0, 0, 0, 0, 0 },	//28
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//31
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//32
    { "QObject", true, 0, 0, 0, 0, 0 },	//33
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//34
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//35
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//36
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//37
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//38
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KStandardDirs*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KUrl", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Nepomuk::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "Nepomuk::Query::AndTerm", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "Nepomuk::Query::AndTerm*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Query::ComparisonTerm", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "Nepomuk::Query::ComparisonTerm*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Nepomuk::Query::ComparisonTerm::Comparator", 8, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref },	//17
    { "Nepomuk::Query::FileQuery*", 9, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Nepomuk::Query::GroupTerm*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::Query::LiteralTerm", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "Nepomuk::Query::LiteralTerm*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Nepomuk::Query::NegationTerm", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "Nepomuk::Query::NegationTerm*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Nepomuk::Query::OrTerm", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "Nepomuk::Query::OrTerm&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "Nepomuk::Query::OrTerm*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Nepomuk::Query::Query", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "Nepomuk::Query::Query&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "Nepomuk::Query::Query*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Nepomuk::Query::Query::RequestProperty&", 15, Smoke::t_class|Smoke::tf_ref },	//32
    { "Nepomuk::Query::Query::RequestProperty*", 15, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Nepomuk::Query::Query::SparqlFlag", 14, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Nepomuk::Query::Query::SparqlFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "Nepomuk::Query::QueryParser*", 16, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Nepomuk::Query::QueryServiceClient*", 17, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::Query::ResourceTerm", 18, Smoke::t_class|Smoke::tf_stack },	//38
    { "Nepomuk::Query::ResourceTerm&", 18, Smoke::t_class|Smoke::tf_ref },	//39
    { "Nepomuk::Query::ResourceTerm*", 18, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Nepomuk::Query::ResourceTypeTerm", 19, Smoke::t_class|Smoke::tf_stack },	//41
    { "Nepomuk::Query::ResourceTypeTerm&", 19, Smoke::t_class|Smoke::tf_ref },	//42
    { "Nepomuk::Query::ResourceTypeTerm*", 19, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Nepomuk::Query::Result&", 20, Smoke::t_class|Smoke::tf_ref },	//44
    { "Nepomuk::Query::Result*", 20, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Nepomuk::Query::SimpleTerm*", 21, Smoke::t_class|Smoke::tf_ptr },	//46
    { "Nepomuk::Query::Term", 22, Smoke::t_class|Smoke::tf_stack },	//47
    { "Nepomuk::Query::Term&", 22, Smoke::t_class|Smoke::tf_ref },	//48
    { "Nepomuk::Query::Term*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Nepomuk::Query::Term::Type", 22, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Nepomuk::Query::TermPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Nepomuk::Resource", 24, Smoke::t_class|Smoke::tf_stack },	//52
    { "Nepomuk::Types::Class", 25, Smoke::t_class|Smoke::tf_stack },	//53
    { "Nepomuk::Types::Property", 27, Smoke::t_class|Smoke::tf_stack },	//54
    { "QBool", 28, Smoke::t_class|Smoke::tf_stack },	//55
    { "QChildEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QHash<Nepomuk::Types::Property,Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "QHash<QString,Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "QList<Nepomuk::Query::Query::RequestProperty>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QList<Nepomuk::Query::Term>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QMetaObject::Call", 32, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QObject*", 33, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QRegExp&", 34, Smoke::t_class|Smoke::tf_ref },	//65
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//68
    { "QTimerEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QtMsgType", 31, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QtValidLicenseForActiveQtModule", 31, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QtValidLicenseForCoreModule", 31, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QtValidLicenseForDBusModule", 31, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QtValidLicenseForDeclarativeModule", 31, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QtValidLicenseForGuiModule", 31, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QtValidLicenseForHelpModule", 31, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QtValidLicenseForMultimediaModule", 31, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QtValidLicenseForNetworkModule", 31, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QtValidLicenseForOpenGLModule", 31, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QtValidLicenseForOpenVGModule", 31, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QtValidLicenseForQt3SupportLightModule", 31, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QtValidLicenseForQt3SupportModule", 31, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QtValidLicenseForScriptModule", 31, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QtValidLicenseForScriptToolsModule", 31, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QtValidLicenseForSqlModule", 31, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QtValidLicenseForSvgModule", 31, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QtValidLicenseForTestModule", 31, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QtValidLicenseForXmlModule", 31, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QtValidLicenseForXmlPatternsModule", 31, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Soprano::LiteralValue", 37, Smoke::t_class|Smoke::tf_stack },	//161
    { "Soprano::Node", 38, Smoke::t_class|Smoke::tf_stack },	//162
    { "__codecvt_result", 31, Smoke::t_enum|Smoke::tf_stack },	//163
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//164
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const KUrl&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const Nepomuk::Query::GroupTerm&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const Nepomuk::Query::OrTerm&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const Nepomuk::Query::Query&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const Nepomuk::Query::Query::RequestProperty&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Nepomuk::Query::QueryParser&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Nepomuk::Query::ResourceTerm&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Nepomuk::Query::ResourceTypeTerm&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Nepomuk::Query::Result&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Nepomuk::Query::SimpleTerm&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Nepomuk::Query::Term&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Nepomuk::Resource&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Nepomuk::Types::Class&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Nepomuk::Types::Entity&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Nepomuk::Types::Property&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const QHash<QString,Nepomuk::Types::Property>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const QList<Nepomuk::Query::Query::RequestProperty>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const QList<Nepomuk::Query::Result>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QList<Nepomuk::Query::Term>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QMetaObject&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QMetaObject*", 32, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//193
    { "const QObject*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//194
    { "const QRegExp&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//197
    { "const Soprano::LanguageTag&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const Soprano::LiteralValue&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Soprano::Node&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//202
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//203
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//204
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//205
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//206
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//207
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    182, 0,	//1  const Nepomuk::Query::Term&
    175, 0,	//3  const Nepomuk::Query::Query&
    168, 0,	//5  const Nepomuk::Query::AndTerm&
    182, 182, 182, 182, 182, 182, 0,	//7  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    190, 0,	//14  const QList<Nepomuk::Query::Term>&
    182, 182, 0,	//16  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    182, 182, 182, 0,	//19  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    182, 182, 182, 182, 0,	//23  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    182, 182, 182, 182, 182, 0,	//28  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    169, 0,	//34  const Nepomuk::Query::ComparisonTerm&
    186, 182, 16, 0,	//36  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator
    16, 0,	//40  Nepomuk::Query::ComparisonTerm::Comparator
    186, 0,	//42  const Nepomuk::Types::Property&
    186, 182, 0,	//44  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&
    166, 0,	//47  const KUrl&
    167, 0,	//49  const KUrl::List&
    170, 0,	//51  const Nepomuk::Query::FileQuery&
    51, 0,	//53  Nepomuk::Query::TermPrivate*
    51, 182, 182, 182, 182, 182, 182, 0,	//55  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    171, 0,	//63  const Nepomuk::Query::GroupTerm&
    51, 182, 182, 0,	//65  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    51, 182, 182, 182, 0,	//69  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    51, 182, 182, 182, 182, 0,	//74  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    51, 182, 182, 182, 182, 182, 0,	//80  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    172, 0,	//87  const Nepomuk::Query::LiteralTerm&
    199, 0,	//89  const Soprano::LiteralValue&
    173, 0,	//91  const Nepomuk::Query::NegationTerm&
    174, 0,	//93  const Nepomuk::Query::OrTerm&
    203, 0,	//95  int
    176, 0,	//97  const Nepomuk::Query::Query::RequestProperty&
    188, 0,	//99  const QList<Nepomuk::Query::Query::RequestProperty>&
    35, 0,	//101  Nepomuk::Query::Query::SparqlFlags
    186, 164, 0,	//103  const Nepomuk::Types::Property&, bool
    196, 0,	//106  const QString&
    177, 0,	//108  const Nepomuk::Query::QueryParser&
    201, 0,	//110  const char*
    201, 201, 0,	//112  const char*, const char*
    201, 201, 203, 0,	//115  const char*, const char*, int
    63, 203, 207, 0,	//119  QMetaObject::Call, int, void**
    64, 0,	//123  QObject*
    196, 187, 0,	//125  const QString&, const QHash<QString,Nepomuk::Types::Property>&
    189, 0,	//128  const QList<Nepomuk::Query::Result>&
    191, 0,	//130  const QList<QUrl>&
    178, 0,	//132  const Nepomuk::Query::ResourceTerm&
    183, 0,	//134  const Nepomuk::Resource&
    179, 0,	//136  const Nepomuk::Query::ResourceTypeTerm&
    184, 0,	//138  const Nepomuk::Types::Class&
    183, 202, 0,	//140  const Nepomuk::Resource&, double
    180, 0,	//143  const Nepomuk::Query::Result&
    202, 0,	//145  double
    186, 200, 0,	//147  const Nepomuk::Types::Property&, const Soprano::Node&
    181, 0,	//150  const Nepomuk::Query::SimpleTerm&
    57, 0,	//152  QEvent*
    64, 57, 0,	//154  QObject*, QEvent*
    69, 0,	//157  QTimerEvent*
    56, 0,	//159  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "And",	//1
    "AndTerm",	//2
    "AndTerm#",	//3
    "AndTerm##",	//4
    "AndTerm###",	//5
    "AndTerm####",	//6
    "AndTerm#####",	//7
    "AndTerm######",	//8
    "AndTerm?",	//9
    "Comparison",	//10
    "ComparisonTerm",	//11
    "ComparisonTerm#",	//12
    "ComparisonTerm##",	//13
    "ComparisonTerm##$",	//14
    "Contains",	//15
    "CreateCountQuery",	//16
    "Equal",	//17
    "FileQuery",	//18
    "FileQuery#",	//19
    "Greater",	//20
    "GreaterOrEqual",	//21
    "GroupTerm",	//22
    "GroupTerm#",	//23
    "GroupTerm###",	//24
    "GroupTerm####",	//25
    "GroupTerm#####",	//26
    "GroupTerm######",	//27
    "GroupTerm#######",	//28
    "HandleInverseProperties",	//29
    "Invalid",	//30
    "LicensedActiveQt",	//31
    "LicensedCore",	//32
    "LicensedDBus",	//33
    "LicensedDeclarative",	//34
    "LicensedGui",	//35
    "LicensedHelp",	//36
    "LicensedMultimedia",	//37
    "LicensedNetwork",	//38
    "LicensedOpenGL",	//39
    "LicensedOpenVG",	//40
    "LicensedQt3Support",	//41
    "LicensedQt3SupportLight",	//42
    "LicensedScript",	//43
    "LicensedScriptTools",	//44
    "LicensedSql",	//45
    "LicensedSvg",	//46
    "LicensedTest",	//47
    "LicensedXml",	//48
    "LicensedXmlPatterns",	//49
    "Literal",	//50
    "LiteralTerm",	//51
    "LiteralTerm#",	//52
    "Negation",	//53
    "NegationTerm",	//54
    "NegationTerm#",	//55
    "NoFlags",	//56
    "Or",	//57
    "OrTerm",	//58
    "OrTerm#",	//59
    "OrTerm##",	//60
    "OrTerm###",	//61
    "OrTerm####",	//62
    "OrTerm#####",	//63
    "OrTerm######",	//64
    "OrTerm?",	//65
    "Q_COMPLEX_TYPE",	//66
    "Q_DUMMY_TYPE",	//67
    "Q_MOVABLE_TYPE",	//68
    "Q_PRIMITIVE_TYPE",	//69
    "Q_STATIC_TYPE",	//70
    "QtCriticalMsg",	//71
    "QtDebugMsg",	//72
    "QtFatalMsg",	//73
    "QtSystemMsg",	//74
    "QtWarningMsg",	//75
    "Query",	//76
    "Query#",	//77
    "QueryParser",	//78
    "QueryParser#",	//79
    "QueryServiceClient",	//80
    "QueryServiceClient#",	//81
    "Regexp",	//82
    "RequestProperty",	//83
    "RequestProperty#",	//84
    "RequestProperty#$",	//85
    "Resource",	//86
    "ResourceTerm",	//87
    "ResourceTerm#",	//88
    "ResourceType",	//89
    "ResourceTypeTerm",	//90
    "ResourceTypeTerm#",	//91
    "Result",	//92
    "Result#",	//93
    "Result#$",	//94
    "SimpleTerm",	//95
    "SimpleTerm#",	//96
    "Smaller",	//97
    "SmallerOrEqual",	//98
    "Term",	//99
    "Term#",	//100
    "__codecvt_error",	//101
    "__codecvt_noconv",	//102
    "__codecvt_ok",	//103
    "__codecvt_partial",	//104
    "addExcludeFolder",	//105
    "addExcludeFolder#",	//106
    "addIncludeFolder",	//107
    "addIncludeFolder#",	//108
    "addRequestProperty",	//109
    "addRequestProperty#",	//110
    "addRequestProperty##",	//111
    "addSubTerm",	//112
    "addSubTerm#",	//113
    "blockingDesktopQuery",	//114
    "blockingDesktopQuery$",	//115
    "blockingQuery",	//116
    "blockingQuery#",	//117
    "blockingSparqlQuery",	//118
    "blockingSparqlQuery$",	//119
    "blockingSparqlQuery$?",	//120
    "childEvent",	//121
    "close",	//122
    "comparator",	//123
    "connectNotify",	//124
    "customEvent",	//125
    "desktopQuery",	//126
    "desktopQuery$",	//127
    "disconnectNotify",	//128
    "entriesRemoved",	//129
    "entriesRemoved?",	//130
    "event",	//131
    "eventFilter",	//132
    "excludeFolders",	//133
    "finishedListing",	//134
    "includeFolders",	//135
    "isAndTerm",	//136
    "isComparisonTerm",	//137
    "isLiteralTerm",	//138
    "isNegationTerm",	//139
    "isOrTerm",	//140
    "isResourceTerm",	//141
    "isResourceTypeTerm",	//142
    "isValid",	//143
    "limit",	//144
    "matchProperty",	//145
    "matchProperty$",	//146
    "metaObject",	//147
    "negateTerm",	//148
    "negateTerm#",	//149
    "newEntries",	//150
    "newEntries?",	//151
    "operator=",	//152
    "operator=#",	//153
    "operator==",	//154
    "operator==#",	//155
    "operator[]",	//156
    "operator[]#",	//157
    "optional",	//158
    "parse",	//159
    "parse$",	//160
    "parseQuery",	//161
    "parseQuery$",	//162
    "property",	//163
    "qHash",	//164
    "qHash#",	//165
    "qt_metacall",	//166
    "qt_metacall$$?",	//167
    "qt_metacast",	//168
    "qt_metacast$",	//169
    "query",	//170
    "query#",	//171
    "requestProperties",	//172
    "requestProperty",	//173
    "requestProperty#",	//174
    "requestPropertyMap",	//175
    "resource",	//176
    "score",	//177
    "serviceAvailable",	//178
    "setComparator",	//179
    "setComparator$",	//180
    "setExcludeFolders",	//181
    "setExcludeFolders?",	//182
    "setIncludeFolders",	//183
    "setIncludeFolders?",	//184
    "setLimit",	//185
    "setLimit$",	//186
    "setProperty",	//187
    "setProperty#",	//188
    "setRequestProperties",	//189
    "setRequestProperties?",	//190
    "setResource",	//191
    "setResource#",	//192
    "setScore",	//193
    "setScore$",	//194
    "setSubTerm",	//195
    "setSubTerm#",	//196
    "setSubTerms",	//197
    "setSubTerms?",	//198
    "setTerm",	//199
    "setTerm#",	//200
    "setType",	//201
    "setType#",	//202
    "setValue",	//203
    "setValue#",	//204
    "sparqlQuery",	//205
    "sparqlQuery$",	//206
    "sparqlQuery$?",	//207
    "staticMetaObject",	//208
    "subTerm",	//209
    "subTerms",	//210
    "term",	//211
    "timerEvent",	//212
    "toAndTerm",	//213
    "toComparisonTerm",	//214
    "toLiteralTerm",	//215
    "toNegationTerm",	//216
    "toOrTerm",	//217
    "toResourceTerm",	//218
    "toResourceTypeTerm",	//219
    "toSearchUrl",	//220
    "toSearchUrl$",	//221
    "toSparqlQuery",	//222
    "toSparqlQuery$",	//223
    "tr",	//224
    "tr$",	//225
    "tr$$",	//226
    "tr$$$",	//227
    "trUtf8",	//228
    "trUtf8$",	//229
    "trUtf8$$",	//230
    "trUtf8$$$",	//231
    "type",	//232
    "value",	//233
    "~AndTerm",	//234
    "~ComparisonTerm",	//235
    "~FileQuery",	//236
    "~GroupTerm",	//237
    "~LiteralTerm",	//238
    "~NegationTerm",	//239
    "~OrTerm",	//240
    "~Query",	//241
    "~QueryParser",	//242
    "~QueryServiceClient",	//243
    "~RequestProperty",	//244
    "~ResourceTerm",	//245
    "~ResourceTypeTerm",	//246
    "~Result",	//247
    "~SimpleTerm",	//248
    "~Term",	//249
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 164, 1, 1, Smoke::mf_static, 205, 1},	//1 Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    {6, 164, 3, 1, Smoke::mf_static, 205, 2},	//2 Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    {7, 2, 0, 0, Smoke::mf_ctor, 12, 1},	//3 Nepomuk::Query::AndTerm::AndTerm()
    {7, 2, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//4 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::AndTerm&)
    {7, 2, 7, 6, Smoke::mf_ctor, 12, 3},	//5 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 14, 1, Smoke::mf_ctor, 12, 4},	//6 Nepomuk::Query::AndTerm::AndTerm(const QList<Nepomuk::Query::Term>&)
    {7, 152, 5, 1, 0, 11, 5},	//7 Nepomuk::Query::AndTerm::operator=(const Nepomuk::Query::AndTerm&)
    {7, 2, 16, 2, Smoke::mf_ctor, 12, 6},	//8 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 19, 3, Smoke::mf_ctor, 12, 7},	//9 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 23, 4, Smoke::mf_ctor, 12, 8},	//10 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 28, 5, Smoke::mf_ctor, 12, 9},	//11 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 234, 0, 0, Smoke::mf_dtor, 0, 10 },	//12 Nepomuk::Query::AndTerm::~AndTerm()
    {8, 11, 0, 0, Smoke::mf_ctor, 15, 1},	//13 Nepomuk::Query::ComparisonTerm::ComparisonTerm()
    {8, 11, 34, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//14 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Query::ComparisonTerm&)
    {8, 11, 36, 3, Smoke::mf_ctor, 15, 3},	//15 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 152, 34, 1, 0, 14, 4},	//16 Nepomuk::Query::ComparisonTerm::operator=(const Nepomuk::Query::ComparisonTerm&)
    {8, 123, 0, 0, Smoke::mf_const, 16, 5},	//17 Nepomuk::Query::ComparisonTerm::comparator() const
    {8, 163, 0, 0, Smoke::mf_const, 54, 6},	//18 Nepomuk::Query::ComparisonTerm::property() const
    {8, 179, 40, 1, 0, 0, 7},	//19 Nepomuk::Query::ComparisonTerm::setComparator(Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 187, 42, 1, 0, 0, 8},	//20 Nepomuk::Query::ComparisonTerm::setProperty(const Nepomuk::Types::Property&)
    {8, 11, 44, 2, Smoke::mf_ctor, 15, 9},	//21 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {8, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 10},	//22 Nepomuk::Query::ComparisonTerm::Contains (enum)
    {8, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 11},	//23 Nepomuk::Query::ComparisonTerm::Regexp (enum)
    {8, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 12},	//24 Nepomuk::Query::ComparisonTerm::Equal (enum)
    {8, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 13},	//25 Nepomuk::Query::ComparisonTerm::Greater (enum)
    {8, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 14},	//26 Nepomuk::Query::ComparisonTerm::Smaller (enum)
    {8, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 15},	//27 Nepomuk::Query::ComparisonTerm::GreaterOrEqual (enum)
    {8, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 16},	//28 Nepomuk::Query::ComparisonTerm::SmallerOrEqual (enum)
    {8, 235, 0, 0, Smoke::mf_dtor, 0, 17 },	//29 Nepomuk::Query::ComparisonTerm::~ComparisonTerm()
    {9, 18, 0, 0, Smoke::mf_ctor, 18, 1},	//30 Nepomuk::Query::FileQuery::FileQuery()
    {9, 18, 3, 1, Smoke::mf_ctor, 18, 2},	//31 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    {9, 152, 3, 1, 0, 17, 3},	//32 Nepomuk::Query::FileQuery::operator=(const Nepomuk::Query::Query&)
    {9, 107, 47, 1, 0, 0, 4},	//33 Nepomuk::Query::FileQuery::addIncludeFolder(const KUrl&)
    {9, 183, 49, 1, 0, 0, 5},	//34 Nepomuk::Query::FileQuery::setIncludeFolders(const KUrl::List&)
    {9, 135, 0, 0, Smoke::mf_const, 8, 6},	//35 Nepomuk::Query::FileQuery::includeFolders() const
    {9, 105, 47, 1, 0, 0, 7},	//36 Nepomuk::Query::FileQuery::addExcludeFolder(const KUrl&)
    {9, 181, 49, 1, 0, 0, 8},	//37 Nepomuk::Query::FileQuery::setExcludeFolders(const KUrl::List&)
    {9, 133, 0, 0, Smoke::mf_const, 8, 9},	//38 Nepomuk::Query::FileQuery::excludeFolders() const
    {9, 18, 51, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 10},	//39 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    {9, 236, 0, 0, Smoke::mf_dtor, 0, 11 },	//40 Nepomuk::Query::FileQuery::~FileQuery()
    {10, 210, 0, 0, Smoke::mf_const, 61, 1},	//41 Nepomuk::Query::GroupTerm::subTerms() const
    {10, 197, 14, 1, 0, 0, 2},	//42 Nepomuk::Query::GroupTerm::setSubTerms(const QList<Nepomuk::Query::Term>&)
    {10, 112, 1, 1, 0, 0, 3},	//43 Nepomuk::Query::GroupTerm::addSubTerm(const Nepomuk::Query::Term&)
    {10, 22, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 19, 4},	//44 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    {10, 22, 53, 1, Smoke::mf_ctor|Smoke::mf_protected, 19, 5},	//45 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    {10, 22, 55, 7, Smoke::mf_ctor|Smoke::mf_protected, 19, 6},	//46 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 22, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 7},	//47 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    {10, 22, 65, 3, Smoke::mf_ctor|Smoke::mf_protected, 19, 8},	//48 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 22, 69, 4, Smoke::mf_ctor|Smoke::mf_protected, 19, 9},	//49 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 22, 74, 5, Smoke::mf_ctor|Smoke::mf_protected, 19, 10},	//50 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 22, 80, 6, Smoke::mf_ctor|Smoke::mf_protected, 19, 11},	//51 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 237, 0, 0, Smoke::mf_dtor, 0, 12 },	//52 Nepomuk::Query::GroupTerm::~GroupTerm()
    {11, 51, 87, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 1},	//53 Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    {11, 51, 89, 1, Smoke::mf_ctor, 22, 2},	//54 Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    {11, 152, 87, 1, 0, 21, 3},	//55 Nepomuk::Query::LiteralTerm::operator=(const Nepomuk::Query::LiteralTerm&)
    {11, 233, 0, 0, Smoke::mf_const, 161, 4},	//56 Nepomuk::Query::LiteralTerm::value() const
    {11, 203, 89, 1, 0, 0, 5},	//57 Nepomuk::Query::LiteralTerm::setValue(const Soprano::LiteralValue&)
    {11, 51, 0, 0, Smoke::mf_ctor, 22, 6},	//58 Nepomuk::Query::LiteralTerm::LiteralTerm()
    {11, 238, 0, 0, Smoke::mf_dtor, 0, 7 },	//59 Nepomuk::Query::LiteralTerm::~LiteralTerm()
    {12, 54, 0, 0, Smoke::mf_ctor, 25, 1},	//60 Nepomuk::Query::NegationTerm::NegationTerm()
    {12, 54, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//61 Nepomuk::Query::NegationTerm::NegationTerm(const Nepomuk::Query::NegationTerm&)
    {12, 152, 91, 1, 0, 24, 3},	//62 Nepomuk::Query::NegationTerm::operator=(const Nepomuk::Query::NegationTerm&)
    {12, 148, 1, 1, Smoke::mf_static, 47, 4},	//63 Nepomuk::Query::NegationTerm::negateTerm(const Nepomuk::Query::Term&)
    {12, 239, 0, 0, Smoke::mf_dtor, 0, 5 },	//64 Nepomuk::Query::NegationTerm::~NegationTerm()
    {13, 58, 0, 0, Smoke::mf_ctor, 28, 1},	//65 Nepomuk::Query::OrTerm::OrTerm()
    {13, 58, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//66 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::OrTerm&)
    {13, 58, 7, 6, Smoke::mf_ctor, 28, 3},	//67 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 58, 14, 1, Smoke::mf_ctor, 28, 4},	//68 Nepomuk::Query::OrTerm::OrTerm(const QList<Nepomuk::Query::Term>&)
    {13, 152, 93, 1, 0, 27, 5},	//69 Nepomuk::Query::OrTerm::operator=(const Nepomuk::Query::OrTerm&)
    {13, 58, 16, 2, Smoke::mf_ctor, 28, 6},	//70 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 58, 19, 3, Smoke::mf_ctor, 28, 7},	//71 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 58, 23, 4, Smoke::mf_ctor, 28, 8},	//72 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 58, 28, 5, Smoke::mf_ctor, 28, 9},	//73 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {13, 240, 0, 0, Smoke::mf_dtor, 0, 10 },	//74 Nepomuk::Query::OrTerm::~OrTerm()
    {14, 76, 0, 0, Smoke::mf_ctor, 31, 1},	//75 Nepomuk::Query::Query::Query()
    {14, 76, 1, 1, Smoke::mf_ctor, 31, 2},	//76 Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    {14, 76, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//77 Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    {14, 152, 3, 1, 0, 30, 4},	//78 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    {14, 143, 0, 0, Smoke::mf_const, 164, 5},	//79 Nepomuk::Query::Query::isValid() const
    {14, 211, 0, 0, Smoke::mf_const, 47, 6},	//80 Nepomuk::Query::Query::term() const
    {14, 144, 0, 0, Smoke::mf_const, 203, 7},	//81 Nepomuk::Query::Query::limit() const
    {14, 199, 1, 1, 0, 0, 8},	//82 Nepomuk::Query::Query::setTerm(const Nepomuk::Query::Term&)
    {14, 185, 95, 1, 0, 0, 9},	//83 Nepomuk::Query::Query::setLimit(int)
    {14, 109, 97, 1, 0, 0, 10},	//84 Nepomuk::Query::Query::addRequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {14, 189, 99, 1, 0, 0, 11},	//85 Nepomuk::Query::Query::setRequestProperties(const QList<Nepomuk::Query::Query::RequestProperty>&)
    {14, 172, 0, 0, Smoke::mf_const, 60, 12},	//86 Nepomuk::Query::Query::requestProperties() const
    {14, 222, 101, 1, Smoke::mf_const, 66, 13},	//87 Nepomuk::Query::Query::toSparqlQuery(Nepomuk::Query::Query::SparqlFlags) const
    {14, 220, 101, 1, Smoke::mf_const, 7, 14},	//88 Nepomuk::Query::Query::toSearchUrl(Nepomuk::Query::Query::SparqlFlags) const
    {14, 175, 0, 0, Smoke::mf_const, 59, 15},	//89 Nepomuk::Query::Query::requestPropertyMap() const
    {14, 154, 3, 1, Smoke::mf_const, 164, 16},	//90 Nepomuk::Query::Query::operator==(const Nepomuk::Query::Query&) const
    {14, 222, 0, 0, Smoke::mf_const, 66, 17},	//91 Nepomuk::Query::Query::toSparqlQuery() const
    {14, 220, 0, 0, Smoke::mf_const, 7, 18},	//92 Nepomuk::Query::Query::toSearchUrl() const
    {14, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 19},	//93 Nepomuk::Query::Query::NoFlags (enum)
    {14, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 20},	//94 Nepomuk::Query::Query::CreateCountQuery (enum)
    {14, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 21},	//95 Nepomuk::Query::Query::HandleInverseProperties (enum)
    {14, 241, 0, 0, Smoke::mf_dtor, 0, 22 },	//96 Nepomuk::Query::Query::~Query()
    {15, 83, 103, 2, Smoke::mf_ctor, 33, 1},	//97 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&, bool)
    {15, 83, 97, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 2},	//98 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {15, 152, 97, 1, 0, 32, 3},	//99 Nepomuk::Query::Query::RequestProperty::operator=(const Nepomuk::Query::Query::RequestProperty&)
    {15, 154, 97, 1, Smoke::mf_const, 164, 4},	//100 Nepomuk::Query::Query::RequestProperty::operator==(const Nepomuk::Query::Query::RequestProperty&) const
    {15, 163, 0, 0, Smoke::mf_const, 54, 5},	//101 Nepomuk::Query::Query::RequestProperty::property() const
    {15, 158, 0, 0, Smoke::mf_const, 164, 6},	//102 Nepomuk::Query::Query::RequestProperty::optional() const
    {15, 83, 42, 1, Smoke::mf_ctor, 33, 7},	//103 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    {15, 244, 0, 0, Smoke::mf_dtor, 0, 8 },	//104 Nepomuk::Query::Query::RequestProperty::~RequestProperty()
    {16, 78, 0, 0, Smoke::mf_ctor, 36, 1},	//105 Nepomuk::Query::QueryParser::QueryParser()
    {16, 159, 106, 1, Smoke::mf_const, 29, 2},	//106 Nepomuk::Query::QueryParser::parse(const QString&) const
    {16, 145, 106, 1, Smoke::mf_const, 62, 3},	//107 Nepomuk::Query::QueryParser::matchProperty(const QString&) const
    {16, 161, 106, 1, Smoke::mf_static, 29, 4},	//108 Nepomuk::Query::QueryParser::parseQuery(const QString&)
    {16, 78, 108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 5},	//109 Nepomuk::Query::QueryParser::QueryParser(const Nepomuk::Query::QueryParser&)
    {16, 242, 0, 0, Smoke::mf_dtor, 0, 6 },	//110 Nepomuk::Query::QueryParser::~QueryParser()
    {17, 147, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 1},	//111 Nepomuk::Query::QueryServiceClient::metaObject() const
    {17, 168, 110, 1, Smoke::mf_virtual, 206, 2},	//112 Nepomuk::Query::QueryServiceClient::qt_metacast(const char*)
    {17, 224, 112, 2, Smoke::mf_static, 66, 3},	//113 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*)
    {17, 228, 112, 2, Smoke::mf_static, 66, 4},	//114 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*)
    {17, 224, 115, 3, Smoke::mf_static, 66, 5},	//115 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*, int)
    {17, 228, 115, 3, Smoke::mf_static, 66, 6},	//116 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*, int)
    {17, 166, 119, 3, Smoke::mf_virtual, 203, 7},	//117 Nepomuk::Query::QueryServiceClient::qt_metacall(QMetaObject::Call, int, void**)
    {17, 80, 123, 1, Smoke::mf_ctor, 37, 8},	//118 Nepomuk::Query::QueryServiceClient::QueryServiceClient(QObject*)
    {17, 178, 0, 0, Smoke::mf_static, 164, 9},	//119 Nepomuk::Query::QueryServiceClient::serviceAvailable()
    {17, 170, 3, 1, Smoke::mf_slot, 164, 10},	//120 Nepomuk::Query::QueryServiceClient::query(const Nepomuk::Query::Query&)
    {17, 205, 125, 2, Smoke::mf_slot, 164, 11},	//121 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {17, 126, 106, 1, Smoke::mf_slot, 164, 12},	//122 Nepomuk::Query::QueryServiceClient::desktopQuery(const QString&)
    {17, 116, 3, 1, Smoke::mf_slot, 164, 13},	//123 Nepomuk::Query::QueryServiceClient::blockingQuery(const Nepomuk::Query::Query&)
    {17, 118, 125, 2, Smoke::mf_slot, 164, 14},	//124 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {17, 114, 106, 1, Smoke::mf_slot, 164, 15},	//125 Nepomuk::Query::QueryServiceClient::blockingDesktopQuery(const QString&)
    {17, 122, 0, 0, Smoke::mf_slot, 0, 16},	//126 Nepomuk::Query::QueryServiceClient::close()
    {17, 150, 128, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//127 Nepomuk::Query::QueryServiceClient::newEntries(const QList<Nepomuk::Query::Result>&)
    {17, 129, 130, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//128 Nepomuk::Query::QueryServiceClient::entriesRemoved(const QList<QUrl>&)
    {17, 134, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//129 Nepomuk::Query::QueryServiceClient::finishedListing()
    {17, 224, 110, 1, Smoke::mf_static, 66, 20},	//130 Nepomuk::Query::QueryServiceClient::tr(const char*)
    {17, 228, 110, 1, Smoke::mf_static, 66, 21},	//131 Nepomuk::Query::QueryServiceClient::trUtf8(const char*)
    {17, 80, 0, 0, Smoke::mf_ctor, 37, 22},	//132 Nepomuk::Query::QueryServiceClient::QueryServiceClient()
    {17, 205, 106, 1, Smoke::mf_slot, 164, 23},	//133 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&)
    {17, 118, 106, 1, Smoke::mf_slot, 164, 24},	//134 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&)
    {17, 208, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 192, 25},	//135 Nepomuk::Query::QueryServiceClient::staticMetaObject() const
    {17, 243, 0, 0, Smoke::mf_dtor, 0, 26 },	//136 Nepomuk::Query::QueryServiceClient::~QueryServiceClient()
    {18, 87, 132, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 1},	//137 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    {18, 87, 134, 1, Smoke::mf_ctor, 40, 2},	//138 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    {18, 152, 132, 1, 0, 39, 3},	//139 Nepomuk::Query::ResourceTerm::operator=(const Nepomuk::Query::ResourceTerm&)
    {18, 176, 0, 0, Smoke::mf_const, 52, 4},	//140 Nepomuk::Query::ResourceTerm::resource() const
    {18, 191, 134, 1, 0, 0, 5},	//141 Nepomuk::Query::ResourceTerm::setResource(const Nepomuk::Resource&)
    {18, 87, 0, 0, Smoke::mf_ctor, 40, 6},	//142 Nepomuk::Query::ResourceTerm::ResourceTerm()
    {18, 245, 0, 0, Smoke::mf_dtor, 0, 7 },	//143 Nepomuk::Query::ResourceTerm::~ResourceTerm()
    {19, 90, 136, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 1},	//144 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    {19, 90, 138, 1, Smoke::mf_ctor, 43, 2},	//145 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    {19, 152, 136, 1, 0, 42, 3},	//146 Nepomuk::Query::ResourceTypeTerm::operator=(const Nepomuk::Query::ResourceTypeTerm&)
    {19, 232, 0, 0, Smoke::mf_const, 53, 4},	//147 Nepomuk::Query::ResourceTypeTerm::type() const
    {19, 201, 138, 1, 0, 0, 5},	//148 Nepomuk::Query::ResourceTypeTerm::setType(const Nepomuk::Types::Class&)
    {19, 90, 0, 0, Smoke::mf_ctor, 43, 6},	//149 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm()
    {19, 246, 0, 0, Smoke::mf_dtor, 0, 7 },	//150 Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm()
    {20, 92, 0, 0, Smoke::mf_ctor, 45, 1},	//151 Nepomuk::Query::Result::Result()
    {20, 92, 140, 2, Smoke::mf_ctor, 45, 2},	//152 Nepomuk::Query::Result::Result(const Nepomuk::Resource&, double)
    {20, 92, 143, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 3},	//153 Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    {20, 152, 143, 1, 0, 44, 4},	//154 Nepomuk::Query::Result::operator=(const Nepomuk::Query::Result&)
    {20, 177, 0, 0, Smoke::mf_const, 202, 5},	//155 Nepomuk::Query::Result::score() const
    {20, 176, 0, 0, Smoke::mf_const, 52, 6},	//156 Nepomuk::Query::Result::resource() const
    {20, 193, 145, 1, 0, 0, 7},	//157 Nepomuk::Query::Result::setScore(double)
    {20, 109, 147, 2, 0, 0, 8},	//158 Nepomuk::Query::Result::addRequestProperty(const Nepomuk::Types::Property&, const Soprano::Node&)
    {20, 172, 0, 0, Smoke::mf_const, 58, 9},	//159 Nepomuk::Query::Result::requestProperties() const
    {20, 156, 42, 1, Smoke::mf_const, 162, 10},	//160 Nepomuk::Query::Result::operator[](const Nepomuk::Types::Property&) const
    {20, 173, 42, 1, Smoke::mf_const, 162, 11},	//161 Nepomuk::Query::Result::requestProperty(const Nepomuk::Types::Property&) const
    {20, 154, 143, 1, Smoke::mf_const, 164, 12},	//162 Nepomuk::Query::Result::operator==(const Nepomuk::Query::Result&) const
    {20, 92, 134, 1, Smoke::mf_ctor, 45, 13},	//163 Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    {20, 247, 0, 0, Smoke::mf_dtor, 0, 14 },	//164 Nepomuk::Query::Result::~Result()
    {21, 209, 0, 0, Smoke::mf_const, 47, 1},	//165 Nepomuk::Query::SimpleTerm::subTerm() const
    {21, 195, 1, 1, 0, 0, 2},	//166 Nepomuk::Query::SimpleTerm::setSubTerm(const Nepomuk::Query::Term&)
    {21, 95, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 46, 3},	//167 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    {21, 95, 53, 1, Smoke::mf_ctor|Smoke::mf_protected, 46, 4},	//168 Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    {21, 95, 150, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 5},	//169 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    {21, 248, 0, 0, Smoke::mf_dtor, 0, 6 },	//170 Nepomuk::Query::SimpleTerm::~SimpleTerm()
    {22, 99, 0, 0, Smoke::mf_ctor, 49, 1},	//171 Nepomuk::Query::Term::Term()
    {22, 99, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//172 Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    {22, 152, 1, 1, 0, 48, 3},	//173 Nepomuk::Query::Term::operator=(const Nepomuk::Query::Term&)
    {22, 143, 0, 0, Smoke::mf_const, 164, 4},	//174 Nepomuk::Query::Term::isValid() const
    {22, 232, 0, 0, Smoke::mf_const, 50, 5},	//175 Nepomuk::Query::Term::type() const
    {22, 138, 0, 0, Smoke::mf_const, 164, 6},	//176 Nepomuk::Query::Term::isLiteralTerm() const
    {22, 141, 0, 0, Smoke::mf_const, 164, 7},	//177 Nepomuk::Query::Term::isResourceTerm() const
    {22, 139, 0, 0, Smoke::mf_const, 164, 8},	//178 Nepomuk::Query::Term::isNegationTerm() const
    {22, 136, 0, 0, Smoke::mf_const, 164, 9},	//179 Nepomuk::Query::Term::isAndTerm() const
    {22, 140, 0, 0, Smoke::mf_const, 164, 10},	//180 Nepomuk::Query::Term::isOrTerm() const
    {22, 137, 0, 0, Smoke::mf_const, 164, 11},	//181 Nepomuk::Query::Term::isComparisonTerm() const
    {22, 142, 0, 0, Smoke::mf_const, 164, 12},	//182 Nepomuk::Query::Term::isResourceTypeTerm() const
    {22, 215, 0, 0, Smoke::mf_const, 20, 13},	//183 Nepomuk::Query::Term::toLiteralTerm() const
    {22, 218, 0, 0, Smoke::mf_const, 38, 14},	//184 Nepomuk::Query::Term::toResourceTerm() const
    {22, 216, 0, 0, Smoke::mf_const, 23, 15},	//185 Nepomuk::Query::Term::toNegationTerm() const
    {22, 213, 0, 0, Smoke::mf_const, 10, 16},	//186 Nepomuk::Query::Term::toAndTerm() const
    {22, 217, 0, 0, Smoke::mf_const, 26, 17},	//187 Nepomuk::Query::Term::toOrTerm() const
    {22, 214, 0, 0, Smoke::mf_const, 13, 18},	//188 Nepomuk::Query::Term::toComparisonTerm() const
    {22, 219, 0, 0, Smoke::mf_const, 41, 19},	//189 Nepomuk::Query::Term::toResourceTypeTerm() const
    {22, 215, 0, 0, 0, 21, 20},	//190 Nepomuk::Query::Term::toLiteralTerm()
    {22, 218, 0, 0, 0, 39, 21},	//191 Nepomuk::Query::Term::toResourceTerm()
    {22, 216, 0, 0, 0, 24, 22},	//192 Nepomuk::Query::Term::toNegationTerm()
    {22, 213, 0, 0, 0, 11, 23},	//193 Nepomuk::Query::Term::toAndTerm()
    {22, 217, 0, 0, 0, 27, 24},	//194 Nepomuk::Query::Term::toOrTerm()
    {22, 214, 0, 0, 0, 14, 25},	//195 Nepomuk::Query::Term::toComparisonTerm()
    {22, 219, 0, 0, 0, 42, 26},	//196 Nepomuk::Query::Term::toResourceTypeTerm()
    {22, 154, 1, 1, Smoke::mf_const, 164, 27},	//197 Nepomuk::Query::Term::operator==(const Nepomuk::Query::Term&) const
    {22, 99, 53, 1, Smoke::mf_ctor|Smoke::mf_protected, 49, 28},	//198 Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    {22, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 29},	//199 Nepomuk::Query::Term::Invalid (enum)
    {22, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 30},	//200 Nepomuk::Query::Term::Literal (enum)
    {22, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 31},	//201 Nepomuk::Query::Term::Resource (enum)
    {22, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 32},	//202 Nepomuk::Query::Term::And (enum)
    {22, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 33},	//203 Nepomuk::Query::Term::Or (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 34},	//204 Nepomuk::Query::Term::Comparison (enum)
    {22, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 35},	//205 Nepomuk::Query::Term::ResourceType (enum)
    {22, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 36},	//206 Nepomuk::Query::Term::Negation (enum)
    {22, 249, 0, 0, Smoke::mf_dtor, 0, 37 },	//207 Nepomuk::Query::Term::~Term()
    {31, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1},	//208 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {31, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2},	//209 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {31, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3},	//210 QGlobalSpace::Q_STATIC_TYPE (enum)
    {31, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 4},	//211 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {31, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 5},	//212 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {31, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 6},	//213 QGlobalSpace::LicensedGui (enum)
    {31, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 7},	//214 QGlobalSpace::LicensedXml (enum)
    {31, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 8},	//215 QGlobalSpace::LicensedQt3SupportLight (enum)
    {31, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 9},	//216 QGlobalSpace::LicensedScript (enum)
    {31, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 10},	//217 QGlobalSpace::LicensedOpenVG (enum)
    {31, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 11},	//218 QGlobalSpace::LicensedDBus (enum)
    {31, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 12},	//219 QGlobalSpace::LicensedTest (enum)
    {31, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 13},	//220 QGlobalSpace::LicensedActiveQt (enum)
    {31, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 14},	//221 QGlobalSpace::LicensedScriptTools (enum)
    {31, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 15},	//222 QGlobalSpace::LicensedSvg (enum)
    {31, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 16},	//223 QGlobalSpace::LicensedDeclarative (enum)
    {31, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 17},	//224 QGlobalSpace::LicensedSql (enum)
    {31, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 18},	//225 QGlobalSpace::LicensedOpenGL (enum)
    {31, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 19},	//226 QGlobalSpace::LicensedCore (enum)
    {31, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 20},	//227 QGlobalSpace::QtDebugMsg (enum)
    {31, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 21},	//228 QGlobalSpace::QtWarningMsg (enum)
    {31, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 22},	//229 QGlobalSpace::QtCriticalMsg (enum)
    {31, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 23},	//230 QGlobalSpace::QtFatalMsg (enum)
    {31, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 24},	//231 QGlobalSpace::QtSystemMsg (enum)
    {31, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 25},	//232 QGlobalSpace::LicensedHelp (enum)
    {31, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 26},	//233 QGlobalSpace::LicensedMultimedia (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 27},	//234 QGlobalSpace::LicensedQt3Support (enum)
    {31, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 28},	//235 QGlobalSpace::LicensedXmlPatterns (enum)
    {31, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 29},	//236 QGlobalSpace::LicensedNetwork (enum)
    {31, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 30},	//237 QGlobalSpace::__codecvt_ok (enum)
    {31, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 31},	//238 QGlobalSpace::__codecvt_partial (enum)
    {31, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 32},	//239 QGlobalSpace::__codecvt_error (enum)
    {31, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 33},	//240 QGlobalSpace::__codecvt_noconv (enum)
    {33, 131, 152, 1, Smoke::mf_virtual, 164, 0},	//241 QObject::event(QEvent*)
    {33, 132, 154, 2, Smoke::mf_virtual, 164, 0},	//242 QObject::eventFilter(QObject*, QEvent*)
    {33, 212, 157, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//243 QObject::timerEvent(QTimerEvent*)
    {33, 121, 159, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//244 QObject::childEvent(QChildEvent*)
    {33, 125, 152, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//245 QObject::customEvent(QEvent*)
    {33, 124, 110, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//246 QObject::connectNotify(const char*)
    {33, 128, 110, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//247 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    153,  // Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    163,  // Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    0,
    76,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    77,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    0,
    31,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    39,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    0,
    137,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    138,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    0,
    1,  // Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    2,  // Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    0,
    98,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    103,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    0,
    172,  // Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    198,  // Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    0,
    186,  // Nepomuk::Query::Term::toAndTerm() const
    193,  // Nepomuk::Query::Term::toAndTerm()
    0,
    188,  // Nepomuk::Query::Term::toComparisonTerm() const
    195,  // Nepomuk::Query::Term::toComparisonTerm()
    0,
    183,  // Nepomuk::Query::Term::toLiteralTerm() const
    190,  // Nepomuk::Query::Term::toLiteralTerm()
    0,
    185,  // Nepomuk::Query::Term::toNegationTerm() const
    192,  // Nepomuk::Query::Term::toNegationTerm()
    0,
    187,  // Nepomuk::Query::Term::toOrTerm() const
    194,  // Nepomuk::Query::Term::toOrTerm()
    0,
    184,  // Nepomuk::Query::Term::toResourceTerm() const
    191,  // Nepomuk::Query::Term::toResourceTerm()
    0,
    189,  // Nepomuk::Query::Term::toResourceTypeTerm() const
    196,  // Nepomuk::Query::Term::toResourceTypeTerm()
    0,
    167,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    168,  // Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    169,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    0,
    53,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    54,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    0,
    44,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    45,  // Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    47,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    0,
    144,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    145,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 165, -13},	// Nepomuk::Query::qHash#
    {7, 2, 3},	// Nepomuk::Query::AndTerm::AndTerm
    {7, 3, 4},	// Nepomuk::Query::AndTerm::AndTerm#
    {7, 4, 8},	// Nepomuk::Query::AndTerm::AndTerm##
    {7, 5, 9},	// Nepomuk::Query::AndTerm::AndTerm###
    {7, 6, 10},	// Nepomuk::Query::AndTerm::AndTerm####
    {7, 7, 11},	// Nepomuk::Query::AndTerm::AndTerm#####
    {7, 8, 5},	// Nepomuk::Query::AndTerm::AndTerm######
    {7, 9, 6},	// Nepomuk::Query::AndTerm::AndTerm?
    {7, 153, 7},	// Nepomuk::Query::AndTerm::operator=#
    {7, 234, 12},	// Nepomuk::Query::AndTerm::~AndTerm
    {8, 11, 13},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm
    {8, 12, 14},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm#
    {8, 13, 21},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##
    {8, 14, 15},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##$
    {8, 15, 22},	// Nepomuk::Query::ComparisonTerm::Contains
    {8, 17, 24},	// Nepomuk::Query::ComparisonTerm::Equal
    {8, 20, 25},	// Nepomuk::Query::ComparisonTerm::Greater
    {8, 21, 27},	// Nepomuk::Query::ComparisonTerm::GreaterOrEqual
    {8, 82, 23},	// Nepomuk::Query::ComparisonTerm::Regexp
    {8, 97, 26},	// Nepomuk::Query::ComparisonTerm::Smaller
    {8, 98, 28},	// Nepomuk::Query::ComparisonTerm::SmallerOrEqual
    {8, 123, 17},	// Nepomuk::Query::ComparisonTerm::comparator
    {8, 153, 16},	// Nepomuk::Query::ComparisonTerm::operator=#
    {8, 163, 18},	// Nepomuk::Query::ComparisonTerm::property
    {8, 180, 19},	// Nepomuk::Query::ComparisonTerm::setComparator$
    {8, 188, 20},	// Nepomuk::Query::ComparisonTerm::setProperty#
    {8, 235, 29},	// Nepomuk::Query::ComparisonTerm::~ComparisonTerm
    {9, 18, 30},	// Nepomuk::Query::FileQuery::FileQuery
    {9, 19, -7},	// Nepomuk::Query::FileQuery::FileQuery#
    {9, 106, 36},	// Nepomuk::Query::FileQuery::addExcludeFolder#
    {9, 108, 33},	// Nepomuk::Query::FileQuery::addIncludeFolder#
    {9, 133, 38},	// Nepomuk::Query::FileQuery::excludeFolders
    {9, 135, 35},	// Nepomuk::Query::FileQuery::includeFolders
    {9, 153, 32},	// Nepomuk::Query::FileQuery::operator=#
    {9, 182, 37},	// Nepomuk::Query::FileQuery::setExcludeFolders?
    {9, 184, 34},	// Nepomuk::Query::FileQuery::setIncludeFolders?
    {9, 236, 40},	// Nepomuk::Query::FileQuery::~FileQuery
    {10, 23, -50},	// Nepomuk::Query::GroupTerm::GroupTerm#
    {10, 24, 48},	// Nepomuk::Query::GroupTerm::GroupTerm###
    {10, 25, 49},	// Nepomuk::Query::GroupTerm::GroupTerm####
    {10, 26, 50},	// Nepomuk::Query::GroupTerm::GroupTerm#####
    {10, 27, 51},	// Nepomuk::Query::GroupTerm::GroupTerm######
    {10, 28, 46},	// Nepomuk::Query::GroupTerm::GroupTerm#######
    {10, 113, 43},	// Nepomuk::Query::GroupTerm::addSubTerm#
    {10, 198, 42},	// Nepomuk::Query::GroupTerm::setSubTerms?
    {10, 210, 41},	// Nepomuk::Query::GroupTerm::subTerms
    {10, 237, 52},	// Nepomuk::Query::GroupTerm::~GroupTerm
    {11, 51, 58},	// Nepomuk::Query::LiteralTerm::LiteralTerm
    {11, 52, -47},	// Nepomuk::Query::LiteralTerm::LiteralTerm#
    {11, 153, 55},	// Nepomuk::Query::LiteralTerm::operator=#
    {11, 204, 57},	// Nepomuk::Query::LiteralTerm::setValue#
    {11, 233, 56},	// Nepomuk::Query::LiteralTerm::value
    {11, 238, 59},	// Nepomuk::Query::LiteralTerm::~LiteralTerm
    {12, 54, 60},	// Nepomuk::Query::NegationTerm::NegationTerm
    {12, 55, 61},	// Nepomuk::Query::NegationTerm::NegationTerm#
    {12, 149, 63},	// Nepomuk::Query::NegationTerm::negateTerm#
    {12, 153, 62},	// Nepomuk::Query::NegationTerm::operator=#
    {12, 239, 64},	// Nepomuk::Query::NegationTerm::~NegationTerm
    {13, 58, 65},	// Nepomuk::Query::OrTerm::OrTerm
    {13, 59, 66},	// Nepomuk::Query::OrTerm::OrTerm#
    {13, 60, 70},	// Nepomuk::Query::OrTerm::OrTerm##
    {13, 61, 71},	// Nepomuk::Query::OrTerm::OrTerm###
    {13, 62, 72},	// Nepomuk::Query::OrTerm::OrTerm####
    {13, 63, 73},	// Nepomuk::Query::OrTerm::OrTerm#####
    {13, 64, 67},	// Nepomuk::Query::OrTerm::OrTerm######
    {13, 65, 68},	// Nepomuk::Query::OrTerm::OrTerm?
    {13, 153, 69},	// Nepomuk::Query::OrTerm::operator=#
    {13, 240, 74},	// Nepomuk::Query::OrTerm::~OrTerm
    {14, 16, 94},	// Nepomuk::Query::Query::CreateCountQuery
    {14, 29, 95},	// Nepomuk::Query::Query::HandleInverseProperties
    {14, 56, 93},	// Nepomuk::Query::Query::NoFlags
    {14, 76, 75},	// Nepomuk::Query::Query::Query
    {14, 77, -4},	// Nepomuk::Query::Query::Query#
    {14, 110, 84},	// Nepomuk::Query::Query::addRequestProperty#
    {14, 143, 79},	// Nepomuk::Query::Query::isValid
    {14, 144, 81},	// Nepomuk::Query::Query::limit
    {14, 153, 78},	// Nepomuk::Query::Query::operator=#
    {14, 155, 90},	// Nepomuk::Query::Query::operator==#
    {14, 172, 86},	// Nepomuk::Query::Query::requestProperties
    {14, 175, 89},	// Nepomuk::Query::Query::requestPropertyMap
    {14, 186, 83},	// Nepomuk::Query::Query::setLimit$
    {14, 190, 85},	// Nepomuk::Query::Query::setRequestProperties?
    {14, 200, 82},	// Nepomuk::Query::Query::setTerm#
    {14, 211, 80},	// Nepomuk::Query::Query::term
    {14, 220, 92},	// Nepomuk::Query::Query::toSearchUrl
    {14, 221, 88},	// Nepomuk::Query::Query::toSearchUrl$
    {14, 222, 91},	// Nepomuk::Query::Query::toSparqlQuery
    {14, 223, 87},	// Nepomuk::Query::Query::toSparqlQuery$
    {14, 241, 96},	// Nepomuk::Query::Query::~Query
    {15, 84, -16},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#
    {15, 85, 97},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#$
    {15, 153, 99},	// Nepomuk::Query::Query::RequestProperty::operator=#
    {15, 155, 100},	// Nepomuk::Query::Query::RequestProperty::operator==#
    {15, 158, 102},	// Nepomuk::Query::Query::RequestProperty::optional
    {15, 163, 101},	// Nepomuk::Query::Query::RequestProperty::property
    {15, 244, 104},	// Nepomuk::Query::Query::RequestProperty::~RequestProperty
    {16, 78, 105},	// Nepomuk::Query::QueryParser::QueryParser
    {16, 79, 109},	// Nepomuk::Query::QueryParser::QueryParser#
    {16, 146, 107},	// Nepomuk::Query::QueryParser::matchProperty$
    {16, 160, 106},	// Nepomuk::Query::QueryParser::parse$
    {16, 162, 108},	// Nepomuk::Query::QueryParser::parseQuery$
    {16, 242, 110},	// Nepomuk::Query::QueryParser::~QueryParser
    {17, 80, 132},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient
    {17, 81, 118},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient#
    {17, 115, 125},	// Nepomuk::Query::QueryServiceClient::blockingDesktopQuery$
    {17, 117, 123},	// Nepomuk::Query::QueryServiceClient::blockingQuery#
    {17, 119, 134},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$
    {17, 120, 124},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$?
    {17, 122, 126},	// Nepomuk::Query::QueryServiceClient::close
    {17, 127, 122},	// Nepomuk::Query::QueryServiceClient::desktopQuery$
    {17, 130, 128},	// Nepomuk::Query::QueryServiceClient::entriesRemoved?
    {17, 134, 129},	// Nepomuk::Query::QueryServiceClient::finishedListing
    {17, 147, 111},	// Nepomuk::Query::QueryServiceClient::metaObject
    {17, 151, 127},	// Nepomuk::Query::QueryServiceClient::newEntries?
    {17, 167, 117},	// Nepomuk::Query::QueryServiceClient::qt_metacall$$?
    {17, 169, 112},	// Nepomuk::Query::QueryServiceClient::qt_metacast$
    {17, 171, 120},	// Nepomuk::Query::QueryServiceClient::query#
    {17, 178, 119},	// Nepomuk::Query::QueryServiceClient::serviceAvailable
    {17, 206, 133},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$
    {17, 207, 121},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$?
    {17, 208, 135},	// Nepomuk::Query::QueryServiceClient::staticMetaObject
    {17, 225, 130},	// Nepomuk::Query::QueryServiceClient::tr$
    {17, 226, 113},	// Nepomuk::Query::QueryServiceClient::tr$$
    {17, 227, 115},	// Nepomuk::Query::QueryServiceClient::tr$$$
    {17, 229, 131},	// Nepomuk::Query::QueryServiceClient::trUtf8$
    {17, 230, 114},	// Nepomuk::Query::QueryServiceClient::trUtf8$$
    {17, 231, 116},	// Nepomuk::Query::QueryServiceClient::trUtf8$$$
    {17, 243, 136},	// Nepomuk::Query::QueryServiceClient::~QueryServiceClient
    {18, 87, 142},	// Nepomuk::Query::ResourceTerm::ResourceTerm
    {18, 88, -10},	// Nepomuk::Query::ResourceTerm::ResourceTerm#
    {18, 153, 139},	// Nepomuk::Query::ResourceTerm::operator=#
    {18, 176, 140},	// Nepomuk::Query::ResourceTerm::resource
    {18, 192, 141},	// Nepomuk::Query::ResourceTerm::setResource#
    {18, 245, 143},	// Nepomuk::Query::ResourceTerm::~ResourceTerm
    {19, 90, 149},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm
    {19, 91, -54},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm#
    {19, 153, 146},	// Nepomuk::Query::ResourceTypeTerm::operator=#
    {19, 202, 148},	// Nepomuk::Query::ResourceTypeTerm::setType#
    {19, 232, 147},	// Nepomuk::Query::ResourceTypeTerm::type
    {19, 246, 150},	// Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm
    {20, 92, 151},	// Nepomuk::Query::Result::Result
    {20, 93, -1},	// Nepomuk::Query::Result::Result#
    {20, 94, 152},	// Nepomuk::Query::Result::Result#$
    {20, 111, 158},	// Nepomuk::Query::Result::addRequestProperty##
    {20, 153, 154},	// Nepomuk::Query::Result::operator=#
    {20, 155, 162},	// Nepomuk::Query::Result::operator==#
    {20, 157, 160},	// Nepomuk::Query::Result::operator[]#
    {20, 172, 159},	// Nepomuk::Query::Result::requestProperties
    {20, 174, 161},	// Nepomuk::Query::Result::requestProperty#
    {20, 176, 156},	// Nepomuk::Query::Result::resource
    {20, 177, 155},	// Nepomuk::Query::Result::score
    {20, 194, 157},	// Nepomuk::Query::Result::setScore$
    {20, 247, 164},	// Nepomuk::Query::Result::~Result
    {21, 96, -43},	// Nepomuk::Query::SimpleTerm::SimpleTerm#
    {21, 196, 166},	// Nepomuk::Query::SimpleTerm::setSubTerm#
    {21, 209, 165},	// Nepomuk::Query::SimpleTerm::subTerm
    {21, 248, 170},	// Nepomuk::Query::SimpleTerm::~SimpleTerm
    {22, 1, 202},	// Nepomuk::Query::Term::And
    {22, 10, 204},	// Nepomuk::Query::Term::Comparison
    {22, 30, 199},	// Nepomuk::Query::Term::Invalid
    {22, 50, 200},	// Nepomuk::Query::Term::Literal
    {22, 53, 206},	// Nepomuk::Query::Term::Negation
    {22, 57, 203},	// Nepomuk::Query::Term::Or
    {22, 86, 201},	// Nepomuk::Query::Term::Resource
    {22, 89, 205},	// Nepomuk::Query::Term::ResourceType
    {22, 99, 171},	// Nepomuk::Query::Term::Term
    {22, 100, -19},	// Nepomuk::Query::Term::Term#
    {22, 136, 179},	// Nepomuk::Query::Term::isAndTerm
    {22, 137, 181},	// Nepomuk::Query::Term::isComparisonTerm
    {22, 138, 176},	// Nepomuk::Query::Term::isLiteralTerm
    {22, 139, 178},	// Nepomuk::Query::Term::isNegationTerm
    {22, 140, 180},	// Nepomuk::Query::Term::isOrTerm
    {22, 141, 177},	// Nepomuk::Query::Term::isResourceTerm
    {22, 142, 182},	// Nepomuk::Query::Term::isResourceTypeTerm
    {22, 143, 174},	// Nepomuk::Query::Term::isValid
    {22, 153, 173},	// Nepomuk::Query::Term::operator=#
    {22, 155, 197},	// Nepomuk::Query::Term::operator==#
    {22, 213, -22},	// Nepomuk::Query::Term::toAndTerm
    {22, 214, -25},	// Nepomuk::Query::Term::toComparisonTerm
    {22, 215, -28},	// Nepomuk::Query::Term::toLiteralTerm
    {22, 216, -31},	// Nepomuk::Query::Term::toNegationTerm
    {22, 217, -34},	// Nepomuk::Query::Term::toOrTerm
    {22, 218, -37},	// Nepomuk::Query::Term::toResourceTerm
    {22, 219, -40},	// Nepomuk::Query::Term::toResourceTypeTerm
    {22, 232, 175},	// Nepomuk::Query::Term::type
    {22, 249, 207},	// Nepomuk::Query::Term::~Term
    {31, 31, 220},	// QGlobalSpace::LicensedActiveQt
    {31, 32, 226},	// QGlobalSpace::LicensedCore
    {31, 33, 218},	// QGlobalSpace::LicensedDBus
    {31, 34, 223},	// QGlobalSpace::LicensedDeclarative
    {31, 35, 213},	// QGlobalSpace::LicensedGui
    {31, 36, 232},	// QGlobalSpace::LicensedHelp
    {31, 37, 233},	// QGlobalSpace::LicensedMultimedia
    {31, 38, 236},	// QGlobalSpace::LicensedNetwork
    {31, 39, 225},	// QGlobalSpace::LicensedOpenGL
    {31, 40, 217},	// QGlobalSpace::LicensedOpenVG
    {31, 41, 234},	// QGlobalSpace::LicensedQt3Support
    {31, 42, 215},	// QGlobalSpace::LicensedQt3SupportLight
    {31, 43, 216},	// QGlobalSpace::LicensedScript
    {31, 44, 221},	// QGlobalSpace::LicensedScriptTools
    {31, 45, 224},	// QGlobalSpace::LicensedSql
    {31, 46, 222},	// QGlobalSpace::LicensedSvg
    {31, 47, 219},	// QGlobalSpace::LicensedTest
    {31, 48, 214},	// QGlobalSpace::LicensedXml
    {31, 49, 235},	// QGlobalSpace::LicensedXmlPatterns
    {31, 66, 208},	// QGlobalSpace::Q_COMPLEX_TYPE
    {31, 67, 212},	// QGlobalSpace::Q_DUMMY_TYPE
    {31, 68, 211},	// QGlobalSpace::Q_MOVABLE_TYPE
    {31, 69, 209},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {31, 70, 210},	// QGlobalSpace::Q_STATIC_TYPE
    {31, 71, 229},	// QGlobalSpace::QtCriticalMsg
    {31, 72, 227},	// QGlobalSpace::QtDebugMsg
    {31, 73, 230},	// QGlobalSpace::QtFatalMsg
    {31, 74, 231},	// QGlobalSpace::QtSystemMsg
    {31, 75, 228},	// QGlobalSpace::QtWarningMsg
    {31, 101, 239},	// QGlobalSpace::__codecvt_error
    {31, 102, 240},	// QGlobalSpace::__codecvt_noconv
    {31, 103, 237},	// QGlobalSpace::__codecvt_ok
    {31, 104, 238},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();
SMOKE_IMPORT void init_nepomuk_Smoke();

static bool initialized = false;
Smoke *nepomukquery_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomukquery_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_soprano_Smoke();
    init_nepomuk_Smoke();
    if (initialized) return;
    nepomukquery_Smoke = new Smoke(
        "nepomukquery",
        __smokenepomukquery::classes, 38,
        __smokenepomukquery::methods, 248,
        __smokenepomukquery::methodMaps, 221,
        __smokenepomukquery::methodNames, 249,
        __smokenepomukquery::types, 207,
        __smokenepomukquery::inheritanceList,
        __smokenepomukquery::argumentList,
        __smokenepomukquery::ambiguousMethodList,
        __smokenepomukquery::cast );
    initialized = true;
}

void delete_nepomukquery_Smoke() { delete nepomukquery_Smoke; }

}
