#include <qtscript_includes.h>

#include <smoke.h>
#include <qtscript_smoke.h>

namespace __smokeqtscript {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDateTime
      switch(to) {
        case 3: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QFactoryInterface
      switch(to) {
        case 5: return (void*)(QFactoryInterface*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QFactoryInterface*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 7:   //QLatin1String
      switch(to) {
        case 7: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 8:   //QMetaObject
      switch(to) {
        case 8: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 9:   //QObject
      switch(to) {
        case 9: return (void*)(QObject*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QObject*)xptr;
        case 17: return (void*)(QScriptEngine*)(QObject*)xptr;
        default: return xptr;
      }
    case 10:   //QRegExp
      switch(to) {
        case 10: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 11:   //QScriptClass
      switch(to) {
        case 11: return (void*)(QScriptClass*)xptr;
        default: return xptr;
      }
    case 12:   //QScriptClassPrivate
      switch(to) {
        case 12: return (void*)(QScriptClassPrivate*)xptr;
        default: return xptr;
      }
    case 13:   //QScriptClassPropertyIterator
      switch(to) {
        case 13: return (void*)(QScriptClassPropertyIterator*)xptr;
        default: return xptr;
      }
    case 14:   //QScriptClassPropertyIteratorPrivate
      switch(to) {
        case 14: return (void*)(QScriptClassPropertyIteratorPrivate*)xptr;
        default: return xptr;
      }
    case 15:   //QScriptContext
      switch(to) {
        case 15: return (void*)(QScriptContext*)xptr;
        default: return xptr;
      }
    case 16:   //QScriptContextInfo
      switch(to) {
        case 16: return (void*)(QScriptContextInfo*)xptr;
        default: return xptr;
      }
    case 17:   //QScriptEngine
      switch(to) {
        case 9: return (void*)(QObject*)(QScriptEngine*)xptr;
        case 17: return (void*)(QScriptEngine*)xptr;
        default: return xptr;
      }
    case 18:   //QScriptEngineAgent
      switch(to) {
        case 18: return (void*)(QScriptEngineAgent*)xptr;
        default: return xptr;
      }
    case 19:   //QScriptEngineAgentPrivate
      switch(to) {
        case 19: return (void*)(QScriptEngineAgentPrivate*)xptr;
        default: return xptr;
      }
    case 20:   //QScriptEnginePrivate
      switch(to) {
        case 20: return (void*)(QScriptEnginePrivate*)xptr;
        default: return xptr;
      }
    case 21:   //QScriptExtensionInterface
      switch(to) {
        case 5: return (void*)(QFactoryInterface*)(QScriptExtensionInterface*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)(QScriptExtensionInterface*)xptr;
        default: return xptr;
      }
    case 22:   //QScriptExtensionPlugin
      switch(to) {
        case 9: return (void*)(QObject*)(QScriptExtensionPlugin*)xptr;
        case 21: return (void*)(QScriptExtensionInterface*)(QScriptExtensionPlugin*)xptr;
        case 5: return (void*)(QFactoryInterface*)(QScriptExtensionPlugin*)xptr;
        case 22: return (void*)(QScriptExtensionPlugin*)xptr;
        default: return xptr;
      }
    case 23:   //QScriptProgram
      switch(to) {
        case 23: return (void*)(QScriptProgram*)xptr;
        default: return xptr;
      }
    case 24:   //QScriptString
      switch(to) {
        case 24: return (void*)(QScriptString*)xptr;
        default: return xptr;
      }
    case 25:   //QScriptSyntaxCheckResult
      switch(to) {
        case 25: return (void*)(QScriptSyntaxCheckResult*)xptr;
        default: return xptr;
      }
    case 26:   //QScriptValue
      switch(to) {
        case 26: return (void*)(QScriptValue*)xptr;
        default: return xptr;
      }
    case 27:   //QScriptValueIterator
      switch(to) {
        case 27: return (void*)(QScriptValueIterator*)xptr;
        default: return xptr;
      }
    case 28:   //QScriptable
      switch(to) {
        case 28: return (void*)(QScriptable*)xptr;
        default: return xptr;
      }
    case 29:   //QTimerEvent
      switch(to) {
        case 29: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QVariant
      switch(to) {
        case 30: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    9, 0,	// 1: QObject
    5, 0,	// 3: QFactoryInterface
    9, 21, 0,	// 5: QObject, QScriptExtensionInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptClass(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptSyntaxCheckResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptEngineAgent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContextInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptClass(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptClassPropertyIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContextInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngineAgent(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptExtensionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptExtensionPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptString(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptSyntaxCheckResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValue(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValueIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptable(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//5
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//6
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//7
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//8
    { "QObject", true, 0, 0, 0, 0, 0 },	//9
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//10
    { "QScriptClass", false, 0, xcall_QScriptClass, xenum_QScriptClass, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptClass) },	//11
    { "QScriptClassPrivate", true, 0, 0, 0, 0, 0 },	//12
    { "QScriptClassPropertyIterator", false, 0, xcall_QScriptClassPropertyIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptClassPropertyIterator) },	//13
    { "QScriptClassPropertyIteratorPrivate", true, 0, 0, 0, 0, 0 },	//14
    { "QScriptContext", false, 0, xcall_QScriptContext, xenum_QScriptContext, 0, sizeof(QScriptContext) },	//15
    { "QScriptContextInfo", false, 0, xcall_QScriptContextInfo, xenum_QScriptContextInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptContextInfo) },	//16
    { "QScriptEngine", false, 1, xcall_QScriptEngine, xenum_QScriptEngine, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptEngine) },	//17
    { "QScriptEngineAgent", false, 0, xcall_QScriptEngineAgent, xenum_QScriptEngineAgent, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptEngineAgent) },	//18
    { "QScriptEngineAgentPrivate", true, 0, 0, 0, 0, 0 },	//19
    { "QScriptEnginePrivate", true, 0, 0, 0, 0, 0 },	//20
    { "QScriptExtensionInterface", false, 3, xcall_QScriptExtensionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QScriptExtensionInterface) },	//21
    { "QScriptExtensionPlugin", false, 5, xcall_QScriptExtensionPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QScriptExtensionPlugin) },	//22
    { "QScriptProgram", true, 0, 0, 0, 0, 0 },	//23
    { "QScriptString", false, 0, xcall_QScriptString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptString) },	//24
    { "QScriptSyntaxCheckResult", false, 0, xcall_QScriptSyntaxCheckResult, xenum_QScriptSyntaxCheckResult, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptSyntaxCheckResult) },	//25
    { "QScriptValue", false, 0, xcall_QScriptValue, xenum_QScriptValue, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QScriptValue) },	//26
    { "QScriptValueIterator", false, 0, xcall_QScriptValueIterator, 0, Smoke::cf_constructor, sizeof(QScriptValueIterator) },	//27
    { "QScriptable", false, 0, xcall_QScriptable, 0, Smoke::cf_constructor, sizeof(QScriptable) },	//28
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QVariant", true, 0, 0, 0, 0, 0 },	//30
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDateTime", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QList<QScriptValue>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "QMetaObject::Call", 8, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QObject*", 9, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QRegExp", 10, Smoke::t_class|Smoke::tf_stack },	//8
    { "QRegExp&", 10, Smoke::t_class|Smoke::tf_ref },	//9
    { "QScriptClass*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QScriptClass::Extension", 11, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QScriptClass::QueryFlag", 11, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QScriptClass::QueryFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//13
    { "QScriptClassPrivate&", 12, Smoke::t_class|Smoke::tf_ref },	//14
    { "QScriptClassPropertyIterator*", 13, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QScriptClassPropertyIteratorPrivate&", 14, Smoke::t_class|Smoke::tf_ref },	//16
    { "QScriptContext*", 15, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QScriptContext::Error", 15, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QScriptContext::ExecutionState", 15, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QScriptContextInfo&", 16, Smoke::t_class|Smoke::tf_ref },	//20
    { "QScriptContextInfo*", 16, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QScriptContextInfo::FunctionType", 16, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QScriptEngine*", 17, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QScriptEngine::QObjectWrapOption", 17, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QScriptEngine::ValueOwnership", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QScriptEngineAgent*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QScriptEngineAgent::Extension", 18, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QScriptEngineAgentPrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//28
    { "QScriptEnginePrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//29
    { "QScriptExtensionInterface*", 21, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QScriptExtensionPlugin*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QScriptString", 24, Smoke::t_class|Smoke::tf_stack },	//32
    { "QScriptString&", 24, Smoke::t_class|Smoke::tf_ref },	//33
    { "QScriptString*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QScriptSyntaxCheckResult", 25, Smoke::t_class|Smoke::tf_stack },	//35
    { "QScriptSyntaxCheckResult&", 25, Smoke::t_class|Smoke::tf_ref },	//36
    { "QScriptSyntaxCheckResult*", 25, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QScriptSyntaxCheckResult::State", 25, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QScriptValue", 26, Smoke::t_class|Smoke::tf_stack },	//39
    { "QScriptValue&", 26, Smoke::t_class|Smoke::tf_ref },	//40
    { "QScriptValue(*)(QScriptContext*,QScriptEngine*)", 26, Smoke::t_class|Smoke::tf_stack },	//41
    { "QScriptValue(*)(QScriptContext*,QScriptEngine*,void*)", 26, Smoke::t_class|Smoke::tf_stack },	//42
    { "QScriptValue*", 26, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QScriptValue::PropertyFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QScriptValue::PropertyFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QScriptValue::ResolveFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QScriptValue::SpecialValue", 26, Smoke::t_enum|Smoke::tf_stack },	//47
    { "QScriptValueIterator&", 27, Smoke::t_class|Smoke::tf_ref },	//48
    { "QScriptValueIterator*", 27, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QScriptable*", 28, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//51
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//52
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//53
    { "QTimerEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QVariant", 30, Smoke::t_class|Smoke::tf_stack },	//55
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QtMsgType", 6, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QtValidLicenseForActiveQtModule", 6, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QtValidLicenseForCoreModule", 6, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QtValidLicenseForDBusModule", 6, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QtValidLicenseForDeclarativeModule", 6, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QtValidLicenseForGuiModule", 6, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QtValidLicenseForHelpModule", 6, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QtValidLicenseForMultimediaModule", 6, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QtValidLicenseForNetworkModule", 6, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QtValidLicenseForOpenGLModule", 6, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QtValidLicenseForOpenVGModule", 6, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QtValidLicenseForQt3SupportLightModule", 6, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QtValidLicenseForQt3SupportModule", 6, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QtValidLicenseForScriptModule", 6, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QtValidLicenseForScriptToolsModule", 6, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QtValidLicenseForSqlModule", 6, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QtValidLicenseForSvgModule", 6, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QtValidLicenseForTestModule", 6, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QtValidLicenseForXmlModule", 6, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QtValidLicenseForXmlPatternsModule", 6, Smoke::t_enum|Smoke::tf_stack },	//146
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//147
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//148
    { "const QDateTime&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//149
    { "const QLatin1String&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//150
    { "const QList<QScriptValue>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//151
    { "const QMetaObject&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//152
    { "const QMetaObject*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//153
    { "const QRegExp&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//154
    { "const QScriptContext*", 15, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//155
    { "const QScriptContextInfo&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//156
    { "const QScriptEngine::QObjectWrapOptions&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//157
    { "const QScriptExtensionInterface&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const QScriptProgram&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const QScriptString&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//160
    { "const QScriptSyntaxCheckResult&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const QScriptValue&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const QScriptValue::PropertyFlags&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const QScriptValue::ResolveFlags&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//166
    { "const QVariant&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//168
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//169
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//170
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//171
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//172
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//173
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//174
    { "unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//175
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//176
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//177
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//178
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//179
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    7, 168, 162, 162, 0,	//1  QObject*, const char*, const QScriptValue&, const QScriptValue&
    4, 0,	//6  QEvent*
    7, 4, 0,	//8  QObject*, QEvent*
    54, 0,	//11  QTimerEvent*
    2, 0,	//13  QChildEvent*
    168, 0,	//15  const char*
    23, 0,	//17  QScriptEngine*
    162, 160, 13, 175, 0,	//19  const QScriptValue&, const QScriptString&, QScriptClass::QueryFlags, unsigned int*
    162, 160, 174, 0,	//24  const QScriptValue&, const QScriptString&, unsigned int
    40, 160, 174, 162, 0,	//28  QScriptValue&, const QScriptString&, unsigned int, const QScriptValue&
    162, 0,	//33  const QScriptValue&
    11, 0,	//35  QScriptClass::Extension
    11, 167, 0,	//37  QScriptClass::Extension, const QVariant&
    23, 14, 0,	//40  QScriptEngine*, QScriptClassPrivate&
    162, 16, 0,	//43  const QScriptValue&, QScriptClassPropertyIteratorPrivate&
    171, 0,	//46  int
    18, 165, 0,	//48  QScriptContext::Error, const QString&
    165, 0,	//51  const QString&
    155, 0,	//53  const QScriptContext*
    156, 0,	//55  const QScriptContextInfo&
    168, 168, 0,	//57  const char*, const char*
    168, 168, 171, 0,	//60  const char*, const char*, int
    6, 171, 178, 0,	//64  QMetaObject::Call, int, void**
    7, 0,	//68  QObject*
    165, 165, 171, 0,	//70  const QString&, const QString&, int
    159, 0,	//74  const QScriptProgram&
    41, 171, 0,	//76  QScriptValue(*)(QScriptContext*,QScriptEngine*), int
    41, 162, 171, 0,	//79  QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&, int
    42, 177, 0,	//83  QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*
    167, 0,	//86  const QVariant&
    162, 167, 0,	//88  const QScriptValue&, const QVariant&
    154, 0,	//91  const QRegExp&
    10, 162, 0,	//93  QScriptClass*, const QScriptValue&
    174, 0,	//96  unsigned int
    165, 165, 0,	//98  const QString&, const QString&
    170, 0,	//101  double
    149, 0,	//103  const QDateTime&
    7, 25, 157, 0,	//105  QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&
    162, 7, 25, 157, 0,	//109  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&
    153, 162, 0,	//114  const QMetaObject*, const QScriptValue&
    171, 162, 0,	//117  int, const QScriptValue&
    26, 0,	//120  QScriptEngineAgent*
    173, 0,	//122  long long
    29, 7, 0,	//124  QScriptEnginePrivate&, QObject*
    41, 0,	//127  QScriptValue(*)(QScriptContext*,QScriptEngine*)
    41, 162, 0,	//129  QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&
    10, 0,	//132  QScriptClass*
    7, 25, 0,	//134  QObject*, QScriptEngine::ValueOwnership
    162, 7, 0,	//137  const QScriptValue&, QObject*
    162, 7, 25, 0,	//140  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership
    153, 0,	//144  const QMetaObject*
    29, 0,	//146  QScriptEnginePrivate&
    173, 165, 165, 171, 0,	//148  long long, const QString&, const QString&, int
    173, 162, 0,	//153  long long, const QScriptValue&
    173, 171, 171, 0,	//156  long long, int, int
    173, 162, 147, 0,	//160  long long, const QScriptValue&, bool
    27, 0,	//164  QScriptEngineAgent::Extension
    27, 167, 0,	//166  QScriptEngineAgent::Extension, const QVariant&
    28, 23, 0,	//169  QScriptEngineAgentPrivate&, QScriptEngine*
    165, 23, 0,	//172  const QString&, QScriptEngine*
    158, 0,	//175  const QScriptExtensionInterface&
    160, 0,	//177  const QScriptString&
    148, 0,	//179  bool*
    161, 0,	//181  const QScriptSyntaxCheckResult&
    23, 47, 0,	//183  QScriptEngine*, QScriptValue::SpecialValue
    23, 147, 0,	//186  QScriptEngine*, bool
    23, 171, 0,	//189  QScriptEngine*, int
    23, 174, 0,	//192  QScriptEngine*, unsigned int
    23, 170, 0,	//195  QScriptEngine*, double
    23, 165, 0,	//198  QScriptEngine*, const QString&
    23, 168, 0,	//201  QScriptEngine*, const char*
    47, 0,	//204  QScriptValue::SpecialValue
    147, 0,	//206  bool
    150, 0,	//208  const QLatin1String&
    165, 164, 0,	//210  const QString&, const QScriptValue::ResolveFlags&
    165, 162, 163, 0,	//213  const QString&, const QScriptValue&, const QScriptValue::PropertyFlags&
    174, 164, 0,	//217  unsigned int, const QScriptValue::ResolveFlags&
    174, 162, 163, 0,	//220  unsigned int, const QScriptValue&, const QScriptValue::PropertyFlags&
    160, 164, 0,	//224  const QScriptString&, const QScriptValue::ResolveFlags&
    160, 162, 163, 0,	//227  const QScriptString&, const QScriptValue&, const QScriptValue::PropertyFlags&
    162, 151, 0,	//231  const QScriptValue&, const QList<QScriptValue>&
    162, 162, 0,	//234  const QScriptValue&, const QScriptValue&
    151, 0,	//237  const QList<QScriptValue>&
    165, 162, 0,	//239  const QString&, const QScriptValue&
    174, 162, 0,	//242  unsigned int, const QScriptValue&
    160, 162, 0,	//245  const QScriptString&, const QScriptValue&
    40, 0,	//248  QScriptValue&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AutoCreateDynamicProperties",	//1
    "AutoOwnership",	//2
    "Callable",	//3
    "DebuggerInvocationRequest",	//4
    "Error",	//5
    "ExceptionState",	//6
    "ExcludeChildObjects",	//7
    "ExcludeDeleteLater",	//8
    "ExcludeSuperClassContents",	//9
    "ExcludeSuperClassMethods",	//10
    "ExcludeSuperClassProperties",	//11
    "HandlesReadAccess",	//12
    "HandlesWriteAccess",	//13
    "HasInstance",	//14
    "Intermediate",	//15
    "KeepExistingFlags",	//16
    "LicensedActiveQt",	//17
    "LicensedCore",	//18
    "LicensedDBus",	//19
    "LicensedDeclarative",	//20
    "LicensedGui",	//21
    "LicensedHelp",	//22
    "LicensedMultimedia",	//23
    "LicensedNetwork",	//24
    "LicensedOpenGL",	//25
    "LicensedOpenVG",	//26
    "LicensedQt3Support",	//27
    "LicensedQt3SupportLight",	//28
    "LicensedScript",	//29
    "LicensedScriptTools",	//30
    "LicensedSql",	//31
    "LicensedSvg",	//32
    "LicensedTest",	//33
    "LicensedXml",	//34
    "LicensedXmlPatterns",	//35
    "NativeFunction",	//36
    "NormalState",	//37
    "NullValue",	//38
    "PreferExistingWrapperObject",	//39
    "PropertyGetter",	//40
    "PropertySetter",	//41
    "QObjectMember",	//42
    "QScriptClass",	//43
    "QScriptClass#",	//44
    "QScriptClass##",	//45
    "QScriptClassPropertyIterator",	//46
    "QScriptClassPropertyIterator#",	//47
    "QScriptClassPropertyIterator##",	//48
    "QScriptContextInfo",	//49
    "QScriptContextInfo#",	//50
    "QScriptEngine",	//51
    "QScriptEngine#",	//52
    "QScriptEngine##",	//53
    "QScriptEngineAgent",	//54
    "QScriptEngineAgent#",	//55
    "QScriptEngineAgent##",	//56
    "QScriptExtensionInterface",	//57
    "QScriptExtensionInterface#",	//58
    "QScriptExtensionPlugin",	//59
    "QScriptExtensionPlugin#",	//60
    "QScriptString",	//61
    "QScriptString#",	//62
    "QScriptSyntaxCheckResult",	//63
    "QScriptSyntaxCheckResult#",	//64
    "QScriptValue",	//65
    "QScriptValue#",	//66
    "QScriptValue#$",	//67
    "QScriptValue$",	//68
    "QScriptValueIterator",	//69
    "QScriptValueIterator#",	//70
    "QScriptable",	//71
    "Q_COMPLEX_TYPE",	//72
    "Q_DUMMY_TYPE",	//73
    "Q_MOVABLE_TYPE",	//74
    "Q_PRIMITIVE_TYPE",	//75
    "Q_STATIC_TYPE",	//76
    "QtCriticalMsg",	//77
    "QtDebugMsg",	//78
    "QtFatalMsg",	//79
    "QtFunction",	//80
    "QtOwnership",	//81
    "QtPropertyFunction",	//82
    "QtSystemMsg",	//83
    "QtWarningMsg",	//84
    "RangeError",	//85
    "ReadOnly",	//86
    "ReferenceError",	//87
    "ResolveFull",	//88
    "ResolveLocal",	//89
    "ResolvePrototype",	//90
    "ResolveScope",	//91
    "ScriptFunction",	//92
    "ScriptOwnership",	//93
    "SkipInEnumeration",	//94
    "SkipMethodsInEnumeration",	//95
    "SyntaxError",	//96
    "TypeError",	//97
    "URIError",	//98
    "UndefinedValue",	//99
    "Undeletable",	//100
    "UnknownError",	//101
    "UserRange",	//102
    "Valid",	//103
    "abortEvaluation",	//104
    "abortEvaluation#",	//105
    "activationObject",	//106
    "agent",	//107
    "argument",	//108
    "argument$",	//109
    "argumentCount",	//110
    "argumentsObject",	//111
    "availableExtensions",	//112
    "backtrace",	//113
    "call",	//114
    "call#",	//115
    "call##",	//116
    "call#?",	//117
    "callee",	//118
    "canEvaluate",	//119
    "canEvaluate$",	//120
    "checkSyntax",	//121
    "checkSyntax$",	//122
    "childEvent",	//123
    "clearExceptions",	//124
    "collectGarbage",	//125
    "columnNumber",	//126
    "connectNotify",	//127
    "construct",	//128
    "construct#",	//129
    "construct?",	//130
    "context",	//131
    "contextPop",	//132
    "contextPush",	//133
    "currentContext",	//134
    "customEvent",	//135
    "data",	//136
    "defaultPrototype",	//137
    "defaultPrototype$",	//138
    "disconnectNotify",	//139
    "engine",	//140
    "equals",	//141
    "equals#",	//142
    "errorColumnNumber",	//143
    "errorLineNumber",	//144
    "errorMessage",	//145
    "evaluate",	//146
    "evaluate#",	//147
    "evaluate$",	//148
    "evaluate$$",	//149
    "evaluate$$$",	//150
    "event",	//151
    "eventFilter",	//152
    "exceptionCatch",	//153
    "exceptionCatch$#",	//154
    "exceptionThrow",	//155
    "exceptionThrow$#$",	//156
    "extension",	//157
    "extension$",	//158
    "extension$#",	//159
    "fileName",	//160
    "flags",	//161
    "functionEndLineNumber",	//162
    "functionEntry",	//163
    "functionEntry$",	//164
    "functionExit",	//165
    "functionExit$#",	//166
    "functionMetaIndex",	//167
    "functionName",	//168
    "functionParameterNames",	//169
    "functionStartLineNumber",	//170
    "functionType",	//171
    "globalObject",	//172
    "hasNext",	//173
    "hasPrevious",	//174
    "hasUncaughtException",	//175
    "id",	//176
    "importExtension",	//177
    "importExtension$",	//178
    "importedExtensions",	//179
    "initialize",	//180
    "initialize$#",	//181
    "installTranslatorFunctions",	//182
    "installTranslatorFunctions#",	//183
    "instanceOf",	//184
    "instanceOf#",	//185
    "isArray",	//186
    "isBool",	//187
    "isBoolean",	//188
    "isCalledAsConstructor",	//189
    "isDate",	//190
    "isError",	//191
    "isEvaluating",	//192
    "isFunction",	//193
    "isNull",	//194
    "isNumber",	//195
    "isObject",	//196
    "isQMetaObject",	//197
    "isQObject",	//198
    "isRegExp",	//199
    "isString",	//200
    "isUndefined",	//201
    "isValid",	//202
    "isVariant",	//203
    "keys",	//204
    "lessThan",	//205
    "lessThan#",	//206
    "lineNumber",	//207
    "metaObject",	//208
    "name",	//209
    "newActivationObject",	//210
    "newArray",	//211
    "newArray$",	//212
    "newDate",	//213
    "newDate#",	//214
    "newDate$",	//215
    "newFunction",	//216
    "newFunction#",	//217
    "newFunction##",	//218
    "newFunction##$",	//219
    "newFunction#$",	//220
    "newIterator",	//221
    "newIterator#",	//222
    "newObject",	//223
    "newObject#",	//224
    "newObject##",	//225
    "newQMetaObject",	//226
    "newQMetaObject#",	//227
    "newQMetaObject##",	//228
    "newQObject",	//229
    "newQObject#",	//230
    "newQObject##",	//231
    "newQObject##$",	//232
    "newQObject##$?",	//233
    "newQObject#$",	//234
    "newQObject#$?",	//235
    "newRegExp",	//236
    "newRegExp#",	//237
    "newRegExp$$",	//238
    "newVariant",	//239
    "newVariant#",	//240
    "newVariant##",	//241
    "next",	//242
    "nullValue",	//243
    "object",	//244
    "objectById",	//245
    "objectById$",	//246
    "objectId",	//247
    "operator QString",	//248
    "operator!=",	//249
    "operator!=#",	//250
    "operator=",	//251
    "operator=#",	//252
    "operator==",	//253
    "operator==#",	//254
    "parentContext",	//255
    "popContext",	//256
    "popScope",	//257
    "positionChange",	//258
    "positionChange$$$",	//259
    "previous",	//260
    "processEventsInterval",	//261
    "property",	//262
    "property#",	//263
    "property##$",	//264
    "property#?",	//265
    "property$",	//266
    "property$?",	//267
    "propertyFlags",	//268
    "propertyFlags#",	//269
    "propertyFlags##$",	//270
    "propertyFlags#?",	//271
    "propertyFlags$",	//272
    "propertyFlags$?",	//273
    "prototype",	//274
    "pushContext",	//275
    "pushScope",	//276
    "pushScope#",	//277
    "qScriptConnect",	//278
    "qScriptConnect#$##",	//279
    "qt_metacall",	//280
    "qt_metacall$$?",	//281
    "qt_metacast",	//282
    "qt_metacast$",	//283
    "queryProperty",	//284
    "queryProperty##$$",	//285
    "remove",	//286
    "returnValue",	//287
    "scope",	//288
    "scopeChain",	//289
    "scriptClass",	//290
    "scriptId",	//291
    "scriptLoad",	//292
    "scriptLoad$$$$",	//293
    "scriptName",	//294
    "scriptUnload",	//295
    "scriptUnload$",	//296
    "setActivationObject",	//297
    "setActivationObject#",	//298
    "setAgent",	//299
    "setAgent#",	//300
    "setData",	//301
    "setData#",	//302
    "setDefaultPrototype",	//303
    "setDefaultPrototype$#",	//304
    "setGlobalObject",	//305
    "setGlobalObject#",	//306
    "setProcessEventsInterval",	//307
    "setProcessEventsInterval$",	//308
    "setProperty",	//309
    "setProperty##",	//310
    "setProperty##$#",	//311
    "setProperty##?",	//312
    "setProperty$#",	//313
    "setProperty$#?",	//314
    "setPrototype",	//315
    "setPrototype#",	//316
    "setReturnValue",	//317
    "setReturnValue#",	//318
    "setScope",	//319
    "setScope#",	//320
    "setScriptClass",	//321
    "setScriptClass#",	//322
    "setThisObject",	//323
    "setThisObject#",	//324
    "setValue",	//325
    "setValue#",	//326
    "setupPackage",	//327
    "setupPackage$#",	//328
    "signalHandlerException",	//329
    "signalHandlerException#",	//330
    "state",	//331
    "staticMetaObject",	//332
    "strictlyEquals",	//333
    "strictlyEquals#",	//334
    "supportsExtension",	//335
    "supportsExtension$",	//336
    "thisObject",	//337
    "throwError",	//338
    "throwError$",	//339
    "throwError$$",	//340
    "throwValue",	//341
    "throwValue#",	//342
    "timerEvent",	//343
    "toArrayIndex",	//344
    "toArrayIndex$",	//345
    "toBack",	//346
    "toBool",	//347
    "toBoolean",	//348
    "toDateTime",	//349
    "toFront",	//350
    "toInt32",	//351
    "toInteger",	//352
    "toNumber",	//353
    "toObject",	//354
    "toObject#",	//355
    "toQMetaObject",	//356
    "toQObject",	//357
    "toRegExp",	//358
    "toString",	//359
    "toStringHandle",	//360
    "toStringHandle$",	//361
    "toUInt16",	//362
    "toUInt32",	//363
    "toVariant",	//364
    "tr",	//365
    "tr$",	//366
    "tr$$",	//367
    "tr$$$",	//368
    "trUtf8",	//369
    "trUtf8$",	//370
    "trUtf8$$",	//371
    "trUtf8$$$",	//372
    "uncaughtException",	//373
    "uncaughtExceptionBacktrace",	//374
    "uncaughtExceptionLineNumber",	//375
    "undefinedValue",	//376
    "value",	//377
    "~QScriptClass",	//378
    "~QScriptClassPropertyIterator",	//379
    "~QScriptContext",	//380
    "~QScriptContextInfo",	//381
    "~QScriptEngine",	//382
    "~QScriptEngineAgent",	//383
    "~QScriptExtensionInterface",	//384
    "~QScriptExtensionPlugin",	//385
    "~QScriptString",	//386
    "~QScriptSyntaxCheckResult",	//387
    "~QScriptValue",	//388
    "~QScriptValueIterator",	//389
    "~QScriptable",	//390
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 204, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 0},	//1 QFactoryInterface::keys() const [pure virtual]
    {6, 278, 1, 4, Smoke::mf_static, 147, 1},	//2 QGlobalSpace::qScriptConnect(QObject*, const char*, const QScriptValue&, const QScriptValue&)
    {6, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 2},	//3 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {6, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 3},	//4 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {6, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 4},	//5 QGlobalSpace::Q_STATIC_TYPE (enum)
    {6, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 5},	//6 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {6, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 6},	//7 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {6, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 7},	//8 QGlobalSpace::LicensedGui (enum)
    {6, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 8},	//9 QGlobalSpace::LicensedXml (enum)
    {6, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 9},	//10 QGlobalSpace::LicensedQt3SupportLight (enum)
    {6, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 10},	//11 QGlobalSpace::LicensedScript (enum)
    {6, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 11},	//12 QGlobalSpace::LicensedOpenVG (enum)
    {6, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 12},	//13 QGlobalSpace::LicensedDBus (enum)
    {6, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 13},	//14 QGlobalSpace::LicensedTest (enum)
    {6, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 14},	//15 QGlobalSpace::LicensedActiveQt (enum)
    {6, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 15},	//16 QGlobalSpace::LicensedScriptTools (enum)
    {6, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 16},	//17 QGlobalSpace::LicensedSvg (enum)
    {6, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 17},	//18 QGlobalSpace::LicensedDeclarative (enum)
    {6, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 18},	//19 QGlobalSpace::LicensedSql (enum)
    {6, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 19},	//20 QGlobalSpace::LicensedOpenGL (enum)
    {6, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 20},	//21 QGlobalSpace::LicensedCore (enum)
    {6, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 21},	//22 QGlobalSpace::QtDebugMsg (enum)
    {6, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 22},	//23 QGlobalSpace::QtWarningMsg (enum)
    {6, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 23},	//24 QGlobalSpace::QtCriticalMsg (enum)
    {6, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 24},	//25 QGlobalSpace::QtFatalMsg (enum)
    {6, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 25},	//26 QGlobalSpace::QtSystemMsg (enum)
    {6, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 26},	//27 QGlobalSpace::LicensedHelp (enum)
    {6, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 27},	//28 QGlobalSpace::LicensedMultimedia (enum)
    {6, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 28},	//29 QGlobalSpace::LicensedQt3Support (enum)
    {6, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 29},	//30 QGlobalSpace::LicensedXmlPatterns (enum)
    {6, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 30},	//31 QGlobalSpace::LicensedNetwork (enum)
    {9, 151, 6, 1, Smoke::mf_virtual, 147, 0},	//32 QObject::event(QEvent*)
    {9, 152, 8, 2, Smoke::mf_virtual, 147, 0},	//33 QObject::eventFilter(QObject*, QEvent*)
    {9, 343, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::timerEvent(QTimerEvent*)
    {9, 123, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::childEvent(QChildEvent*)
    {9, 135, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::customEvent(QEvent*)
    {9, 127, 15, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::connectNotify(const char*)
    {9, 139, 15, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::disconnectNotify(const char*)
    {11, 43, 17, 1, Smoke::mf_ctor, 10, 1},	//39 QScriptClass::QScriptClass(QScriptEngine*)
    {11, 140, 0, 0, Smoke::mf_const, 23, 2},	//40 QScriptClass::engine() const
    {11, 284, 19, 4, Smoke::mf_virtual, 13, 3},	//41 QScriptClass::queryProperty(const QScriptValue&, const QScriptString&, QScriptClass::QueryFlags, unsigned int*)
    {11, 262, 24, 3, Smoke::mf_virtual, 39, 4},	//42 QScriptClass::property(const QScriptValue&, const QScriptString&, unsigned int)
    {11, 309, 28, 4, Smoke::mf_virtual, 0, 5},	//43 QScriptClass::setProperty(QScriptValue&, const QScriptString&, unsigned int, const QScriptValue&)
    {11, 268, 24, 3, Smoke::mf_virtual, 45, 6},	//44 QScriptClass::propertyFlags(const QScriptValue&, const QScriptString&, unsigned int)
    {11, 221, 33, 1, Smoke::mf_virtual, 15, 7},	//45 QScriptClass::newIterator(const QScriptValue&)
    {11, 274, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 8},	//46 QScriptClass::prototype() const
    {11, 209, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 9},	//47 QScriptClass::name() const
    {11, 335, 35, 1, Smoke::mf_const|Smoke::mf_virtual, 147, 10},	//48 QScriptClass::supportsExtension(QScriptClass::Extension) const
    {11, 157, 37, 2, Smoke::mf_virtual, 55, 11},	//49 QScriptClass::extension(QScriptClass::Extension, const QVariant&)
    {11, 43, 40, 2, Smoke::mf_ctor|Smoke::mf_protected, 10, 12},	//50 QScriptClass::QScriptClass(QScriptEngine*, QScriptClassPrivate&)
    {11, 157, 35, 1, 0, 55, 13},	//51 QScriptClass::extension(QScriptClass::Extension)
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 14},	//52 QScriptClass::HandlesReadAccess (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 15},	//53 QScriptClass::HandlesWriteAccess (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 16},	//54 QScriptClass::Callable (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 17},	//55 QScriptClass::HasInstance (enum)
    {11, 378, 0, 0, Smoke::mf_dtor, 0, 18 },	//56 QScriptClass::~QScriptClass()
    {13, 46, 33, 1, Smoke::mf_ctor|Smoke::mf_protected, 15, 1},	//57 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&)
    {13, 244, 0, 0, Smoke::mf_const, 39, 2},	//58 QScriptClassPropertyIterator::object() const
    {13, 173, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 3},	//59 QScriptClassPropertyIterator::hasNext() const [pure virtual]
    {13, 242, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//60 QScriptClassPropertyIterator::next() [pure virtual]
    {13, 174, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 5},	//61 QScriptClassPropertyIterator::hasPrevious() const [pure virtual]
    {13, 260, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//62 QScriptClassPropertyIterator::previous() [pure virtual]
    {13, 350, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//63 QScriptClassPropertyIterator::toFront() [pure virtual]
    {13, 346, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//64 QScriptClassPropertyIterator::toBack() [pure virtual]
    {13, 209, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 32, 9},	//65 QScriptClassPropertyIterator::name() const [pure virtual]
    {13, 176, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 174, 10},	//66 QScriptClassPropertyIterator::id() const
    {13, 161, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 45, 11},	//67 QScriptClassPropertyIterator::flags() const
    {13, 46, 43, 2, Smoke::mf_ctor|Smoke::mf_protected, 15, 12},	//68 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&, QScriptClassPropertyIteratorPrivate&)
    {13, 379, 0, 0, Smoke::mf_dtor, 0, 13 },	//69 QScriptClassPropertyIterator::~QScriptClassPropertyIterator()
    {15, 255, 0, 0, Smoke::mf_const, 17, 1},	//70 QScriptContext::parentContext() const
    {15, 140, 0, 0, Smoke::mf_const, 23, 2},	//71 QScriptContext::engine() const
    {15, 331, 0, 0, Smoke::mf_const, 19, 3},	//72 QScriptContext::state() const
    {15, 118, 0, 0, Smoke::mf_const, 39, 4},	//73 QScriptContext::callee() const
    {15, 110, 0, 0, Smoke::mf_const, 171, 5},	//74 QScriptContext::argumentCount() const
    {15, 108, 46, 1, Smoke::mf_const, 39, 6},	//75 QScriptContext::argument(int) const
    {15, 111, 0, 0, Smoke::mf_const, 39, 7},	//76 QScriptContext::argumentsObject() const
    {15, 289, 0, 0, Smoke::mf_const, 5, 8},	//77 QScriptContext::scopeChain() const
    {15, 276, 33, 1, 0, 0, 9},	//78 QScriptContext::pushScope(const QScriptValue&)
    {15, 257, 0, 0, 0, 39, 10},	//79 QScriptContext::popScope()
    {15, 287, 0, 0, Smoke::mf_const, 39, 11},	//80 QScriptContext::returnValue() const
    {15, 317, 33, 1, 0, 0, 12},	//81 QScriptContext::setReturnValue(const QScriptValue&)
    {15, 106, 0, 0, Smoke::mf_const, 39, 13},	//82 QScriptContext::activationObject() const
    {15, 297, 33, 1, 0, 0, 14},	//83 QScriptContext::setActivationObject(const QScriptValue&)
    {15, 337, 0, 0, Smoke::mf_const, 39, 15},	//84 QScriptContext::thisObject() const
    {15, 323, 33, 1, 0, 0, 16},	//85 QScriptContext::setThisObject(const QScriptValue&)
    {15, 189, 0, 0, Smoke::mf_const, 147, 17},	//86 QScriptContext::isCalledAsConstructor() const
    {15, 341, 33, 1, 0, 39, 18},	//87 QScriptContext::throwValue(const QScriptValue&)
    {15, 338, 48, 2, 0, 39, 19},	//88 QScriptContext::throwError(QScriptContext::Error, const QString&)
    {15, 338, 51, 1, 0, 39, 20},	//89 QScriptContext::throwError(const QString&)
    {15, 113, 0, 0, Smoke::mf_const, 52, 21},	//90 QScriptContext::backtrace() const
    {15, 359, 0, 0, Smoke::mf_const, 51, 22},	//91 QScriptContext::toString() const
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 23},	//92 QScriptContext::NormalState (enum)
    {15, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 24},	//93 QScriptContext::ExceptionState (enum)
    {15, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 25},	//94 QScriptContext::UnknownError (enum)
    {15, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 26},	//95 QScriptContext::ReferenceError (enum)
    {15, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 27},	//96 QScriptContext::SyntaxError (enum)
    {15, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 28},	//97 QScriptContext::TypeError (enum)
    {15, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 29},	//98 QScriptContext::RangeError (enum)
    {15, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 30},	//99 QScriptContext::URIError (enum)
    {15, 380, 0, 0, Smoke::mf_dtor, 0, 31 },	//100 QScriptContext::~QScriptContext()
    {16, 49, 53, 1, Smoke::mf_ctor, 21, 1},	//101 QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
    {16, 49, 55, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 21, 2},	//102 QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
    {16, 49, 0, 0, Smoke::mf_ctor, 21, 3},	//103 QScriptContextInfo::QScriptContextInfo()
    {16, 251, 55, 1, 0, 20, 4},	//104 QScriptContextInfo::operator=(const QScriptContextInfo&)
    {16, 194, 0, 0, Smoke::mf_const, 147, 5},	//105 QScriptContextInfo::isNull() const
    {16, 291, 0, 0, Smoke::mf_const, 173, 6},	//106 QScriptContextInfo::scriptId() const
    {16, 160, 0, 0, Smoke::mf_const, 51, 7},	//107 QScriptContextInfo::fileName() const
    {16, 207, 0, 0, Smoke::mf_const, 171, 8},	//108 QScriptContextInfo::lineNumber() const
    {16, 126, 0, 0, Smoke::mf_const, 171, 9},	//109 QScriptContextInfo::columnNumber() const
    {16, 168, 0, 0, Smoke::mf_const, 51, 10},	//110 QScriptContextInfo::functionName() const
    {16, 171, 0, 0, Smoke::mf_const, 22, 11},	//111 QScriptContextInfo::functionType() const
    {16, 169, 0, 0, Smoke::mf_const, 52, 12},	//112 QScriptContextInfo::functionParameterNames() const
    {16, 170, 0, 0, Smoke::mf_const, 171, 13},	//113 QScriptContextInfo::functionStartLineNumber() const
    {16, 162, 0, 0, Smoke::mf_const, 171, 14},	//114 QScriptContextInfo::functionEndLineNumber() const
    {16, 167, 0, 0, Smoke::mf_const, 171, 15},	//115 QScriptContextInfo::functionMetaIndex() const
    {16, 253, 55, 1, Smoke::mf_const, 147, 16},	//116 QScriptContextInfo::operator==(const QScriptContextInfo&) const
    {16, 249, 55, 1, Smoke::mf_const, 147, 17},	//117 QScriptContextInfo::operator!=(const QScriptContextInfo&) const
    {16, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 18},	//118 QScriptContextInfo::ScriptFunction (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 19},	//119 QScriptContextInfo::QtFunction (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 20},	//120 QScriptContextInfo::QtPropertyFunction (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 21},	//121 QScriptContextInfo::NativeFunction (enum)
    {16, 381, 0, 0, Smoke::mf_dtor, 0, 22 },	//122 QScriptContextInfo::~QScriptContextInfo()
    {17, 208, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 153, 1},	//123 QScriptEngine::metaObject() const
    {17, 282, 15, 1, Smoke::mf_virtual, 177, 2},	//124 QScriptEngine::qt_metacast(const char*)
    {17, 365, 57, 2, Smoke::mf_static, 51, 3},	//125 QScriptEngine::tr(const char*, const char*)
    {17, 369, 57, 2, Smoke::mf_static, 51, 4},	//126 QScriptEngine::trUtf8(const char*, const char*)
    {17, 365, 60, 3, Smoke::mf_static, 51, 5},	//127 QScriptEngine::tr(const char*, const char*, int)
    {17, 369, 60, 3, Smoke::mf_static, 51, 6},	//128 QScriptEngine::trUtf8(const char*, const char*, int)
    {17, 280, 64, 3, Smoke::mf_virtual, 171, 7},	//129 QScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {17, 51, 0, 0, Smoke::mf_ctor, 23, 8},	//130 QScriptEngine::QScriptEngine()
    {17, 51, 68, 1, Smoke::mf_ctor, 23, 9},	//131 QScriptEngine::QScriptEngine(QObject*)
    {17, 172, 0, 0, Smoke::mf_const, 39, 10},	//132 QScriptEngine::globalObject() const
    {17, 305, 33, 1, 0, 0, 11},	//133 QScriptEngine::setGlobalObject(const QScriptValue&)
    {17, 134, 0, 0, Smoke::mf_const, 17, 12},	//134 QScriptEngine::currentContext() const
    {17, 275, 0, 0, 0, 17, 13},	//135 QScriptEngine::pushContext()
    {17, 256, 0, 0, 0, 0, 14},	//136 QScriptEngine::popContext()
    {17, 119, 51, 1, Smoke::mf_const, 147, 15},	//137 QScriptEngine::canEvaluate(const QString&) const
    {17, 121, 51, 1, Smoke::mf_static, 35, 16},	//138 QScriptEngine::checkSyntax(const QString&)
    {17, 146, 70, 3, 0, 39, 17},	//139 QScriptEngine::evaluate(const QString&, const QString&, int)
    {17, 146, 74, 1, 0, 39, 18},	//140 QScriptEngine::evaluate(const QScriptProgram&)
    {17, 192, 0, 0, Smoke::mf_const, 147, 19},	//141 QScriptEngine::isEvaluating() const
    {17, 104, 33, 1, 0, 0, 20},	//142 QScriptEngine::abortEvaluation(const QScriptValue&)
    {17, 175, 0, 0, Smoke::mf_const, 147, 21},	//143 QScriptEngine::hasUncaughtException() const
    {17, 373, 0, 0, Smoke::mf_const, 39, 22},	//144 QScriptEngine::uncaughtException() const
    {17, 375, 0, 0, Smoke::mf_const, 171, 23},	//145 QScriptEngine::uncaughtExceptionLineNumber() const
    {17, 374, 0, 0, Smoke::mf_const, 52, 24},	//146 QScriptEngine::uncaughtExceptionBacktrace() const
    {17, 124, 0, 0, 0, 0, 25},	//147 QScriptEngine::clearExceptions()
    {17, 243, 0, 0, 0, 39, 26},	//148 QScriptEngine::nullValue()
    {17, 376, 0, 0, 0, 39, 27},	//149 QScriptEngine::undefinedValue()
    {17, 216, 76, 2, 0, 39, 28},	//150 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), int)
    {17, 216, 79, 3, 0, 39, 29},	//151 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&, int)
    {17, 216, 83, 2, 0, 39, 30},	//152 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*)
    {17, 239, 86, 1, 0, 39, 31},	//153 QScriptEngine::newVariant(const QVariant&)
    {17, 239, 88, 2, 0, 39, 32},	//154 QScriptEngine::newVariant(const QScriptValue&, const QVariant&)
    {17, 236, 91, 1, 0, 39, 33},	//155 QScriptEngine::newRegExp(const QRegExp&)
    {17, 223, 0, 0, 0, 39, 34},	//156 QScriptEngine::newObject()
    {17, 223, 93, 2, 0, 39, 35},	//157 QScriptEngine::newObject(QScriptClass*, const QScriptValue&)
    {17, 211, 96, 1, 0, 39, 36},	//158 QScriptEngine::newArray(unsigned int)
    {17, 236, 98, 2, 0, 39, 37},	//159 QScriptEngine::newRegExp(const QString&, const QString&)
    {17, 213, 101, 1, 0, 39, 38},	//160 QScriptEngine::newDate(double)
    {17, 213, 103, 1, 0, 39, 39},	//161 QScriptEngine::newDate(const QDateTime&)
    {17, 210, 0, 0, 0, 39, 40},	//162 QScriptEngine::newActivationObject()
    {17, 229, 105, 3, 0, 39, 41},	//163 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&)
    {17, 229, 109, 4, 0, 39, 42},	//164 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&)
    {17, 226, 114, 2, 0, 39, 43},	//165 QScriptEngine::newQMetaObject(const QMetaObject*, const QScriptValue&)
    {17, 137, 46, 1, Smoke::mf_const, 39, 44},	//166 QScriptEngine::defaultPrototype(int) const
    {17, 303, 117, 2, 0, 0, 45},	//167 QScriptEngine::setDefaultPrototype(int, const QScriptValue&)
    {17, 182, 33, 1, 0, 0, 46},	//168 QScriptEngine::installTranslatorFunctions(const QScriptValue&)
    {17, 177, 51, 1, 0, 39, 47},	//169 QScriptEngine::importExtension(const QString&)
    {17, 112, 0, 0, Smoke::mf_const, 52, 48},	//170 QScriptEngine::availableExtensions() const
    {17, 179, 0, 0, Smoke::mf_const, 52, 49},	//171 QScriptEngine::importedExtensions() const
    {17, 125, 0, 0, 0, 0, 50},	//172 QScriptEngine::collectGarbage()
    {17, 307, 46, 1, 0, 0, 51},	//173 QScriptEngine::setProcessEventsInterval(int)
    {17, 261, 0, 0, Smoke::mf_const, 171, 52},	//174 QScriptEngine::processEventsInterval() const
    {17, 299, 120, 1, 0, 0, 53},	//175 QScriptEngine::setAgent(QScriptEngineAgent*)
    {17, 107, 0, 0, Smoke::mf_const, 26, 54},	//176 QScriptEngine::agent() const
    {17, 360, 51, 1, 0, 32, 55},	//177 QScriptEngine::toStringHandle(const QString&)
    {17, 354, 33, 1, 0, 39, 56},	//178 QScriptEngine::toObject(const QScriptValue&)
    {17, 245, 122, 1, Smoke::mf_const, 39, 57},	//179 QScriptEngine::objectById(long long) const
    {17, 329, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//180 QScriptEngine::signalHandlerException(const QScriptValue&)
    {17, 51, 124, 2, Smoke::mf_ctor|Smoke::mf_protected, 23, 59},	//181 QScriptEngine::QScriptEngine(QScriptEnginePrivate&, QObject*)
    {17, 365, 15, 1, Smoke::mf_static, 51, 60},	//182 QScriptEngine::tr(const char*)
    {17, 369, 15, 1, Smoke::mf_static, 51, 61},	//183 QScriptEngine::trUtf8(const char*)
    {17, 146, 51, 1, 0, 39, 62},	//184 QScriptEngine::evaluate(const QString&)
    {17, 146, 98, 2, 0, 39, 63},	//185 QScriptEngine::evaluate(const QString&, const QString&)
    {17, 104, 0, 0, 0, 0, 64},	//186 QScriptEngine::abortEvaluation()
    {17, 216, 127, 1, 0, 39, 65},	//187 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*))
    {17, 216, 129, 2, 0, 39, 66},	//188 QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), const QScriptValue&)
    {17, 223, 132, 1, 0, 39, 67},	//189 QScriptEngine::newObject(QScriptClass*)
    {17, 211, 0, 0, 0, 39, 68},	//190 QScriptEngine::newArray()
    {17, 229, 68, 1, 0, 39, 69},	//191 QScriptEngine::newQObject(QObject*)
    {17, 229, 134, 2, 0, 39, 70},	//192 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership)
    {17, 229, 137, 2, 0, 39, 71},	//193 QScriptEngine::newQObject(const QScriptValue&, QObject*)
    {17, 229, 140, 3, 0, 39, 72},	//194 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership)
    {17, 226, 144, 1, 0, 39, 73},	//195 QScriptEngine::newQMetaObject(const QMetaObject*)
    {17, 182, 0, 0, 0, 0, 74},	//196 QScriptEngine::installTranslatorFunctions()
    {17, 51, 146, 1, Smoke::mf_ctor|Smoke::mf_protected, 23, 75},	//197 QScriptEngine::QScriptEngine(QScriptEnginePrivate&)
    {17, 332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 152, 76},	//198 QScriptEngine::staticMetaObject() const
    {17, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 77},	//199 QScriptEngine::QtOwnership (enum)
    {17, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 78},	//200 QScriptEngine::ScriptOwnership (enum)
    {17, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 79},	//201 QScriptEngine::AutoOwnership (enum)
    {17, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 80},	//202 QScriptEngine::ExcludeChildObjects (enum)
    {17, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 81},	//203 QScriptEngine::ExcludeSuperClassMethods (enum)
    {17, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 82},	//204 QScriptEngine::ExcludeSuperClassProperties (enum)
    {17, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 83},	//205 QScriptEngine::ExcludeSuperClassContents (enum)
    {17, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 84},	//206 QScriptEngine::SkipMethodsInEnumeration (enum)
    {17, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 85},	//207 QScriptEngine::ExcludeDeleteLater (enum)
    {17, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 86},	//208 QScriptEngine::AutoCreateDynamicProperties (enum)
    {17, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 87},	//209 QScriptEngine::PreferExistingWrapperObject (enum)
    {17, 382, 0, 0, Smoke::mf_dtor, 0, 88 },	//210 QScriptEngine::~QScriptEngine()
    {18, 54, 17, 1, Smoke::mf_ctor, 26, 1},	//211 QScriptEngineAgent::QScriptEngineAgent(QScriptEngine*)
    {18, 292, 148, 4, Smoke::mf_virtual, 0, 2},	//212 QScriptEngineAgent::scriptLoad(long long, const QString&, const QString&, int)
    {18, 295, 122, 1, Smoke::mf_virtual, 0, 3},	//213 QScriptEngineAgent::scriptUnload(long long)
    {18, 133, 0, 0, Smoke::mf_virtual, 0, 4},	//214 QScriptEngineAgent::contextPush()
    {18, 132, 0, 0, Smoke::mf_virtual, 0, 5},	//215 QScriptEngineAgent::contextPop()
    {18, 163, 122, 1, Smoke::mf_virtual, 0, 6},	//216 QScriptEngineAgent::functionEntry(long long)
    {18, 165, 153, 2, Smoke::mf_virtual, 0, 7},	//217 QScriptEngineAgent::functionExit(long long, const QScriptValue&)
    {18, 258, 156, 3, Smoke::mf_virtual, 0, 8},	//218 QScriptEngineAgent::positionChange(long long, int, int)
    {18, 155, 160, 3, Smoke::mf_virtual, 0, 9},	//219 QScriptEngineAgent::exceptionThrow(long long, const QScriptValue&, bool)
    {18, 153, 153, 2, Smoke::mf_virtual, 0, 10},	//220 QScriptEngineAgent::exceptionCatch(long long, const QScriptValue&)
    {18, 335, 164, 1, Smoke::mf_const|Smoke::mf_virtual, 147, 11},	//221 QScriptEngineAgent::supportsExtension(QScriptEngineAgent::Extension) const
    {18, 157, 166, 2, Smoke::mf_virtual, 55, 12},	//222 QScriptEngineAgent::extension(QScriptEngineAgent::Extension, const QVariant&)
    {18, 140, 0, 0, Smoke::mf_const, 23, 13},	//223 QScriptEngineAgent::engine() const
    {18, 54, 169, 2, Smoke::mf_ctor|Smoke::mf_protected, 26, 14},	//224 QScriptEngineAgent::QScriptEngineAgent(QScriptEngineAgentPrivate&, QScriptEngine*)
    {18, 157, 164, 1, 0, 55, 15},	//225 QScriptEngineAgent::extension(QScriptEngineAgent::Extension)
    {18, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 16},	//226 QScriptEngineAgent::DebuggerInvocationRequest (enum)
    {18, 383, 0, 0, Smoke::mf_dtor, 0, 17 },	//227 QScriptEngineAgent::~QScriptEngineAgent()
    {21, 180, 172, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//228 QScriptExtensionInterface::initialize(const QString&, QScriptEngine*) [pure virtual]
    {21, 57, 0, 0, Smoke::mf_ctor, 30, 2},	//229 QScriptExtensionInterface::QScriptExtensionInterface()
    {21, 57, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 3},	//230 QScriptExtensionInterface::QScriptExtensionInterface(const QScriptExtensionInterface&)
    {21, 384, 0, 0, Smoke::mf_dtor, 0, 4 },	//231 QScriptExtensionInterface::~QScriptExtensionInterface()
    {22, 208, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 153, 1},	//232 QScriptExtensionPlugin::metaObject() const
    {22, 282, 15, 1, Smoke::mf_virtual, 177, 2},	//233 QScriptExtensionPlugin::qt_metacast(const char*)
    {22, 365, 57, 2, Smoke::mf_static, 51, 3},	//234 QScriptExtensionPlugin::tr(const char*, const char*)
    {22, 369, 57, 2, Smoke::mf_static, 51, 4},	//235 QScriptExtensionPlugin::trUtf8(const char*, const char*)
    {22, 365, 60, 3, Smoke::mf_static, 51, 5},	//236 QScriptExtensionPlugin::tr(const char*, const char*, int)
    {22, 369, 60, 3, Smoke::mf_static, 51, 6},	//237 QScriptExtensionPlugin::trUtf8(const char*, const char*, int)
    {22, 280, 64, 3, Smoke::mf_virtual, 171, 7},	//238 QScriptExtensionPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {22, 59, 68, 1, Smoke::mf_ctor, 31, 8},	//239 QScriptExtensionPlugin::QScriptExtensionPlugin(QObject*)
    {22, 204, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 9},	//240 QScriptExtensionPlugin::keys() const [pure virtual]
    {22, 180, 172, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//241 QScriptExtensionPlugin::initialize(const QString&, QScriptEngine*) [pure virtual]
    {22, 327, 172, 2, Smoke::mf_const, 39, 11},	//242 QScriptExtensionPlugin::setupPackage(const QString&, QScriptEngine*) const
    {22, 365, 15, 1, Smoke::mf_static, 51, 12},	//243 QScriptExtensionPlugin::tr(const char*)
    {22, 369, 15, 1, Smoke::mf_static, 51, 13},	//244 QScriptExtensionPlugin::trUtf8(const char*)
    {22, 59, 0, 0, Smoke::mf_ctor, 31, 14},	//245 QScriptExtensionPlugin::QScriptExtensionPlugin()
    {22, 332, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 152, 15},	//246 QScriptExtensionPlugin::staticMetaObject() const
    {22, 385, 0, 0, Smoke::mf_dtor, 0, 16 },	//247 QScriptExtensionPlugin::~QScriptExtensionPlugin()
    {24, 61, 0, 0, Smoke::mf_ctor, 34, 1},	//248 QScriptString::QScriptString()
    {24, 61, 177, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//249 QScriptString::QScriptString(const QScriptString&)
    {24, 251, 177, 1, 0, 33, 3},	//250 QScriptString::operator=(const QScriptString&)
    {24, 202, 0, 0, Smoke::mf_const, 147, 4},	//251 QScriptString::isValid() const
    {24, 253, 177, 1, Smoke::mf_const, 147, 5},	//252 QScriptString::operator==(const QScriptString&) const
    {24, 249, 177, 1, Smoke::mf_const, 147, 6},	//253 QScriptString::operator!=(const QScriptString&) const
    {24, 344, 179, 1, Smoke::mf_const, 174, 7},	//254 QScriptString::toArrayIndex(bool*) const
    {24, 359, 0, 0, Smoke::mf_const, 51, 8},	//255 QScriptString::toString() const
    {24, 248, 0, 0, Smoke::mf_const, 51, 9},	//256 QScriptString::operator QString() const
    {24, 344, 0, 0, Smoke::mf_const, 174, 10},	//257 QScriptString::toArrayIndex() const
    {24, 386, 0, 0, Smoke::mf_dtor, 0, 11 },	//258 QScriptString::~QScriptString()
    {25, 63, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 1},	//259 QScriptSyntaxCheckResult::QScriptSyntaxCheckResult(const QScriptSyntaxCheckResult&)
    {25, 331, 0, 0, Smoke::mf_const, 38, 2},	//260 QScriptSyntaxCheckResult::state() const
    {25, 144, 0, 0, Smoke::mf_const, 171, 3},	//261 QScriptSyntaxCheckResult::errorLineNumber() const
    {25, 143, 0, 0, Smoke::mf_const, 171, 4},	//262 QScriptSyntaxCheckResult::errorColumnNumber() const
    {25, 145, 0, 0, Smoke::mf_const, 51, 5},	//263 QScriptSyntaxCheckResult::errorMessage() const
    {25, 251, 181, 1, 0, 36, 6},	//264 QScriptSyntaxCheckResult::operator=(const QScriptSyntaxCheckResult&)
    {25, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 7},	//265 QScriptSyntaxCheckResult::Error (enum)
    {25, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 8},	//266 QScriptSyntaxCheckResult::Intermediate (enum)
    {25, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 9},	//267 QScriptSyntaxCheckResult::Valid (enum)
    {25, 387, 0, 0, Smoke::mf_dtor, 0, 10 },	//268 QScriptSyntaxCheckResult::~QScriptSyntaxCheckResult()
    {26, 65, 0, 0, Smoke::mf_ctor, 43, 1},	//269 QScriptValue::QScriptValue()
    {26, 65, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//270 QScriptValue::QScriptValue(const QScriptValue&)
    {26, 65, 183, 2, Smoke::mf_ctor, 43, 3},	//271 QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
    {26, 65, 186, 2, Smoke::mf_ctor, 43, 4},	//272 QScriptValue::QScriptValue(QScriptEngine*, bool)
    {26, 65, 189, 2, Smoke::mf_ctor, 43, 5},	//273 QScriptValue::QScriptValue(QScriptEngine*, int)
    {26, 65, 192, 2, Smoke::mf_ctor, 43, 6},	//274 QScriptValue::QScriptValue(QScriptEngine*, unsigned int)
    {26, 65, 195, 2, Smoke::mf_ctor, 43, 7},	//275 QScriptValue::QScriptValue(QScriptEngine*, double)
    {26, 65, 198, 2, Smoke::mf_ctor, 43, 8},	//276 QScriptValue::QScriptValue(QScriptEngine*, const QString&)
    {26, 65, 201, 2, Smoke::mf_ctor, 43, 9},	//277 QScriptValue::QScriptValue(QScriptEngine*, const char*)
    {26, 65, 204, 1, Smoke::mf_ctor, 43, 10},	//278 QScriptValue::QScriptValue(QScriptValue::SpecialValue)
    {26, 65, 206, 1, Smoke::mf_ctor, 43, 11},	//279 QScriptValue::QScriptValue(bool)
    {26, 65, 46, 1, Smoke::mf_ctor, 43, 12},	//280 QScriptValue::QScriptValue(int)
    {26, 65, 96, 1, Smoke::mf_ctor, 43, 13},	//281 QScriptValue::QScriptValue(unsigned int)
    {26, 65, 101, 1, Smoke::mf_ctor, 43, 14},	//282 QScriptValue::QScriptValue(double)
    {26, 65, 51, 1, Smoke::mf_ctor, 43, 15},	//283 QScriptValue::QScriptValue(const QString&)
    {26, 65, 208, 1, Smoke::mf_ctor, 43, 16},	//284 QScriptValue::QScriptValue(const QLatin1String&)
    {26, 65, 15, 1, Smoke::mf_ctor, 43, 17},	//285 QScriptValue::QScriptValue(const char*)
    {26, 251, 33, 1, 0, 40, 18},	//286 QScriptValue::operator=(const QScriptValue&)
    {26, 140, 0, 0, Smoke::mf_const, 23, 19},	//287 QScriptValue::engine() const
    {26, 202, 0, 0, Smoke::mf_const, 147, 20},	//288 QScriptValue::isValid() const
    {26, 187, 0, 0, Smoke::mf_const, 147, 21},	//289 QScriptValue::isBool() const
    {26, 188, 0, 0, Smoke::mf_const, 147, 22},	//290 QScriptValue::isBoolean() const
    {26, 195, 0, 0, Smoke::mf_const, 147, 23},	//291 QScriptValue::isNumber() const
    {26, 193, 0, 0, Smoke::mf_const, 147, 24},	//292 QScriptValue::isFunction() const
    {26, 194, 0, 0, Smoke::mf_const, 147, 25},	//293 QScriptValue::isNull() const
    {26, 200, 0, 0, Smoke::mf_const, 147, 26},	//294 QScriptValue::isString() const
    {26, 201, 0, 0, Smoke::mf_const, 147, 27},	//295 QScriptValue::isUndefined() const
    {26, 203, 0, 0, Smoke::mf_const, 147, 28},	//296 QScriptValue::isVariant() const
    {26, 198, 0, 0, Smoke::mf_const, 147, 29},	//297 QScriptValue::isQObject() const
    {26, 197, 0, 0, Smoke::mf_const, 147, 30},	//298 QScriptValue::isQMetaObject() const
    {26, 196, 0, 0, Smoke::mf_const, 147, 31},	//299 QScriptValue::isObject() const
    {26, 190, 0, 0, Smoke::mf_const, 147, 32},	//300 QScriptValue::isDate() const
    {26, 199, 0, 0, Smoke::mf_const, 147, 33},	//301 QScriptValue::isRegExp() const
    {26, 186, 0, 0, Smoke::mf_const, 147, 34},	//302 QScriptValue::isArray() const
    {26, 191, 0, 0, Smoke::mf_const, 147, 35},	//303 QScriptValue::isError() const
    {26, 359, 0, 0, Smoke::mf_const, 51, 36},	//304 QScriptValue::toString() const
    {26, 353, 0, 0, Smoke::mf_const, 170, 37},	//305 QScriptValue::toNumber() const
    {26, 347, 0, 0, Smoke::mf_const, 147, 38},	//306 QScriptValue::toBool() const
    {26, 348, 0, 0, Smoke::mf_const, 147, 39},	//307 QScriptValue::toBoolean() const
    {26, 352, 0, 0, Smoke::mf_const, 170, 40},	//308 QScriptValue::toInteger() const
    {26, 351, 0, 0, Smoke::mf_const, 171, 41},	//309 QScriptValue::toInt32() const
    {26, 363, 0, 0, Smoke::mf_const, 174, 42},	//310 QScriptValue::toUInt32() const
    {26, 362, 0, 0, Smoke::mf_const, 176, 43},	//311 QScriptValue::toUInt16() const
    {26, 364, 0, 0, Smoke::mf_const, 55, 44},	//312 QScriptValue::toVariant() const
    {26, 357, 0, 0, Smoke::mf_const, 7, 45},	//313 QScriptValue::toQObject() const
    {26, 356, 0, 0, Smoke::mf_const, 153, 46},	//314 QScriptValue::toQMetaObject() const
    {26, 354, 0, 0, Smoke::mf_const, 39, 47},	//315 QScriptValue::toObject() const
    {26, 349, 0, 0, Smoke::mf_const, 3, 48},	//316 QScriptValue::toDateTime() const
    {26, 358, 0, 0, Smoke::mf_const, 8, 49},	//317 QScriptValue::toRegExp() const
    {26, 184, 33, 1, Smoke::mf_const, 147, 50},	//318 QScriptValue::instanceOf(const QScriptValue&) const
    {26, 205, 33, 1, Smoke::mf_const, 147, 51},	//319 QScriptValue::lessThan(const QScriptValue&) const
    {26, 141, 33, 1, Smoke::mf_const, 147, 52},	//320 QScriptValue::equals(const QScriptValue&) const
    {26, 333, 33, 1, Smoke::mf_const, 147, 53},	//321 QScriptValue::strictlyEquals(const QScriptValue&) const
    {26, 274, 0, 0, Smoke::mf_const, 39, 54},	//322 QScriptValue::prototype() const
    {26, 315, 33, 1, 0, 0, 55},	//323 QScriptValue::setPrototype(const QScriptValue&)
    {26, 288, 0, 0, Smoke::mf_const, 39, 56},	//324 QScriptValue::scope() const
    {26, 319, 33, 1, 0, 0, 57},	//325 QScriptValue::setScope(const QScriptValue&)
    {26, 262, 210, 2, Smoke::mf_const, 39, 58},	//326 QScriptValue::property(const QString&, const QScriptValue::ResolveFlags&) const
    {26, 309, 213, 3, 0, 0, 59},	//327 QScriptValue::setProperty(const QString&, const QScriptValue&, const QScriptValue::PropertyFlags&)
    {26, 262, 217, 2, Smoke::mf_const, 39, 60},	//328 QScriptValue::property(unsigned int, const QScriptValue::ResolveFlags&) const
    {26, 309, 220, 3, 0, 0, 61},	//329 QScriptValue::setProperty(unsigned int, const QScriptValue&, const QScriptValue::PropertyFlags&)
    {26, 262, 224, 2, Smoke::mf_const, 39, 62},	//330 QScriptValue::property(const QScriptString&, const QScriptValue::ResolveFlags&) const
    {26, 309, 227, 3, 0, 0, 63},	//331 QScriptValue::setProperty(const QScriptString&, const QScriptValue&, const QScriptValue::PropertyFlags&)
    {26, 268, 210, 2, Smoke::mf_const, 45, 64},	//332 QScriptValue::propertyFlags(const QString&, const QScriptValue::ResolveFlags&) const
    {26, 268, 224, 2, Smoke::mf_const, 45, 65},	//333 QScriptValue::propertyFlags(const QScriptString&, const QScriptValue::ResolveFlags&) const
    {26, 114, 231, 2, 0, 39, 66},	//334 QScriptValue::call(const QScriptValue&, const QList<QScriptValue>&)
    {26, 114, 234, 2, 0, 39, 67},	//335 QScriptValue::call(const QScriptValue&, const QScriptValue&)
    {26, 128, 237, 1, 0, 39, 68},	//336 QScriptValue::construct(const QList<QScriptValue>&)
    {26, 128, 33, 1, 0, 39, 69},	//337 QScriptValue::construct(const QScriptValue&)
    {26, 136, 0, 0, Smoke::mf_const, 39, 70},	//338 QScriptValue::data() const
    {26, 301, 33, 1, 0, 0, 71},	//339 QScriptValue::setData(const QScriptValue&)
    {26, 290, 0, 0, Smoke::mf_const, 10, 72},	//340 QScriptValue::scriptClass() const
    {26, 321, 132, 1, 0, 0, 73},	//341 QScriptValue::setScriptClass(QScriptClass*)
    {26, 247, 0, 0, Smoke::mf_const, 173, 74},	//342 QScriptValue::objectId() const
    {26, 262, 51, 1, Smoke::mf_const, 39, 75},	//343 QScriptValue::property(const QString&) const
    {26, 309, 239, 2, 0, 0, 76},	//344 QScriptValue::setProperty(const QString&, const QScriptValue&)
    {26, 262, 96, 1, Smoke::mf_const, 39, 77},	//345 QScriptValue::property(unsigned int) const
    {26, 309, 242, 2, 0, 0, 78},	//346 QScriptValue::setProperty(unsigned int, const QScriptValue&)
    {26, 262, 177, 1, Smoke::mf_const, 39, 79},	//347 QScriptValue::property(const QScriptString&) const
    {26, 309, 245, 2, 0, 0, 80},	//348 QScriptValue::setProperty(const QScriptString&, const QScriptValue&)
    {26, 268, 51, 1, Smoke::mf_const, 45, 81},	//349 QScriptValue::propertyFlags(const QString&) const
    {26, 268, 177, 1, Smoke::mf_const, 45, 82},	//350 QScriptValue::propertyFlags(const QScriptString&) const
    {26, 114, 0, 0, 0, 39, 83},	//351 QScriptValue::call()
    {26, 114, 33, 1, 0, 39, 84},	//352 QScriptValue::call(const QScriptValue&)
    {26, 128, 0, 0, 0, 39, 85},	//353 QScriptValue::construct()
    {26, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 86},	//354 QScriptValue::ResolveLocal (enum)
    {26, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 87},	//355 QScriptValue::ResolvePrototype (enum)
    {26, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 88},	//356 QScriptValue::ResolveScope (enum)
    {26, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 89},	//357 QScriptValue::ResolveFull (enum)
    {26, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 90},	//358 QScriptValue::ReadOnly (enum)
    {26, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 91},	//359 QScriptValue::Undeletable (enum)
    {26, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 92},	//360 QScriptValue::SkipInEnumeration (enum)
    {26, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 93},	//361 QScriptValue::PropertyGetter (enum)
    {26, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 94},	//362 QScriptValue::PropertySetter (enum)
    {26, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 95},	//363 QScriptValue::QObjectMember (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 96},	//364 QScriptValue::KeepExistingFlags (enum)
    {26, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 97},	//365 QScriptValue::UserRange (enum)
    {26, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 98},	//366 QScriptValue::NullValue (enum)
    {26, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 99},	//367 QScriptValue::UndefinedValue (enum)
    {26, 388, 0, 0, Smoke::mf_dtor, 0, 100 },	//368 QScriptValue::~QScriptValue()
    {27, 69, 33, 1, Smoke::mf_ctor, 49, 1},	//369 QScriptValueIterator::QScriptValueIterator(const QScriptValue&)
    {27, 173, 0, 0, Smoke::mf_const, 147, 2},	//370 QScriptValueIterator::hasNext() const
    {27, 242, 0, 0, 0, 0, 3},	//371 QScriptValueIterator::next()
    {27, 174, 0, 0, Smoke::mf_const, 147, 4},	//372 QScriptValueIterator::hasPrevious() const
    {27, 260, 0, 0, 0, 0, 5},	//373 QScriptValueIterator::previous()
    {27, 209, 0, 0, Smoke::mf_const, 51, 6},	//374 QScriptValueIterator::name() const
    {27, 294, 0, 0, Smoke::mf_const, 32, 7},	//375 QScriptValueIterator::scriptName() const
    {27, 377, 0, 0, Smoke::mf_const, 39, 8},	//376 QScriptValueIterator::value() const
    {27, 325, 33, 1, 0, 0, 9},	//377 QScriptValueIterator::setValue(const QScriptValue&)
    {27, 161, 0, 0, Smoke::mf_const, 45, 10},	//378 QScriptValueIterator::flags() const
    {27, 286, 0, 0, 0, 0, 11},	//379 QScriptValueIterator::remove()
    {27, 350, 0, 0, 0, 0, 12},	//380 QScriptValueIterator::toFront()
    {27, 346, 0, 0, 0, 0, 13},	//381 QScriptValueIterator::toBack()
    {27, 251, 248, 1, 0, 48, 14},	//382 QScriptValueIterator::operator=(QScriptValue&)
    {27, 389, 0, 0, Smoke::mf_dtor, 0, 15 },	//383 QScriptValueIterator::~QScriptValueIterator()
    {28, 71, 0, 0, Smoke::mf_ctor, 50, 1},	//384 QScriptable::QScriptable()
    {28, 140, 0, 0, Smoke::mf_const, 23, 2},	//385 QScriptable::engine() const
    {28, 131, 0, 0, Smoke::mf_const, 17, 3},	//386 QScriptable::context() const
    {28, 337, 0, 0, Smoke::mf_const, 39, 4},	//387 QScriptable::thisObject() const
    {28, 110, 0, 0, Smoke::mf_const, 171, 5},	//388 QScriptable::argumentCount() const
    {28, 108, 46, 1, Smoke::mf_const, 39, 6},	//389 QScriptable::argument(int) const
    {28, 390, 0, 0, Smoke::mf_dtor, 0, 7 },	//390 QScriptable::~QScriptable()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    101,  // QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
    102,  // QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
    0,
    131,  // QScriptEngine::QScriptEngine(QObject*)
    197,  // QScriptEngine::QScriptEngine(QScriptEnginePrivate&)
    0,
    150,  // QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*), int)
    152,  // QScriptEngine::newFunction(QScriptValue(*)(QScriptContext*,QScriptEngine*,void*), void*)
    0,
    270,  // QScriptValue::QScriptValue(const QScriptValue&)
    284,  // QScriptValue::QScriptValue(const QLatin1String&)
    0,
    271,  // QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
    272,  // QScriptValue::QScriptValue(QScriptEngine*, bool)
    273,  // QScriptValue::QScriptValue(QScriptEngine*, int)
    274,  // QScriptValue::QScriptValue(QScriptEngine*, unsigned int)
    275,  // QScriptValue::QScriptValue(QScriptEngine*, double)
    276,  // QScriptValue::QScriptValue(QScriptEngine*, const QString&)
    277,  // QScriptValue::QScriptValue(QScriptEngine*, const char*)
    0,
    278,  // QScriptValue::QScriptValue(QScriptValue::SpecialValue)
    279,  // QScriptValue::QScriptValue(bool)
    280,  // QScriptValue::QScriptValue(int)
    281,  // QScriptValue::QScriptValue(unsigned int)
    282,  // QScriptValue::QScriptValue(double)
    283,  // QScriptValue::QScriptValue(const QString&)
    285,  // QScriptValue::QScriptValue(const char*)
    0,
    343,  // QScriptValue::property(const QString&) const
    345,  // QScriptValue::property(unsigned int) const
    0,
    326,  // QScriptValue::property(const QString&, const QScriptValue::ResolveFlags&) const
    328,  // QScriptValue::property(unsigned int, const QScriptValue::ResolveFlags&) const
    0,
    344,  // QScriptValue::setProperty(const QString&, const QScriptValue&)
    346,  // QScriptValue::setProperty(unsigned int, const QScriptValue&)
    0,
    327,  // QScriptValue::setProperty(const QString&, const QScriptValue&, const QScriptValue::PropertyFlags&)
    329,  // QScriptValue::setProperty(unsigned int, const QScriptValue&, const QScriptValue::PropertyFlags&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 17, 15},	// QGlobalSpace::LicensedActiveQt
    {6, 18, 21},	// QGlobalSpace::LicensedCore
    {6, 19, 13},	// QGlobalSpace::LicensedDBus
    {6, 20, 18},	// QGlobalSpace::LicensedDeclarative
    {6, 21, 8},	// QGlobalSpace::LicensedGui
    {6, 22, 27},	// QGlobalSpace::LicensedHelp
    {6, 23, 28},	// QGlobalSpace::LicensedMultimedia
    {6, 24, 31},	// QGlobalSpace::LicensedNetwork
    {6, 25, 20},	// QGlobalSpace::LicensedOpenGL
    {6, 26, 12},	// QGlobalSpace::LicensedOpenVG
    {6, 27, 29},	// QGlobalSpace::LicensedQt3Support
    {6, 28, 10},	// QGlobalSpace::LicensedQt3SupportLight
    {6, 29, 11},	// QGlobalSpace::LicensedScript
    {6, 30, 16},	// QGlobalSpace::LicensedScriptTools
    {6, 31, 19},	// QGlobalSpace::LicensedSql
    {6, 32, 17},	// QGlobalSpace::LicensedSvg
    {6, 33, 14},	// QGlobalSpace::LicensedTest
    {6, 34, 9},	// QGlobalSpace::LicensedXml
    {6, 35, 30},	// QGlobalSpace::LicensedXmlPatterns
    {6, 72, 3},	// QGlobalSpace::Q_COMPLEX_TYPE
    {6, 73, 7},	// QGlobalSpace::Q_DUMMY_TYPE
    {6, 74, 6},	// QGlobalSpace::Q_MOVABLE_TYPE
    {6, 75, 4},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {6, 76, 5},	// QGlobalSpace::Q_STATIC_TYPE
    {6, 77, 24},	// QGlobalSpace::QtCriticalMsg
    {6, 78, 22},	// QGlobalSpace::QtDebugMsg
    {6, 79, 25},	// QGlobalSpace::QtFatalMsg
    {6, 83, 26},	// QGlobalSpace::QtSystemMsg
    {6, 84, 23},	// QGlobalSpace::QtWarningMsg
    {6, 279, 2},	// QGlobalSpace::qScriptConnect#$##
    {11, 3, 54},	// QScriptClass::Callable
    {11, 12, 52},	// QScriptClass::HandlesReadAccess
    {11, 13, 53},	// QScriptClass::HandlesWriteAccess
    {11, 14, 55},	// QScriptClass::HasInstance
    {11, 44, 39},	// QScriptClass::QScriptClass#
    {11, 45, 50},	// QScriptClass::QScriptClass##
    {11, 140, 40},	// QScriptClass::engine
    {11, 158, 51},	// QScriptClass::extension$
    {11, 159, 49},	// QScriptClass::extension$#
    {11, 209, 47},	// QScriptClass::name
    {11, 222, 45},	// QScriptClass::newIterator#
    {11, 264, 42},	// QScriptClass::property##$
    {11, 270, 44},	// QScriptClass::propertyFlags##$
    {11, 274, 46},	// QScriptClass::prototype
    {11, 285, 41},	// QScriptClass::queryProperty##$$
    {11, 311, 43},	// QScriptClass::setProperty##$#
    {11, 336, 48},	// QScriptClass::supportsExtension$
    {11, 378, 56},	// QScriptClass::~QScriptClass
    {13, 47, 57},	// QScriptClassPropertyIterator::QScriptClassPropertyIterator#
    {13, 48, 68},	// QScriptClassPropertyIterator::QScriptClassPropertyIterator##
    {13, 161, 67},	// QScriptClassPropertyIterator::flags
    {13, 173, 59},	// QScriptClassPropertyIterator::hasNext
    {13, 174, 61},	// QScriptClassPropertyIterator::hasPrevious
    {13, 176, 66},	// QScriptClassPropertyIterator::id
    {13, 209, 65},	// QScriptClassPropertyIterator::name
    {13, 242, 60},	// QScriptClassPropertyIterator::next
    {13, 244, 58},	// QScriptClassPropertyIterator::object
    {13, 260, 62},	// QScriptClassPropertyIterator::previous
    {13, 346, 64},	// QScriptClassPropertyIterator::toBack
    {13, 350, 63},	// QScriptClassPropertyIterator::toFront
    {13, 379, 69},	// QScriptClassPropertyIterator::~QScriptClassPropertyIterator
    {15, 6, 93},	// QScriptContext::ExceptionState
    {15, 37, 92},	// QScriptContext::NormalState
    {15, 85, 98},	// QScriptContext::RangeError
    {15, 87, 95},	// QScriptContext::ReferenceError
    {15, 96, 96},	// QScriptContext::SyntaxError
    {15, 97, 97},	// QScriptContext::TypeError
    {15, 98, 99},	// QScriptContext::URIError
    {15, 101, 94},	// QScriptContext::UnknownError
    {15, 106, 82},	// QScriptContext::activationObject
    {15, 109, 75},	// QScriptContext::argument$
    {15, 110, 74},	// QScriptContext::argumentCount
    {15, 111, 76},	// QScriptContext::argumentsObject
    {15, 113, 90},	// QScriptContext::backtrace
    {15, 118, 73},	// QScriptContext::callee
    {15, 140, 71},	// QScriptContext::engine
    {15, 189, 86},	// QScriptContext::isCalledAsConstructor
    {15, 255, 70},	// QScriptContext::parentContext
    {15, 257, 79},	// QScriptContext::popScope
    {15, 277, 78},	// QScriptContext::pushScope#
    {15, 287, 80},	// QScriptContext::returnValue
    {15, 289, 77},	// QScriptContext::scopeChain
    {15, 298, 83},	// QScriptContext::setActivationObject#
    {15, 318, 81},	// QScriptContext::setReturnValue#
    {15, 324, 85},	// QScriptContext::setThisObject#
    {15, 331, 72},	// QScriptContext::state
    {15, 337, 84},	// QScriptContext::thisObject
    {15, 339, 89},	// QScriptContext::throwError$
    {15, 340, 88},	// QScriptContext::throwError$$
    {15, 342, 87},	// QScriptContext::throwValue#
    {15, 359, 91},	// QScriptContext::toString
    {15, 380, 100},	// QScriptContext::~QScriptContext
    {16, 36, 121},	// QScriptContextInfo::NativeFunction
    {16, 49, 103},	// QScriptContextInfo::QScriptContextInfo
    {16, 50, -1},	// QScriptContextInfo::QScriptContextInfo#
    {16, 80, 119},	// QScriptContextInfo::QtFunction
    {16, 82, 120},	// QScriptContextInfo::QtPropertyFunction
    {16, 92, 118},	// QScriptContextInfo::ScriptFunction
    {16, 126, 109},	// QScriptContextInfo::columnNumber
    {16, 160, 107},	// QScriptContextInfo::fileName
    {16, 162, 114},	// QScriptContextInfo::functionEndLineNumber
    {16, 167, 115},	// QScriptContextInfo::functionMetaIndex
    {16, 168, 110},	// QScriptContextInfo::functionName
    {16, 169, 112},	// QScriptContextInfo::functionParameterNames
    {16, 170, 113},	// QScriptContextInfo::functionStartLineNumber
    {16, 171, 111},	// QScriptContextInfo::functionType
    {16, 194, 105},	// QScriptContextInfo::isNull
    {16, 207, 108},	// QScriptContextInfo::lineNumber
    {16, 250, 117},	// QScriptContextInfo::operator!=#
    {16, 252, 104},	// QScriptContextInfo::operator=#
    {16, 254, 116},	// QScriptContextInfo::operator==#
    {16, 291, 106},	// QScriptContextInfo::scriptId
    {16, 381, 122},	// QScriptContextInfo::~QScriptContextInfo
    {17, 1, 208},	// QScriptEngine::AutoCreateDynamicProperties
    {17, 2, 201},	// QScriptEngine::AutoOwnership
    {17, 7, 202},	// QScriptEngine::ExcludeChildObjects
    {17, 8, 207},	// QScriptEngine::ExcludeDeleteLater
    {17, 9, 205},	// QScriptEngine::ExcludeSuperClassContents
    {17, 10, 203},	// QScriptEngine::ExcludeSuperClassMethods
    {17, 11, 204},	// QScriptEngine::ExcludeSuperClassProperties
    {17, 39, 209},	// QScriptEngine::PreferExistingWrapperObject
    {17, 51, 130},	// QScriptEngine::QScriptEngine
    {17, 52, -4},	// QScriptEngine::QScriptEngine#
    {17, 53, 181},	// QScriptEngine::QScriptEngine##
    {17, 81, 199},	// QScriptEngine::QtOwnership
    {17, 93, 200},	// QScriptEngine::ScriptOwnership
    {17, 95, 206},	// QScriptEngine::SkipMethodsInEnumeration
    {17, 104, 186},	// QScriptEngine::abortEvaluation
    {17, 105, 142},	// QScriptEngine::abortEvaluation#
    {17, 107, 176},	// QScriptEngine::agent
    {17, 112, 170},	// QScriptEngine::availableExtensions
    {17, 120, 137},	// QScriptEngine::canEvaluate$
    {17, 122, 138},	// QScriptEngine::checkSyntax$
    {17, 124, 147},	// QScriptEngine::clearExceptions
    {17, 125, 172},	// QScriptEngine::collectGarbage
    {17, 134, 134},	// QScriptEngine::currentContext
    {17, 138, 166},	// QScriptEngine::defaultPrototype$
    {17, 147, 140},	// QScriptEngine::evaluate#
    {17, 148, 184},	// QScriptEngine::evaluate$
    {17, 149, 185},	// QScriptEngine::evaluate$$
    {17, 150, 139},	// QScriptEngine::evaluate$$$
    {17, 172, 132},	// QScriptEngine::globalObject
    {17, 175, 143},	// QScriptEngine::hasUncaughtException
    {17, 178, 169},	// QScriptEngine::importExtension$
    {17, 179, 171},	// QScriptEngine::importedExtensions
    {17, 182, 196},	// QScriptEngine::installTranslatorFunctions
    {17, 183, 168},	// QScriptEngine::installTranslatorFunctions#
    {17, 192, 141},	// QScriptEngine::isEvaluating
    {17, 208, 123},	// QScriptEngine::metaObject
    {17, 210, 162},	// QScriptEngine::newActivationObject
    {17, 211, 190},	// QScriptEngine::newArray
    {17, 212, 158},	// QScriptEngine::newArray$
    {17, 214, 161},	// QScriptEngine::newDate#
    {17, 215, 160},	// QScriptEngine::newDate$
    {17, 217, 187},	// QScriptEngine::newFunction#
    {17, 218, 188},	// QScriptEngine::newFunction##
    {17, 219, 151},	// QScriptEngine::newFunction##$
    {17, 220, -7},	// QScriptEngine::newFunction#$
    {17, 223, 156},	// QScriptEngine::newObject
    {17, 224, 189},	// QScriptEngine::newObject#
    {17, 225, 157},	// QScriptEngine::newObject##
    {17, 227, 195},	// QScriptEngine::newQMetaObject#
    {17, 228, 165},	// QScriptEngine::newQMetaObject##
    {17, 230, 191},	// QScriptEngine::newQObject#
    {17, 231, 193},	// QScriptEngine::newQObject##
    {17, 232, 194},	// QScriptEngine::newQObject##$
    {17, 233, 164},	// QScriptEngine::newQObject##$?
    {17, 234, 192},	// QScriptEngine::newQObject#$
    {17, 235, 163},	// QScriptEngine::newQObject#$?
    {17, 237, 155},	// QScriptEngine::newRegExp#
    {17, 238, 159},	// QScriptEngine::newRegExp$$
    {17, 240, 153},	// QScriptEngine::newVariant#
    {17, 241, 154},	// QScriptEngine::newVariant##
    {17, 243, 148},	// QScriptEngine::nullValue
    {17, 246, 179},	// QScriptEngine::objectById$
    {17, 256, 136},	// QScriptEngine::popContext
    {17, 261, 174},	// QScriptEngine::processEventsInterval
    {17, 275, 135},	// QScriptEngine::pushContext
    {17, 281, 129},	// QScriptEngine::qt_metacall$$?
    {17, 283, 124},	// QScriptEngine::qt_metacast$
    {17, 300, 175},	// QScriptEngine::setAgent#
    {17, 304, 167},	// QScriptEngine::setDefaultPrototype$#
    {17, 306, 133},	// QScriptEngine::setGlobalObject#
    {17, 308, 173},	// QScriptEngine::setProcessEventsInterval$
    {17, 330, 180},	// QScriptEngine::signalHandlerException#
    {17, 332, 198},	// QScriptEngine::staticMetaObject
    {17, 355, 178},	// QScriptEngine::toObject#
    {17, 361, 177},	// QScriptEngine::toStringHandle$
    {17, 366, 182},	// QScriptEngine::tr$
    {17, 367, 125},	// QScriptEngine::tr$$
    {17, 368, 127},	// QScriptEngine::tr$$$
    {17, 370, 183},	// QScriptEngine::trUtf8$
    {17, 371, 126},	// QScriptEngine::trUtf8$$
    {17, 372, 128},	// QScriptEngine::trUtf8$$$
    {17, 373, 144},	// QScriptEngine::uncaughtException
    {17, 374, 146},	// QScriptEngine::uncaughtExceptionBacktrace
    {17, 375, 145},	// QScriptEngine::uncaughtExceptionLineNumber
    {17, 376, 149},	// QScriptEngine::undefinedValue
    {17, 382, 210},	// QScriptEngine::~QScriptEngine
    {18, 4, 226},	// QScriptEngineAgent::DebuggerInvocationRequest
    {18, 55, 211},	// QScriptEngineAgent::QScriptEngineAgent#
    {18, 56, 224},	// QScriptEngineAgent::QScriptEngineAgent##
    {18, 132, 215},	// QScriptEngineAgent::contextPop
    {18, 133, 214},	// QScriptEngineAgent::contextPush
    {18, 140, 223},	// QScriptEngineAgent::engine
    {18, 154, 220},	// QScriptEngineAgent::exceptionCatch$#
    {18, 156, 219},	// QScriptEngineAgent::exceptionThrow$#$
    {18, 158, 225},	// QScriptEngineAgent::extension$
    {18, 159, 222},	// QScriptEngineAgent::extension$#
    {18, 164, 216},	// QScriptEngineAgent::functionEntry$
    {18, 166, 217},	// QScriptEngineAgent::functionExit$#
    {18, 259, 218},	// QScriptEngineAgent::positionChange$$$
    {18, 293, 212},	// QScriptEngineAgent::scriptLoad$$$$
    {18, 296, 213},	// QScriptEngineAgent::scriptUnload$
    {18, 336, 221},	// QScriptEngineAgent::supportsExtension$
    {18, 383, 227},	// QScriptEngineAgent::~QScriptEngineAgent
    {21, 57, 229},	// QScriptExtensionInterface::QScriptExtensionInterface
    {21, 58, 230},	// QScriptExtensionInterface::QScriptExtensionInterface#
    {21, 181, 228},	// QScriptExtensionInterface::initialize$#
    {21, 384, 231},	// QScriptExtensionInterface::~QScriptExtensionInterface
    {22, 59, 245},	// QScriptExtensionPlugin::QScriptExtensionPlugin
    {22, 60, 239},	// QScriptExtensionPlugin::QScriptExtensionPlugin#
    {22, 181, 241},	// QScriptExtensionPlugin::initialize$#
    {22, 204, 240},	// QScriptExtensionPlugin::keys
    {22, 208, 232},	// QScriptExtensionPlugin::metaObject
    {22, 281, 238},	// QScriptExtensionPlugin::qt_metacall$$?
    {22, 283, 233},	// QScriptExtensionPlugin::qt_metacast$
    {22, 328, 242},	// QScriptExtensionPlugin::setupPackage$#
    {22, 332, 246},	// QScriptExtensionPlugin::staticMetaObject
    {22, 366, 243},	// QScriptExtensionPlugin::tr$
    {22, 367, 234},	// QScriptExtensionPlugin::tr$$
    {22, 368, 236},	// QScriptExtensionPlugin::tr$$$
    {22, 370, 244},	// QScriptExtensionPlugin::trUtf8$
    {22, 371, 235},	// QScriptExtensionPlugin::trUtf8$$
    {22, 372, 237},	// QScriptExtensionPlugin::trUtf8$$$
    {22, 385, 247},	// QScriptExtensionPlugin::~QScriptExtensionPlugin
    {24, 61, 248},	// QScriptString::QScriptString
    {24, 62, 249},	// QScriptString::QScriptString#
    {24, 202, 251},	// QScriptString::isValid
    {24, 248, 256},	// QScriptString::operator QString
    {24, 250, 253},	// QScriptString::operator!=#
    {24, 252, 250},	// QScriptString::operator=#
    {24, 254, 252},	// QScriptString::operator==#
    {24, 344, 257},	// QScriptString::toArrayIndex
    {24, 345, 254},	// QScriptString::toArrayIndex$
    {24, 359, 255},	// QScriptString::toString
    {24, 386, 258},	// QScriptString::~QScriptString
    {25, 5, 265},	// QScriptSyntaxCheckResult::Error
    {25, 15, 266},	// QScriptSyntaxCheckResult::Intermediate
    {25, 64, 259},	// QScriptSyntaxCheckResult::QScriptSyntaxCheckResult#
    {25, 103, 267},	// QScriptSyntaxCheckResult::Valid
    {25, 143, 262},	// QScriptSyntaxCheckResult::errorColumnNumber
    {25, 144, 261},	// QScriptSyntaxCheckResult::errorLineNumber
    {25, 145, 263},	// QScriptSyntaxCheckResult::errorMessage
    {25, 252, 264},	// QScriptSyntaxCheckResult::operator=#
    {25, 331, 260},	// QScriptSyntaxCheckResult::state
    {25, 387, 268},	// QScriptSyntaxCheckResult::~QScriptSyntaxCheckResult
    {26, 16, 364},	// QScriptValue::KeepExistingFlags
    {26, 38, 366},	// QScriptValue::NullValue
    {26, 40, 361},	// QScriptValue::PropertyGetter
    {26, 41, 362},	// QScriptValue::PropertySetter
    {26, 42, 363},	// QScriptValue::QObjectMember
    {26, 65, 269},	// QScriptValue::QScriptValue
    {26, 66, -10},	// QScriptValue::QScriptValue#
    {26, 67, -13},	// QScriptValue::QScriptValue#$
    {26, 68, -21},	// QScriptValue::QScriptValue$
    {26, 86, 358},	// QScriptValue::ReadOnly
    {26, 88, 357},	// QScriptValue::ResolveFull
    {26, 89, 354},	// QScriptValue::ResolveLocal
    {26, 90, 355},	// QScriptValue::ResolvePrototype
    {26, 91, 356},	// QScriptValue::ResolveScope
    {26, 94, 360},	// QScriptValue::SkipInEnumeration
    {26, 99, 367},	// QScriptValue::UndefinedValue
    {26, 100, 359},	// QScriptValue::Undeletable
    {26, 102, 365},	// QScriptValue::UserRange
    {26, 114, 351},	// QScriptValue::call
    {26, 115, 352},	// QScriptValue::call#
    {26, 116, 335},	// QScriptValue::call##
    {26, 117, 334},	// QScriptValue::call#?
    {26, 128, 353},	// QScriptValue::construct
    {26, 129, 337},	// QScriptValue::construct#
    {26, 130, 336},	// QScriptValue::construct?
    {26, 136, 338},	// QScriptValue::data
    {26, 140, 287},	// QScriptValue::engine
    {26, 142, 320},	// QScriptValue::equals#
    {26, 185, 318},	// QScriptValue::instanceOf#
    {26, 186, 302},	// QScriptValue::isArray
    {26, 187, 289},	// QScriptValue::isBool
    {26, 188, 290},	// QScriptValue::isBoolean
    {26, 190, 300},	// QScriptValue::isDate
    {26, 191, 303},	// QScriptValue::isError
    {26, 193, 292},	// QScriptValue::isFunction
    {26, 194, 293},	// QScriptValue::isNull
    {26, 195, 291},	// QScriptValue::isNumber
    {26, 196, 299},	// QScriptValue::isObject
    {26, 197, 298},	// QScriptValue::isQMetaObject
    {26, 198, 297},	// QScriptValue::isQObject
    {26, 199, 301},	// QScriptValue::isRegExp
    {26, 200, 294},	// QScriptValue::isString
    {26, 201, 295},	// QScriptValue::isUndefined
    {26, 202, 288},	// QScriptValue::isValid
    {26, 203, 296},	// QScriptValue::isVariant
    {26, 206, 319},	// QScriptValue::lessThan#
    {26, 247, 342},	// QScriptValue::objectId
    {26, 252, 286},	// QScriptValue::operator=#
    {26, 263, 347},	// QScriptValue::property#
    {26, 265, 330},	// QScriptValue::property#?
    {26, 266, -29},	// QScriptValue::property$
    {26, 267, -32},	// QScriptValue::property$?
    {26, 269, 350},	// QScriptValue::propertyFlags#
    {26, 271, 333},	// QScriptValue::propertyFlags#?
    {26, 272, 349},	// QScriptValue::propertyFlags$
    {26, 273, 332},	// QScriptValue::propertyFlags$?
    {26, 274, 322},	// QScriptValue::prototype
    {26, 288, 324},	// QScriptValue::scope
    {26, 290, 340},	// QScriptValue::scriptClass
    {26, 302, 339},	// QScriptValue::setData#
    {26, 310, 348},	// QScriptValue::setProperty##
    {26, 312, 331},	// QScriptValue::setProperty##?
    {26, 313, -35},	// QScriptValue::setProperty$#
    {26, 314, -38},	// QScriptValue::setProperty$#?
    {26, 316, 323},	// QScriptValue::setPrototype#
    {26, 320, 325},	// QScriptValue::setScope#
    {26, 322, 341},	// QScriptValue::setScriptClass#
    {26, 334, 321},	// QScriptValue::strictlyEquals#
    {26, 347, 306},	// QScriptValue::toBool
    {26, 348, 307},	// QScriptValue::toBoolean
    {26, 349, 316},	// QScriptValue::toDateTime
    {26, 351, 309},	// QScriptValue::toInt32
    {26, 352, 308},	// QScriptValue::toInteger
    {26, 353, 305},	// QScriptValue::toNumber
    {26, 354, 315},	// QScriptValue::toObject
    {26, 356, 314},	// QScriptValue::toQMetaObject
    {26, 357, 313},	// QScriptValue::toQObject
    {26, 358, 317},	// QScriptValue::toRegExp
    {26, 359, 304},	// QScriptValue::toString
    {26, 362, 311},	// QScriptValue::toUInt16
    {26, 363, 310},	// QScriptValue::toUInt32
    {26, 364, 312},	// QScriptValue::toVariant
    {26, 388, 368},	// QScriptValue::~QScriptValue
    {27, 70, 369},	// QScriptValueIterator::QScriptValueIterator#
    {27, 161, 378},	// QScriptValueIterator::flags
    {27, 173, 370},	// QScriptValueIterator::hasNext
    {27, 174, 372},	// QScriptValueIterator::hasPrevious
    {27, 209, 374},	// QScriptValueIterator::name
    {27, 242, 371},	// QScriptValueIterator::next
    {27, 252, 382},	// QScriptValueIterator::operator=#
    {27, 260, 373},	// QScriptValueIterator::previous
    {27, 286, 379},	// QScriptValueIterator::remove
    {27, 294, 375},	// QScriptValueIterator::scriptName
    {27, 326, 377},	// QScriptValueIterator::setValue#
    {27, 346, 381},	// QScriptValueIterator::toBack
    {27, 350, 380},	// QScriptValueIterator::toFront
    {27, 377, 376},	// QScriptValueIterator::value
    {27, 389, 383},	// QScriptValueIterator::~QScriptValueIterator
    {28, 71, 384},	// QScriptable::QScriptable
    {28, 109, 389},	// QScriptable::argument$
    {28, 110, 388},	// QScriptable::argumentCount
    {28, 131, 386},	// QScriptable::context
    {28, 140, 385},	// QScriptable::engine
    {28, 337, 387},	// QScriptable::thisObject
    {28, 390, 390},	// QScriptable::~QScriptable
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtscript_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtscript_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtscript_Smoke = new Smoke(
        "qtscript",
        __smokeqtscript::classes, 30,
        __smokeqtscript::methods, 391,
        __smokeqtscript::methodMaps, 363,
        __smokeqtscript::methodNames, 390,
        __smokeqtscript::types, 179,
        __smokeqtscript::inheritanceList,
        __smokeqtscript::argumentList,
        __smokeqtscript::ambiguousMethodList,
        __smokeqtscript::cast );
    initialized = true;
}

void delete_qtscript_Smoke() { delete qtscript_Smoke; }

}
