#include <qttest_includes.h>

#include <smoke.h>
#include <qttest_smoke.h>

namespace __smokeqttest {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QByteArray
      switch(to) {
        case 2: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 3:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 3: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 18: return (void*)(QTestEventLoop*)(QObject*)xptr;
        case 10: return (void*)(QSignalSpy*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QPoint
      switch(to) {
        case 8: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 9:   //QRegExp
      switch(to) {
        case 9: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 10:   //QSignalSpy
      switch(to) {
        case 7: return (void*)(QObject*)(QSignalSpy*)xptr;
        case 10: return (void*)(QSignalSpy*)xptr;
        default: return xptr;
      }
    case 12:   //QTestAccessibility
      switch(to) {
        case 12: return (void*)(QTestAccessibility*)xptr;
        default: return xptr;
      }
    case 13:   //QTestAccessibilityEvent
      switch(to) {
        case 13: return (void*)(QTestAccessibilityEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QTestData
      switch(to) {
        case 14: return (void*)(QTestData*)xptr;
        default: return xptr;
      }
    case 15:   //QTestDelayEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestDelayEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QTestEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)(QTestEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)(QTestEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)(QTestEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)(QTestEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QTestEventList
      switch(to) {
        case 17: return (void*)(QTestEventList*)xptr;
        default: return xptr;
      }
    case 18:   //QTestEventLoop
      switch(to) {
        case 7: return (void*)(QObject*)(QTestEventLoop*)xptr;
        case 18: return (void*)(QTestEventLoop*)xptr;
        default: return xptr;
      }
    case 19:   //QTestKeyClicksEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyClicksEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QTestKeyEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QTestMouseEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestMouseEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QTestTable
      switch(to) {
        case 22: return (void*)(QTestTable*)xptr;
        default: return xptr;
      }
    case 23:   //QTimerEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 23: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QWidget
      switch(to) {
        case 7: return (void*)(QObject*)(QWidget*)xptr;
        case 24: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 0, 0,	// 1: QObject, QList
    16, 0,	// 4: QTestEvent
    0, 0,	// 6: QList
    7, 0,	// 8: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFont(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTest__QBenchmarkIterationController(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPalette(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTabletEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInputMethodEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaMethod(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QContextMenuEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAccessible(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTouchEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIcon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPixmap(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSignalSpy(Smoke::Index, void*, Smoke::Stack);
void xcall_QTest(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibility(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibilityEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestData(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestDelayEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventList(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventLoop(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyClicksEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestMouseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//2
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QPoint", true, 0, 0, 0, 0, 0 },	//8
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//9
    { "QSignalSpy", false, 1, xcall_QSignalSpy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSignalSpy) },	//10
    { "QTest", false, 0, xcall_QTest, 0, Smoke::cf_namespace, 0 },	//11
    { "QTestAccessibility", false, 0, xcall_QTestAccessibility, 0, Smoke::cf_deepcopy, sizeof(QTestAccessibility) },	//12
    { "QTestAccessibilityEvent", false, 0, xcall_QTestAccessibilityEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestAccessibilityEvent) },	//13
    { "QTestData", false, 0, xcall_QTestData, 0, 0, sizeof(QTestData) },	//14
    { "QTestDelayEvent", false, 4, xcall_QTestDelayEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestDelayEvent) },	//15
    { "QTestEvent", false, 0, xcall_QTestEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestEvent) },	//16
    { "QTestEventList", false, 6, xcall_QTestEventList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestEventList) },	//17
    { "QTestEventLoop", false, 8, xcall_QTestEventLoop, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTestEventLoop) },	//18
    { "QTestKeyClicksEvent", false, 4, xcall_QTestKeyClicksEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyClicksEvent) },	//19
    { "QTestKeyEvent", false, 4, xcall_QTestKeyEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyEvent) },	//20
    { "QTestMouseEvent", false, 4, xcall_QTestMouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestMouseEvent) },	//21
    { "QTestTable", true, 0, 0, 0, 0, 0 },	//22
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QWidget", true, 0, 0, 0, 0, 0 },	//24
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 2, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QList<QTestAccessibilityEvent>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QPoint", 8, Smoke::t_class|Smoke::tf_stack },	//9
    { "QRegExp&", 9, Smoke::t_class|Smoke::tf_ref },	//10
    { "QSignalSpy*", 10, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//14
    { "QTest::KeyAction", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QTest::MouseAction", 11, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QTest::SkipMode", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "QTest::TestFailMode", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QTestAccessibilityEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QTestData&", 14, Smoke::t_class|Smoke::tf_ref },	//20
    { "QTestDelayEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QTestEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QTestEventList*", 17, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QTestEventLoop&", 18, Smoke::t_class|Smoke::tf_ref },	//24
    { "QTestEventLoop*", 18, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QTestKeyClicksEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QTestKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QTestMouseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QTestTable*", 22, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QTimerEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QWidget*", 24, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForActiveQtModule", 5, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForCoreModule", 5, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForDBusModule", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QtValidLicenseForDeclarativeModule", 5, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QtValidLicenseForGuiModule", 5, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QtValidLicenseForHelpModule", 5, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QtValidLicenseForMultimediaModule", 5, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QtValidLicenseForNetworkModule", 5, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QtValidLicenseForOpenGLModule", 5, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QtValidLicenseForOpenVGModule", 5, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QtValidLicenseForQt3SupportLightModule", 5, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QtValidLicenseForQt3SupportModule", 5, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QtValidLicenseForScriptModule", 5, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QtValidLicenseForScriptToolsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QtValidLicenseForSqlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QtValidLicenseForSvgModule", 5, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QtValidLicenseForTestModule", 5, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QtValidLicenseForXmlModule", 5, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QtValidLicenseForXmlPatternsModule", 5, Smoke::t_enum|Smoke::tf_stack },	//123
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//124
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//125
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//126
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//127
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//128
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//129
    { "const QRegExp&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//130
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//131
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//133
    { "const QTestAccessibilityEvent&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QTestDelayEvent&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//135
    { "const QTestEvent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QTestEventList&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const QTestKeyClicksEvent&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const QTestKeyEvent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const QTestMouseEvent&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//141
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//142
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//143
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//144
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//145
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//146
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//147
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    141, 0,	//1  const char*
    5, 0,	//3  QEvent*
    8, 5, 0,	//5  QObject*, QEvent*
    30, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    8, 141, 0,	//12  QObject*, const char*
    7, 143, 146, 0,	//15  QMetaObject::Call, int, void**
    15, 31, 69, 125, 71, 143, 0,	//19  QTest::KeyAction, QWidget*, Qt::Key, char, Qt::KeyboardModifiers, int
    15, 31, 69, 125, 71, 0,	//26  QTest::KeyAction, QWidget*, Qt::Key, char, Qt::KeyboardModifiers
    143, 141, 0,	//32  int, const char*
    141, 143, 0,	//35  const char*, int
    124, 141, 126, 126, 141, 141, 141, 143, 0,	//38  bool, const char*, char*, char*, const char*, const char*, const char*, int
    104, 141, 0,	//47  QtMsgType, const char*
    31, 69, 71, 143, 0,	//50  QWidget*, Qt::Key, Qt::KeyboardModifiers, int
    31, 69, 0,	//55  QWidget*, Qt::Key
    31, 69, 71, 0,	//58  QWidget*, Qt::Key, Qt::KeyboardModifiers
    69, 0,	//62  Qt::Key
    124, 141, 141, 141, 143, 0,	//64  bool, const char*, const char*, const char*, int
    143, 0,	//70  int
    125, 0,	//72  char
    15, 31, 69, 12, 71, 143, 0,	//74  QTest::KeyAction, QWidget*, Qt::Key, QString, Qt::KeyboardModifiers, int
    15, 31, 69, 12, 71, 0,	//81  QTest::KeyAction, QWidget*, Qt::Key, QString, Qt::KeyboardModifiers
    31, 76, 71, 9, 143, 0,	//87  QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int
    31, 76, 0,	//93  QWidget*, Qt::MouseButton
    31, 76, 71, 0,	//96  QWidget*, Qt::MouseButton, Qt::KeyboardModifiers
    31, 76, 71, 9, 0,	//100  QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint
    142, 142, 141, 141, 141, 143, 0,	//105  const void*, const void*, const char*, const char*, const char*, int
    141, 141, 141, 141, 141, 143, 0,	//112  const char*, const char*, const char*, const char*, const char*, int
    142, 0,	//119  const void*
    16, 31, 76, 71, 9, 143, 0,	//121  QTest::MouseAction, QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int
    16, 31, 76, 71, 9, 0,	//128  QTest::MouseAction, QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint
    124, 141, 141, 143, 0,	//134  bool, const char*, const char*, int
    31, 0,	//139  QWidget*
    15, 31, 69, 71, 143, 0,	//141  QTest::KeyAction, QWidget*, Qt::Key, Qt::KeyboardModifiers, int
    15, 31, 69, 0,	//147  QTest::KeyAction, QWidget*, Qt::Key
    15, 31, 69, 71, 0,	//151  QTest::KeyAction, QWidget*, Qt::Key, Qt::KeyboardModifiers
    31, 131, 71, 143, 0,	//156  QWidget*, const QString&, Qt::KeyboardModifiers, int
    31, 131, 0,	//161  QWidget*, const QString&
    31, 131, 71, 0,	//164  QWidget*, const QString&, Qt::KeyboardModifiers
    15, 31, 125, 71, 143, 0,	//168  QTest::KeyAction, QWidget*, char, Qt::KeyboardModifiers, int
    15, 31, 125, 0,	//174  QTest::KeyAction, QWidget*, char
    15, 31, 125, 71, 0,	//178  QTest::KeyAction, QWidget*, char, Qt::KeyboardModifiers
    31, 125, 71, 143, 0,	//183  QWidget*, char, Qt::KeyboardModifiers, int
    31, 125, 0,	//188  QWidget*, char
    31, 125, 71, 0,	//191  QWidget*, char, Qt::KeyboardModifiers
    141, 141, 18, 141, 143, 0,	//195  const char*, const char*, QTest::TestFailMode, const char*, int
    31, 124, 143, 71, 12, 124, 143, 0,	//201  QWidget*, bool, int, Qt::KeyboardModifiers, QString, bool, int
    31, 124, 143, 71, 12, 124, 0,	//209  QWidget*, bool, int, Qt::KeyboardModifiers, QString, bool
    141, 17, 141, 143, 0,	//216  const char*, QTest::SkipMode, const char*, int
    141, 141, 143, 0,	//221  const char*, const char*, int
    31, 9, 143, 0,	//225  QWidget*, QPoint, int
    31, 9, 0,	//229  QWidget*, QPoint
    8, 143, 127, 0,	//232  QObject*, int, char**
    8, 0,	//236  QObject*
    8, 143, 0,	//238  QObject*, int
    8, 132, 0,	//241  QObject*, const QStringList&
    134, 0,	//244  const QTestAccessibilityEvent&
    8, 143, 143, 0,	//246  QObject*, int, int
    143, 142, 0,	//250  int, const void*
    135, 0,	//253  const QTestDelayEvent&
    136, 0,	//255  const QTestEvent&
    137, 0,	//257  const QTestEventList&
    69, 71, 143, 0,	//259  Qt::Key, Qt::KeyboardModifiers, int
    15, 69, 71, 143, 0,	//263  QTest::KeyAction, Qt::Key, Qt::KeyboardModifiers, int
    125, 71, 143, 0,	//268  char, Qt::KeyboardModifiers, int
    131, 71, 143, 0,	//272  const QString&, Qt::KeyboardModifiers, int
    15, 125, 71, 143, 0,	//276  QTest::KeyAction, char, Qt::KeyboardModifiers, int
    76, 71, 9, 143, 0,	//281  Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int
    9, 143, 0,	//286  QPoint, int
    69, 71, 0,	//289  Qt::Key, Qt::KeyboardModifiers
    15, 69, 0,	//292  QTest::KeyAction, Qt::Key
    15, 69, 71, 0,	//295  QTest::KeyAction, Qt::Key, Qt::KeyboardModifiers
    125, 71, 0,	//299  char, Qt::KeyboardModifiers
    131, 0,	//302  const QString&
    131, 71, 0,	//304  const QString&, Qt::KeyboardModifiers
    15, 125, 0,	//307  QTest::KeyAction, char
    15, 125, 71, 0,	//310  QTest::KeyAction, char, Qt::KeyboardModifiers
    76, 0,	//314  Qt::MouseButton
    76, 71, 0,	//316  Qt::MouseButton, Qt::KeyboardModifiers
    76, 71, 9, 0,	//319  Qt::MouseButton, Qt::KeyboardModifiers, QPoint
    9, 0,	//323  QPoint
    141, 141, 0,	//325  const char*, const char*
    138, 0,	//328  const QTestKeyClicksEvent&
    139, 0,	//330  const QTestKeyEvent&
    15, 0,	//332  QTest::KeyAction
    71, 0,	//334  Qt::KeyboardModifiers
    16, 76, 71, 9, 143, 0,	//336  QTest::MouseAction, Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int
    140, 0,	//342  const QTestMouseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Abort",	//1
    "Click",	//2
    "Continue",	//3
    "LicensedActiveQt",	//4
    "LicensedCore",	//5
    "LicensedDBus",	//6
    "LicensedDeclarative",	//7
    "LicensedGui",	//8
    "LicensedHelp",	//9
    "LicensedMultimedia",	//10
    "LicensedNetwork",	//11
    "LicensedOpenGL",	//12
    "LicensedOpenVG",	//13
    "LicensedQt3Support",	//14
    "LicensedQt3SupportLight",	//15
    "LicensedScript",	//16
    "LicensedScriptTools",	//17
    "LicensedSql",	//18
    "LicensedSvg",	//19
    "LicensedTest",	//20
    "LicensedXml",	//21
    "LicensedXmlPatterns",	//22
    "MouseClick",	//23
    "MouseDClick",	//24
    "MouseMove",	//25
    "MousePress",	//26
    "MouseRelease",	//27
    "Press",	//28
    "QSignalSpy",	//29
    "QSignalSpy#$",	//30
    "QTestAccessibilityEvent",	//31
    "QTestAccessibilityEvent#",	//32
    "QTestAccessibilityEvent#$",	//33
    "QTestAccessibilityEvent#$$",	//34
    "QTestDelayEvent",	//35
    "QTestDelayEvent#",	//36
    "QTestDelayEvent$",	//37
    "QTestEvent",	//38
    "QTestEvent#",	//39
    "QTestEventList",	//40
    "QTestEventList#",	//41
    "QTestEventLoop",	//42
    "QTestEventLoop#",	//43
    "QTestKeyClicksEvent",	//44
    "QTestKeyClicksEvent#",	//45
    "QTestKeyClicksEvent$$$",	//46
    "QTestKeyEvent",	//47
    "QTestKeyEvent#",	//48
    "QTestKeyEvent$$$$",	//49
    "QTestMouseEvent",	//50
    "QTestMouseEvent#",	//51
    "QTestMouseEvent$$$#$",	//52
    "Q_COMPLEX_TYPE",	//53
    "Q_DUMMY_TYPE",	//54
    "Q_MOVABLE_TYPE",	//55
    "Q_PRIMITIVE_TYPE",	//56
    "Q_STATIC_TYPE",	//57
    "QtCriticalMsg",	//58
    "QtDebugMsg",	//59
    "QtFatalMsg",	//60
    "QtSystemMsg",	//61
    "QtWarningMsg",	//62
    "Release",	//63
    "SkipAll",	//64
    "SkipSingle",	//65
    "_action",	//66
    "_ascii",	//67
    "_delay",	//68
    "_key",	//69
    "_modifiers",	//70
    "addColumnInternal",	//71
    "addColumnInternal$$",	//72
    "addDelay",	//73
    "addDelay$",	//74
    "addKeyClick",	//75
    "addKeyClick$",	//76
    "addKeyClick$$",	//77
    "addKeyClick$$$",	//78
    "addKeyClicks",	//79
    "addKeyClicks$",	//80
    "addKeyClicks$$",	//81
    "addKeyClicks$$$",	//82
    "addKeyEvent",	//83
    "addKeyEvent$$",	//84
    "addKeyEvent$$$",	//85
    "addKeyEvent$$$$",	//86
    "addKeyPress",	//87
    "addKeyPress$",	//88
    "addKeyPress$$",	//89
    "addKeyPress$$$",	//90
    "addKeyRelease",	//91
    "addKeyRelease$",	//92
    "addKeyRelease$$",	//93
    "addKeyRelease$$$",	//94
    "addMouseClick",	//95
    "addMouseClick$",	//96
    "addMouseClick$$",	//97
    "addMouseClick$$#",	//98
    "addMouseClick$$#$",	//99
    "addMouseDClick",	//100
    "addMouseDClick$",	//101
    "addMouseDClick$$",	//102
    "addMouseDClick$$#",	//103
    "addMouseDClick$$#$",	//104
    "addMouseMove",	//105
    "addMouseMove#",	//106
    "addMouseMove#$",	//107
    "addMousePress",	//108
    "addMousePress$",	//109
    "addMousePress$$",	//110
    "addMousePress$$#",	//111
    "addMousePress$$#$",	//112
    "addMouseRelease",	//113
    "addMouseRelease$",	//114
    "addMouseRelease$$",	//115
    "addMouseRelease$$#",	//116
    "addMouseRelease$$#$",	//117
    "append",	//118
    "append$$",	//119
    "asciiToKey",	//120
    "asciiToKey$",	//121
    "changeInterval",	//122
    "changeInterval$",	//123
    "child",	//124
    "childEvent",	//125
    "cleanup",	//126
    "clear",	//127
    "clearEvents",	//128
    "clone",	//129
    "compare_helper",	//130
    "compare_helper$$$$",	//131
    "compare_helper$$$$$$$$",	//132
    "compare_ptr_helper",	//133
    "compare_ptr_helper$$$$$$",	//134
    "compare_string_helper",	//135
    "compare_string_helper$$$$$$",	//136
    "connectNotify",	//137
    "currentDataTag",	//138
    "currentTestFailed",	//139
    "currentTestFunction",	//140
    "customEvent",	//141
    "data",	//142
    "data$",	//143
    "dataCount",	//144
    "dataTag",	//145
    "disconnectNotify",	//146
    "enterLoop",	//147
    "enterLoop$",	//148
    "event",	//149
    "eventFilter",	//150
    "events",	//151
    "exitLoop",	//152
    "ignoreMessage",	//153
    "ignoreMessage$$",	//154
    "initialize",	//155
    "instance",	//156
    "isValid",	//157
    "keyClick",	//158
    "keyClick#$",	//159
    "keyClick#$$",	//160
    "keyClick#$$$",	//161
    "keyClicks",	//162
    "keyClicks#$",	//163
    "keyClicks#$$",	//164
    "keyClicks#$$$",	//165
    "keyEvent",	//166
    "keyEvent$#$",	//167
    "keyEvent$#$$",	//168
    "keyEvent$#$$$",	//169
    "keyPress",	//170
    "keyPress#$",	//171
    "keyPress#$$",	//172
    "keyPress#$$$",	//173
    "keyRelease",	//174
    "keyRelease#$",	//175
    "keyRelease#$$",	//176
    "keyRelease#$$$",	//177
    "keyToAscii",	//178
    "keyToAscii$",	//179
    "metaObject",	//180
    "mouseClick",	//181
    "mouseClick#$",	//182
    "mouseClick#$$",	//183
    "mouseClick#$$#",	//184
    "mouseClick#$$#$",	//185
    "mouseDClick",	//186
    "mouseDClick#$",	//187
    "mouseDClick#$$",	//188
    "mouseDClick#$$#",	//189
    "mouseDClick#$$#$",	//190
    "mouseEvent",	//191
    "mouseEvent$#$$#",	//192
    "mouseEvent$#$$#$",	//193
    "mouseMove",	//194
    "mouseMove#",	//195
    "mouseMove##",	//196
    "mouseMove##$",	//197
    "mousePress",	//198
    "mousePress#$",	//199
    "mousePress#$$",	//200
    "mousePress#$$#",	//201
    "mousePress#$$#$",	//202
    "mouseRelease",	//203
    "mouseRelease#$",	//204
    "mouseRelease#$$",	//205
    "mouseRelease#$$#",	//206
    "mouseRelease#$$#$",	//207
    "newRow",	//208
    "newRow$",	//209
    "object",	//210
    "operator==",	//211
    "operator==#",	//212
    "parent",	//213
    "qData",	//214
    "qData$$",	//215
    "qElementData",	//216
    "qElementData$$",	//217
    "qExec",	//218
    "qExec#",	//219
    "qExec#$",	//220
    "qExec#$?",	//221
    "qExec#?",	//222
    "qExpectFail",	//223
    "qExpectFail$$$$$",	//224
    "qFail",	//225
    "qFail$$$",	//226
    "qGlobalData",	//227
    "qGlobalData$$",	//228
    "qSkip",	//229
    "qSkip$$$$",	//230
    "qSleep",	//231
    "qSleep$",	//232
    "qVerify",	//233
    "qVerify$$$$$",	//234
    "qWait",	//235
    "qWait$",	//236
    "qWaitForWindowShown",	//237
    "qWaitForWindowShown#",	//238
    "qWarn",	//239
    "qWarn$",	//240
    "qt_metacall",	//241
    "qt_metacall$$?",	//242
    "qt_metacast",	//243
    "qt_metacast$",	//244
    "sendKeyEvent",	//245
    "sendKeyEvent$#$$$",	//246
    "sendKeyEvent$#$$$$",	//247
    "setChild",	//248
    "setChild$",	//249
    "setEvent",	//250
    "setEvent$",	//251
    "setObject",	//252
    "setObject#",	//253
    "set_action",	//254
    "set_action$",	//255
    "set_ascii",	//256
    "set_ascii$",	//257
    "set_delay",	//258
    "set_delay$",	//259
    "set_key",	//260
    "set_key$",	//261
    "set_modifiers",	//262
    "set_modifiers$",	//263
    "signal",	//264
    "simulate",	//265
    "simulate#",	//266
    "simulateEvent",	//267
    "simulateEvent#$$$$$",	//268
    "simulateEvent#$$$$$$",	//269
    "staticMetaObject",	//270
    "testObject",	//271
    "timeout",	//272
    "timerEvent",	//273
    "timerEvent#",	//274
    "toHexRepresentation",	//275
    "toHexRepresentation$$",	//276
    "toString",	//277
    "toString$",	//278
    "tr",	//279
    "tr$",	//280
    "tr$$",	//281
    "tr$$$",	//282
    "trUtf8",	//283
    "trUtf8$",	//284
    "trUtf8$$",	//285
    "trUtf8$$$",	//286
    "verifyEvent",	//287
    "verifyEvent#",	//288
    "verifyEvent#$$",	//289
    "~QSignalSpy",	//290
    "~QTestAccessibilityEvent",	//291
    "~QTestData",	//292
    "~QTestDelayEvent",	//293
    "~QTestEvent",	//294
    "~QTestEventList",	//295
    "~QTestEventLoop",	//296
    "~QTestKeyClicksEvent",	//297
    "~QTestKeyEvent",	//298
    "~QTestMouseEvent",	//299
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {5, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {5, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {5, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {5, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {5, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {5, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {5, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {5, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {5, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {5, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {5, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {5, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {5, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {5, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {5, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {5, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {5, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {5, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {5, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {5, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {5, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {5, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {5, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {7, 180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 129, 0},	//30 QObject::metaObject() const
    {7, 243, 1, 1, Smoke::mf_virtual, 145, 0},	//31 QObject::qt_metacast(const char*)
    {7, 149, 3, 1, Smoke::mf_virtual, 124, 0},	//32 QObject::event(QEvent*)
    {7, 150, 5, 2, Smoke::mf_virtual, 124, 0},	//33 QObject::eventFilter(QObject*, QEvent*)
    {7, 273, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::timerEvent(QTimerEvent*)
    {7, 125, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::childEvent(QChildEvent*)
    {7, 141, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::customEvent(QEvent*)
    {7, 137, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::connectNotify(const char*)
    {7, 146, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::disconnectNotify(const char*)
    {10, 29, 12, 2, Smoke::mf_ctor, 11, 1},	//39 QSignalSpy::QSignalSpy(QObject*, const char*)
    {10, 157, 0, 0, Smoke::mf_const, 124, 2},	//40 QSignalSpy::isValid() const
    {10, 264, 0, 0, Smoke::mf_const, 3, 3},	//41 QSignalSpy::signal() const
    {10, 241, 15, 3, Smoke::mf_virtual, 143, 4},	//42 QSignalSpy::qt_metacall(QMetaObject::Call, int, void**)
    {10, 290, 0, 0, Smoke::mf_dtor, 0, 5 },	//43 QSignalSpy::~QSignalSpy()
    {11, 245, 19, 6, Smoke::mf_static, 0, 1},	//44 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, Qt::KeyboardModifiers, int)
    {11, 245, 26, 5, Smoke::mf_static, 0, 2},	//45 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, Qt::KeyboardModifiers)
    {11, 71, 32, 2, Smoke::mf_static, 0, 3},	//46 QTest::addColumnInternal(int, const char*)
    {11, 227, 35, 2, Smoke::mf_static, 145, 4},	//47 QTest::qGlobalData(const char*, int)
    {11, 130, 38, 8, Smoke::mf_static, 124, 5},	//48 QTest::compare_helper(bool, const char*, char*, char*, const char*, const char*, const char*, int)
    {11, 153, 47, 2, Smoke::mf_static, 0, 6},	//49 QTest::ignoreMessage(QtMsgType, const char*)
    {11, 170, 50, 4, Smoke::mf_static, 0, 7},	//50 QTest::keyPress(QWidget*, Qt::Key, Qt::KeyboardModifiers, int)
    {11, 170, 55, 2, Smoke::mf_static, 0, 8},	//51 QTest::keyPress(QWidget*, Qt::Key)
    {11, 170, 58, 3, Smoke::mf_static, 0, 9},	//52 QTest::keyPress(QWidget*, Qt::Key, Qt::KeyboardModifiers)
    {11, 178, 62, 1, Smoke::mf_static, 125, 10},	//53 QTest::keyToAscii(Qt::Key)
    {11, 233, 64, 5, Smoke::mf_static, 124, 11},	//54 QTest::qVerify(bool, const char*, const char*, const char*, int)
    {11, 138, 0, 0, Smoke::mf_static, 141, 12},	//55 QTest::currentDataTag()
    {11, 231, 70, 1, Smoke::mf_static, 0, 13},	//56 QTest::qSleep(int)
    {11, 120, 72, 1, Smoke::mf_static, 69, 14},	//57 QTest::asciiToKey(char)
    {11, 245, 74, 6, Smoke::mf_static, 0, 15},	//58 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, Qt::KeyboardModifiers, int)
    {11, 245, 81, 5, Smoke::mf_static, 0, 16},	//59 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, Qt::KeyboardModifiers)
    {11, 239, 1, 1, Smoke::mf_static, 0, 17},	//60 QTest::qWarn(const char*)
    {11, 174, 50, 4, Smoke::mf_static, 0, 18},	//61 QTest::keyRelease(QWidget*, Qt::Key, Qt::KeyboardModifiers, int)
    {11, 174, 55, 2, Smoke::mf_static, 0, 19},	//62 QTest::keyRelease(QWidget*, Qt::Key)
    {11, 174, 58, 3, Smoke::mf_static, 0, 20},	//63 QTest::keyRelease(QWidget*, Qt::Key, Qt::KeyboardModifiers)
    {11, 140, 0, 0, Smoke::mf_static, 141, 21},	//64 QTest::currentTestFunction()
    {11, 198, 87, 5, Smoke::mf_static, 0, 22},	//65 QTest::mousePress(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {11, 198, 93, 2, Smoke::mf_static, 0, 23},	//66 QTest::mousePress(QWidget*, Qt::MouseButton)
    {11, 198, 96, 3, Smoke::mf_static, 0, 24},	//67 QTest::mousePress(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers)
    {11, 198, 100, 4, Smoke::mf_static, 0, 25},	//68 QTest::mousePress(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint)
    {11, 271, 0, 0, Smoke::mf_static, 8, 26},	//69 QTest::testObject()
    {11, 133, 105, 6, Smoke::mf_static, 124, 27},	//70 QTest::compare_ptr_helper(const void*, const void*, const char*, const char*, const char*, int)
    {11, 135, 112, 6, Smoke::mf_static, 124, 28},	//71 QTest::compare_string_helper(const char*, const char*, const char*, const char*, const char*, int)
    {11, 235, 70, 1, Smoke::mf_static, 0, 29},	//72 QTest::qWait(int)
    {11, 277, 119, 1, Smoke::mf_static, 126, 30},	//73 QTest::toString(const void*)
    {11, 208, 1, 1, Smoke::mf_static, 20, 31},	//74 QTest::newRow(const char*)
    {11, 191, 121, 6, Smoke::mf_static, 0, 32},	//75 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {11, 191, 128, 5, Smoke::mf_static, 0, 33},	//76 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint)
    {11, 275, 35, 2, Smoke::mf_static, 126, 34},	//77 QTest::toHexRepresentation(const char*, int)
    {11, 130, 134, 4, Smoke::mf_static, 124, 35},	//78 QTest::compare_helper(bool, const char*, const char*, int)
    {11, 203, 87, 5, Smoke::mf_static, 0, 36},	//79 QTest::mouseRelease(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {11, 203, 93, 2, Smoke::mf_static, 0, 37},	//80 QTest::mouseRelease(QWidget*, Qt::MouseButton)
    {11, 203, 96, 3, Smoke::mf_static, 0, 38},	//81 QTest::mouseRelease(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers)
    {11, 203, 100, 4, Smoke::mf_static, 0, 39},	//82 QTest::mouseRelease(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint)
    {11, 237, 139, 1, Smoke::mf_static, 124, 40},	//83 QTest::qWaitForWindowShown(QWidget*)
    {11, 166, 141, 5, Smoke::mf_static, 0, 41},	//84 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, Qt::KeyboardModifiers, int)
    {11, 166, 147, 3, Smoke::mf_static, 0, 42},	//85 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    {11, 166, 151, 4, Smoke::mf_static, 0, 43},	//86 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, Qt::KeyboardModifiers)
    {11, 162, 156, 4, Smoke::mf_static, 0, 44},	//87 QTest::keyClicks(QWidget*, const QString&, Qt::KeyboardModifiers, int)
    {11, 162, 161, 2, Smoke::mf_static, 0, 45},	//88 QTest::keyClicks(QWidget*, const QString&)
    {11, 162, 164, 3, Smoke::mf_static, 0, 46},	//89 QTest::keyClicks(QWidget*, const QString&, Qt::KeyboardModifiers)
    {11, 166, 168, 5, Smoke::mf_static, 0, 47},	//90 QTest::keyEvent(QTest::KeyAction, QWidget*, char, Qt::KeyboardModifiers, int)
    {11, 166, 174, 3, Smoke::mf_static, 0, 48},	//91 QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    {11, 166, 178, 4, Smoke::mf_static, 0, 49},	//92 QTest::keyEvent(QTest::KeyAction, QWidget*, char, Qt::KeyboardModifiers)
    {11, 158, 183, 4, Smoke::mf_static, 0, 50},	//93 QTest::keyClick(QWidget*, char, Qt::KeyboardModifiers, int)
    {11, 158, 188, 2, Smoke::mf_static, 0, 51},	//94 QTest::keyClick(QWidget*, char)
    {11, 158, 191, 3, Smoke::mf_static, 0, 52},	//95 QTest::keyClick(QWidget*, char, Qt::KeyboardModifiers)
    {11, 214, 35, 2, Smoke::mf_static, 145, 53},	//96 QTest::qData(const char*, int)
    {11, 223, 195, 5, Smoke::mf_static, 124, 54},	//97 QTest::qExpectFail(const char*, const char*, QTest::TestFailMode, const char*, int)
    {11, 158, 50, 4, Smoke::mf_static, 0, 55},	//98 QTest::keyClick(QWidget*, Qt::Key, Qt::KeyboardModifiers, int)
    {11, 158, 55, 2, Smoke::mf_static, 0, 56},	//99 QTest::keyClick(QWidget*, Qt::Key)
    {11, 158, 58, 3, Smoke::mf_static, 0, 57},	//100 QTest::keyClick(QWidget*, Qt::Key, Qt::KeyboardModifiers)
    {11, 139, 0, 0, Smoke::mf_static, 124, 58},	//101 QTest::currentTestFailed()
    {11, 267, 201, 7, Smoke::mf_static, 0, 59},	//102 QTest::simulateEvent(QWidget*, bool, int, Qt::KeyboardModifiers, QString, bool, int)
    {11, 267, 209, 6, Smoke::mf_static, 0, 60},	//103 QTest::simulateEvent(QWidget*, bool, int, Qt::KeyboardModifiers, QString, bool)
    {11, 181, 87, 5, Smoke::mf_static, 0, 61},	//104 QTest::mouseClick(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {11, 181, 93, 2, Smoke::mf_static, 0, 62},	//105 QTest::mouseClick(QWidget*, Qt::MouseButton)
    {11, 181, 96, 3, Smoke::mf_static, 0, 63},	//106 QTest::mouseClick(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers)
    {11, 181, 100, 4, Smoke::mf_static, 0, 64},	//107 QTest::mouseClick(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint)
    {11, 229, 216, 4, Smoke::mf_static, 0, 65},	//108 QTest::qSkip(const char*, QTest::SkipMode, const char*, int)
    {11, 174, 183, 4, Smoke::mf_static, 0, 66},	//109 QTest::keyRelease(QWidget*, char, Qt::KeyboardModifiers, int)
    {11, 174, 188, 2, Smoke::mf_static, 0, 67},	//110 QTest::keyRelease(QWidget*, char)
    {11, 174, 191, 3, Smoke::mf_static, 0, 68},	//111 QTest::keyRelease(QWidget*, char, Qt::KeyboardModifiers)
    {11, 225, 221, 3, Smoke::mf_static, 0, 69},	//112 QTest::qFail(const char*, const char*, int)
    {11, 186, 87, 5, Smoke::mf_static, 0, 70},	//113 QTest::mouseDClick(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {11, 186, 93, 2, Smoke::mf_static, 0, 71},	//114 QTest::mouseDClick(QWidget*, Qt::MouseButton)
    {11, 186, 96, 3, Smoke::mf_static, 0, 72},	//115 QTest::mouseDClick(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers)
    {11, 186, 100, 4, Smoke::mf_static, 0, 73},	//116 QTest::mouseDClick(QWidget*, Qt::MouseButton, Qt::KeyboardModifiers, QPoint)
    {11, 194, 225, 3, Smoke::mf_static, 0, 74},	//117 QTest::mouseMove(QWidget*, QPoint, int)
    {11, 194, 139, 1, Smoke::mf_static, 0, 75},	//118 QTest::mouseMove(QWidget*)
    {11, 194, 229, 2, Smoke::mf_static, 0, 76},	//119 QTest::mouseMove(QWidget*, QPoint)
    {11, 216, 35, 2, Smoke::mf_static, 145, 77},	//120 QTest::qElementData(const char*, int)
    {11, 170, 183, 4, Smoke::mf_static, 0, 78},	//121 QTest::keyPress(QWidget*, char, Qt::KeyboardModifiers, int)
    {11, 170, 188, 2, Smoke::mf_static, 0, 79},	//122 QTest::keyPress(QWidget*, char)
    {11, 170, 191, 3, Smoke::mf_static, 0, 80},	//123 QTest::keyPress(QWidget*, char, Qt::KeyboardModifiers)
    {11, 218, 232, 3, Smoke::mf_static, 143, 81},	//124 QTest::qExec(QObject*, int, char**)
    {11, 218, 236, 1, Smoke::mf_static, 143, 82},	//125 QTest::qExec(QObject*)
    {11, 218, 238, 2, Smoke::mf_static, 143, 83},	//126 QTest::qExec(QObject*, int)
    {11, 218, 241, 2, Smoke::mf_static, 143, 84},	//127 QTest::qExec(QObject*, const QStringList&)
    {11, 277, 1, 1, Smoke::mf_static, 126, 85},	//128 QTest::toString(const char*)
    {11, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 86},	//129 QTest::Abort (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 87},	//130 QTest::Continue (enum)
    {11, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 88},	//131 QTest::MousePress (enum)
    {11, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 89},	//132 QTest::MouseRelease (enum)
    {11, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 90},	//133 QTest::MouseClick (enum)
    {11, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 91},	//134 QTest::MouseDClick (enum)
    {11, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 92},	//135 QTest::MouseMove (enum)
    {11, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 93},	//136 QTest::Press (enum)
    {11, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 94},	//137 QTest::Release (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 95},	//138 QTest::Click (enum)
    {11, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 96},	//139 QTest::SkipSingle (enum)
    {11, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 97},	//140 QTest::SkipAll (enum)
    {12, 155, 0, 0, Smoke::mf_static, 0, 1},	//141 QTestAccessibility::initialize()
    {12, 126, 0, 0, Smoke::mf_static, 0, 2},	//142 QTestAccessibility::cleanup()
    {12, 128, 0, 0, Smoke::mf_static, 0, 3},	//143 QTestAccessibility::clearEvents()
    {12, 151, 0, 0, Smoke::mf_static, 6, 4},	//144 QTestAccessibility::events()
    {12, 287, 244, 1, Smoke::mf_static, 124, 5},	//145 QTestAccessibility::verifyEvent(const QTestAccessibilityEvent&)
    {12, 287, 246, 3, Smoke::mf_static, 124, 6},	//146 QTestAccessibility::verifyEvent(QObject*, int, int)
    {13, 31, 246, 3, Smoke::mf_ctor, 19, 1},	//147 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int, int)
    {13, 211, 244, 1, Smoke::mf_const, 124, 2},	//148 QTestAccessibilityEvent::operator==(const QTestAccessibilityEvent&) const
    {13, 31, 244, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 3},	//149 QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    {13, 31, 0, 0, Smoke::mf_ctor, 19, 4},	//150 QTestAccessibilityEvent::QTestAccessibilityEvent()
    {13, 31, 236, 1, Smoke::mf_ctor, 19, 5},	//151 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    {13, 31, 238, 2, Smoke::mf_ctor, 19, 6},	//152 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int)
    {13, 210, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 8, 7},	//153 QTestAccessibilityEvent::object() const
    {13, 252, 236, 1, Smoke::mf_attribute, 0, 8},	//154 QTestAccessibilityEvent::setObject(QObject*)
    {13, 124, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 143, 9},	//155 QTestAccessibilityEvent::child() const
    {13, 248, 70, 1, Smoke::mf_attribute, 0, 10},	//156 QTestAccessibilityEvent::setChild(int)
    {13, 149, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 143, 11},	//157 QTestAccessibilityEvent::event() const
    {13, 250, 70, 1, Smoke::mf_attribute, 0, 12},	//158 QTestAccessibilityEvent::setEvent(int)
    {13, 291, 0, 0, Smoke::mf_dtor, 0, 13 },	//159 QTestAccessibilityEvent::~QTestAccessibilityEvent()
    {14, 118, 250, 2, 0, 0, 1},	//160 QTestData::append(int, const void*)
    {14, 142, 70, 1, Smoke::mf_const, 145, 2},	//161 QTestData::data(int) const
    {14, 145, 0, 0, Smoke::mf_const, 141, 3},	//162 QTestData::dataTag() const
    {14, 213, 0, 0, Smoke::mf_const, 29, 4},	//163 QTestData::parent() const
    {14, 144, 0, 0, Smoke::mf_const, 143, 5},	//164 QTestData::dataCount() const
    {14, 292, 0, 0, Smoke::mf_dtor, 0, 6 },	//165 QTestData::~QTestData()
    {15, 35, 70, 1, Smoke::mf_ctor, 21, 1},	//166 QTestDelayEvent::QTestDelayEvent(int)
    {15, 129, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 22, 2},	//167 QTestDelayEvent::clone() const
    {15, 265, 139, 1, Smoke::mf_virtual, 0, 3},	//168 QTestDelayEvent::simulate(QWidget*)
    {15, 35, 253, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 21, 4},	//169 QTestDelayEvent::QTestDelayEvent(const QTestDelayEvent&)
    {15, 293, 0, 0, Smoke::mf_dtor, 0, 5 },	//170 QTestDelayEvent::~QTestDelayEvent()
    {16, 265, 139, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//171 QTestEvent::simulate(QWidget*) [pure virtual]
    {16, 129, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 22, 2},	//172 QTestEvent::clone() const [pure virtual]
    {16, 38, 0, 0, Smoke::mf_ctor, 22, 3},	//173 QTestEvent::QTestEvent()
    {16, 38, 255, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 4},	//174 QTestEvent::QTestEvent(const QTestEvent&)
    {16, 294, 0, 0, Smoke::mf_dtor, 0, 5 },	//175 QTestEvent::~QTestEvent()
    {17, 40, 0, 0, Smoke::mf_ctor, 23, 1},	//176 QTestEventList::QTestEventList()
    {17, 40, 257, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 2},	//177 QTestEventList::QTestEventList(const QTestEventList&)
    {17, 127, 0, 0, 0, 0, 3},	//178 QTestEventList::clear()
    {17, 75, 259, 3, 0, 0, 4},	//179 QTestEventList::addKeyClick(Qt::Key, Qt::KeyboardModifiers, int)
    {17, 87, 259, 3, 0, 0, 5},	//180 QTestEventList::addKeyPress(Qt::Key, Qt::KeyboardModifiers, int)
    {17, 91, 259, 3, 0, 0, 6},	//181 QTestEventList::addKeyRelease(Qt::Key, Qt::KeyboardModifiers, int)
    {17, 83, 263, 4, 0, 0, 7},	//182 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, Qt::KeyboardModifiers, int)
    {17, 75, 268, 3, 0, 0, 8},	//183 QTestEventList::addKeyClick(char, Qt::KeyboardModifiers, int)
    {17, 87, 268, 3, 0, 0, 9},	//184 QTestEventList::addKeyPress(char, Qt::KeyboardModifiers, int)
    {17, 91, 268, 3, 0, 0, 10},	//185 QTestEventList::addKeyRelease(char, Qt::KeyboardModifiers, int)
    {17, 79, 272, 3, 0, 0, 11},	//186 QTestEventList::addKeyClicks(const QString&, Qt::KeyboardModifiers, int)
    {17, 83, 276, 4, 0, 0, 12},	//187 QTestEventList::addKeyEvent(QTest::KeyAction, char, Qt::KeyboardModifiers, int)
    {17, 108, 281, 4, 0, 0, 13},	//188 QTestEventList::addMousePress(Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {17, 113, 281, 4, 0, 0, 14},	//189 QTestEventList::addMouseRelease(Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {17, 95, 281, 4, 0, 0, 15},	//190 QTestEventList::addMouseClick(Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {17, 100, 281, 4, 0, 0, 16},	//191 QTestEventList::addMouseDClick(Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {17, 105, 286, 2, 0, 0, 17},	//192 QTestEventList::addMouseMove(QPoint, int)
    {17, 73, 70, 1, 0, 0, 18},	//193 QTestEventList::addDelay(int)
    {17, 265, 139, 1, 0, 0, 19},	//194 QTestEventList::simulate(QWidget*)
    {17, 75, 62, 1, 0, 0, 20},	//195 QTestEventList::addKeyClick(Qt::Key)
    {17, 75, 289, 2, 0, 0, 21},	//196 QTestEventList::addKeyClick(Qt::Key, Qt::KeyboardModifiers)
    {17, 87, 62, 1, 0, 0, 22},	//197 QTestEventList::addKeyPress(Qt::Key)
    {17, 87, 289, 2, 0, 0, 23},	//198 QTestEventList::addKeyPress(Qt::Key, Qt::KeyboardModifiers)
    {17, 91, 62, 1, 0, 0, 24},	//199 QTestEventList::addKeyRelease(Qt::Key)
    {17, 91, 289, 2, 0, 0, 25},	//200 QTestEventList::addKeyRelease(Qt::Key, Qt::KeyboardModifiers)
    {17, 83, 292, 2, 0, 0, 26},	//201 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    {17, 83, 295, 3, 0, 0, 27},	//202 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, Qt::KeyboardModifiers)
    {17, 75, 72, 1, 0, 0, 28},	//203 QTestEventList::addKeyClick(char)
    {17, 75, 299, 2, 0, 0, 29},	//204 QTestEventList::addKeyClick(char, Qt::KeyboardModifiers)
    {17, 87, 72, 1, 0, 0, 30},	//205 QTestEventList::addKeyPress(char)
    {17, 87, 299, 2, 0, 0, 31},	//206 QTestEventList::addKeyPress(char, Qt::KeyboardModifiers)
    {17, 91, 72, 1, 0, 0, 32},	//207 QTestEventList::addKeyRelease(char)
    {17, 91, 299, 2, 0, 0, 33},	//208 QTestEventList::addKeyRelease(char, Qt::KeyboardModifiers)
    {17, 79, 302, 1, 0, 0, 34},	//209 QTestEventList::addKeyClicks(const QString&)
    {17, 79, 304, 2, 0, 0, 35},	//210 QTestEventList::addKeyClicks(const QString&, Qt::KeyboardModifiers)
    {17, 83, 307, 2, 0, 0, 36},	//211 QTestEventList::addKeyEvent(QTest::KeyAction, char)
    {17, 83, 310, 3, 0, 0, 37},	//212 QTestEventList::addKeyEvent(QTest::KeyAction, char, Qt::KeyboardModifiers)
    {17, 108, 314, 1, 0, 0, 38},	//213 QTestEventList::addMousePress(Qt::MouseButton)
    {17, 108, 316, 2, 0, 0, 39},	//214 QTestEventList::addMousePress(Qt::MouseButton, Qt::KeyboardModifiers)
    {17, 108, 319, 3, 0, 0, 40},	//215 QTestEventList::addMousePress(Qt::MouseButton, Qt::KeyboardModifiers, QPoint)
    {17, 113, 314, 1, 0, 0, 41},	//216 QTestEventList::addMouseRelease(Qt::MouseButton)
    {17, 113, 316, 2, 0, 0, 42},	//217 QTestEventList::addMouseRelease(Qt::MouseButton, Qt::KeyboardModifiers)
    {17, 113, 319, 3, 0, 0, 43},	//218 QTestEventList::addMouseRelease(Qt::MouseButton, Qt::KeyboardModifiers, QPoint)
    {17, 95, 314, 1, 0, 0, 44},	//219 QTestEventList::addMouseClick(Qt::MouseButton)
    {17, 95, 316, 2, 0, 0, 45},	//220 QTestEventList::addMouseClick(Qt::MouseButton, Qt::KeyboardModifiers)
    {17, 95, 319, 3, 0, 0, 46},	//221 QTestEventList::addMouseClick(Qt::MouseButton, Qt::KeyboardModifiers, QPoint)
    {17, 100, 314, 1, 0, 0, 47},	//222 QTestEventList::addMouseDClick(Qt::MouseButton)
    {17, 100, 316, 2, 0, 0, 48},	//223 QTestEventList::addMouseDClick(Qt::MouseButton, Qt::KeyboardModifiers)
    {17, 100, 319, 3, 0, 0, 49},	//224 QTestEventList::addMouseDClick(Qt::MouseButton, Qt::KeyboardModifiers, QPoint)
    {17, 105, 0, 0, 0, 0, 50},	//225 QTestEventList::addMouseMove()
    {17, 105, 323, 1, 0, 0, 51},	//226 QTestEventList::addMouseMove(QPoint)
    {17, 295, 0, 0, Smoke::mf_dtor, 0, 52 },	//227 QTestEventList::~QTestEventList()
    {18, 180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 129, 1},	//228 QTestEventLoop::metaObject() const
    {18, 243, 1, 1, Smoke::mf_virtual, 145, 2},	//229 QTestEventLoop::qt_metacast(const char*)
    {18, 279, 325, 2, Smoke::mf_static, 12, 3},	//230 QTestEventLoop::tr(const char*, const char*)
    {18, 283, 325, 2, Smoke::mf_static, 12, 4},	//231 QTestEventLoop::trUtf8(const char*, const char*)
    {18, 279, 221, 3, Smoke::mf_static, 12, 5},	//232 QTestEventLoop::tr(const char*, const char*, int)
    {18, 283, 221, 3, Smoke::mf_static, 12, 6},	//233 QTestEventLoop::trUtf8(const char*, const char*, int)
    {18, 241, 15, 3, Smoke::mf_virtual, 143, 7},	//234 QTestEventLoop::qt_metacall(QMetaObject::Call, int, void**)
    {18, 42, 236, 1, Smoke::mf_ctor, 25, 8},	//235 QTestEventLoop::QTestEventLoop(QObject*)
    {18, 147, 70, 1, 0, 0, 9},	//236 QTestEventLoop::enterLoop(int)
    {18, 122, 70, 1, 0, 0, 10},	//237 QTestEventLoop::changeInterval(int)
    {18, 272, 0, 0, Smoke::mf_const, 124, 11},	//238 QTestEventLoop::timeout() const
    {18, 156, 0, 0, Smoke::mf_static, 24, 12},	//239 QTestEventLoop::instance()
    {18, 152, 0, 0, Smoke::mf_slot, 0, 13},	//240 QTestEventLoop::exitLoop()
    {18, 273, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//241 QTestEventLoop::timerEvent(QTimerEvent*)
    {18, 279, 1, 1, Smoke::mf_static, 12, 15},	//242 QTestEventLoop::tr(const char*)
    {18, 283, 1, 1, Smoke::mf_static, 12, 16},	//243 QTestEventLoop::trUtf8(const char*)
    {18, 42, 0, 0, Smoke::mf_ctor, 25, 17},	//244 QTestEventLoop::QTestEventLoop()
    {18, 270, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 128, 18},	//245 QTestEventLoop::staticMetaObject() const
    {18, 296, 0, 0, Smoke::mf_dtor, 0, 19 },	//246 QTestEventLoop::~QTestEventLoop()
    {19, 44, 272, 3, Smoke::mf_ctor, 26, 1},	//247 QTestKeyClicksEvent::QTestKeyClicksEvent(const QString&, Qt::KeyboardModifiers, int)
    {19, 129, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 22, 2},	//248 QTestKeyClicksEvent::clone() const
    {19, 265, 139, 1, Smoke::mf_virtual, 0, 3},	//249 QTestKeyClicksEvent::simulate(QWidget*)
    {19, 44, 328, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 4},	//250 QTestKeyClicksEvent::QTestKeyClicksEvent(const QTestKeyClicksEvent&)
    {19, 297, 0, 0, Smoke::mf_dtor, 0, 5 },	//251 QTestKeyClicksEvent::~QTestKeyClicksEvent()
    {20, 47, 263, 4, Smoke::mf_ctor, 27, 1},	//252 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, Qt::KeyboardModifiers, int)
    {20, 47, 276, 4, Smoke::mf_ctor, 27, 2},	//253 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, Qt::KeyboardModifiers, int)
    {20, 129, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 22, 3},	//254 QTestKeyEvent::clone() const
    {20, 265, 139, 1, Smoke::mf_virtual, 0, 4},	//255 QTestKeyEvent::simulate(QWidget*)
    {20, 47, 330, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 5},	//256 QTestKeyEvent::QTestKeyEvent(const QTestKeyEvent&)
    {20, 66, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 15, 6},	//257 QTestKeyEvent::_action() const
    {20, 254, 332, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 7},	//258 QTestKeyEvent::set_action(QTest::KeyAction)
    {20, 68, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 143, 8},	//259 QTestKeyEvent::_delay() const
    {20, 258, 70, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//260 QTestKeyEvent::set_delay(int)
    {20, 70, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 71, 10},	//261 QTestKeyEvent::_modifiers() const
    {20, 262, 334, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//262 QTestKeyEvent::set_modifiers(Qt::KeyboardModifiers)
    {20, 67, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 125, 12},	//263 QTestKeyEvent::_ascii() const
    {20, 256, 72, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//264 QTestKeyEvent::set_ascii(char)
    {20, 69, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 69, 14},	//265 QTestKeyEvent::_key() const
    {20, 260, 62, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//266 QTestKeyEvent::set_key(Qt::Key)
    {20, 298, 0, 0, Smoke::mf_dtor, 0, 16 },	//267 QTestKeyEvent::~QTestKeyEvent()
    {21, 50, 336, 5, Smoke::mf_ctor, 28, 1},	//268 QTestMouseEvent::QTestMouseEvent(QTest::MouseAction, Qt::MouseButton, Qt::KeyboardModifiers, QPoint, int)
    {21, 129, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 22, 2},	//269 QTestMouseEvent::clone() const
    {21, 265, 139, 1, Smoke::mf_virtual, 0, 3},	//270 QTestMouseEvent::simulate(QWidget*)
    {21, 50, 342, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 4},	//271 QTestMouseEvent::QTestMouseEvent(const QTestMouseEvent&)
    {21, 299, 0, 0, Smoke::mf_dtor, 0, 5 },	//272 QTestMouseEvent::~QTestMouseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    94,  // QTest::keyClick(QWidget*, char)
    99,  // QTest::keyClick(QWidget*, Qt::Key)
    0,
    95,  // QTest::keyClick(QWidget*, char, Qt::KeyboardModifiers)
    100,  // QTest::keyClick(QWidget*, Qt::Key, Qt::KeyboardModifiers)
    0,
    93,  // QTest::keyClick(QWidget*, char, Qt::KeyboardModifiers, int)
    98,  // QTest::keyClick(QWidget*, Qt::Key, Qt::KeyboardModifiers, int)
    0,
    85,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    91,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    0,
    86,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, Qt::KeyboardModifiers)
    92,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, Qt::KeyboardModifiers)
    0,
    84,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, Qt::KeyboardModifiers, int)
    90,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, Qt::KeyboardModifiers, int)
    0,
    51,  // QTest::keyPress(QWidget*, Qt::Key)
    122,  // QTest::keyPress(QWidget*, char)
    0,
    52,  // QTest::keyPress(QWidget*, Qt::Key, Qt::KeyboardModifiers)
    123,  // QTest::keyPress(QWidget*, char, Qt::KeyboardModifiers)
    0,
    50,  // QTest::keyPress(QWidget*, Qt::Key, Qt::KeyboardModifiers, int)
    121,  // QTest::keyPress(QWidget*, char, Qt::KeyboardModifiers, int)
    0,
    62,  // QTest::keyRelease(QWidget*, Qt::Key)
    110,  // QTest::keyRelease(QWidget*, char)
    0,
    63,  // QTest::keyRelease(QWidget*, Qt::Key, Qt::KeyboardModifiers)
    111,  // QTest::keyRelease(QWidget*, char, Qt::KeyboardModifiers)
    0,
    61,  // QTest::keyRelease(QWidget*, Qt::Key, Qt::KeyboardModifiers, int)
    109,  // QTest::keyRelease(QWidget*, char, Qt::KeyboardModifiers, int)
    0,
    45,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, Qt::KeyboardModifiers)
    59,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, Qt::KeyboardModifiers)
    0,
    44,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, Qt::KeyboardModifiers, int)
    58,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, Qt::KeyboardModifiers, int)
    0,
    73,  // QTest::toString(const void*)
    128,  // QTest::toString(const char*)
    0,
    149,  // QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    151,  // QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    0,
    195,  // QTestEventList::addKeyClick(Qt::Key)
    203,  // QTestEventList::addKeyClick(char)
    0,
    196,  // QTestEventList::addKeyClick(Qt::Key, Qt::KeyboardModifiers)
    204,  // QTestEventList::addKeyClick(char, Qt::KeyboardModifiers)
    0,
    179,  // QTestEventList::addKeyClick(Qt::Key, Qt::KeyboardModifiers, int)
    183,  // QTestEventList::addKeyClick(char, Qt::KeyboardModifiers, int)
    0,
    201,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    211,  // QTestEventList::addKeyEvent(QTest::KeyAction, char)
    0,
    202,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, Qt::KeyboardModifiers)
    212,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, Qt::KeyboardModifiers)
    0,
    182,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, Qt::KeyboardModifiers, int)
    187,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, Qt::KeyboardModifiers, int)
    0,
    197,  // QTestEventList::addKeyPress(Qt::Key)
    205,  // QTestEventList::addKeyPress(char)
    0,
    198,  // QTestEventList::addKeyPress(Qt::Key, Qt::KeyboardModifiers)
    206,  // QTestEventList::addKeyPress(char, Qt::KeyboardModifiers)
    0,
    180,  // QTestEventList::addKeyPress(Qt::Key, Qt::KeyboardModifiers, int)
    184,  // QTestEventList::addKeyPress(char, Qt::KeyboardModifiers, int)
    0,
    199,  // QTestEventList::addKeyRelease(Qt::Key)
    207,  // QTestEventList::addKeyRelease(char)
    0,
    200,  // QTestEventList::addKeyRelease(Qt::Key, Qt::KeyboardModifiers)
    208,  // QTestEventList::addKeyRelease(char, Qt::KeyboardModifiers)
    0,
    181,  // QTestEventList::addKeyRelease(Qt::Key, Qt::KeyboardModifiers, int)
    185,  // QTestEventList::addKeyRelease(char, Qt::KeyboardModifiers, int)
    0,
    252,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, Qt::KeyboardModifiers, int)
    253,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, Qt::KeyboardModifiers, int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 4, 13},	// QGlobalSpace::LicensedActiveQt
    {5, 5, 19},	// QGlobalSpace::LicensedCore
    {5, 6, 11},	// QGlobalSpace::LicensedDBus
    {5, 7, 16},	// QGlobalSpace::LicensedDeclarative
    {5, 8, 6},	// QGlobalSpace::LicensedGui
    {5, 9, 25},	// QGlobalSpace::LicensedHelp
    {5, 10, 26},	// QGlobalSpace::LicensedMultimedia
    {5, 11, 29},	// QGlobalSpace::LicensedNetwork
    {5, 12, 18},	// QGlobalSpace::LicensedOpenGL
    {5, 13, 10},	// QGlobalSpace::LicensedOpenVG
    {5, 14, 27},	// QGlobalSpace::LicensedQt3Support
    {5, 15, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {5, 16, 9},	// QGlobalSpace::LicensedScript
    {5, 17, 14},	// QGlobalSpace::LicensedScriptTools
    {5, 18, 17},	// QGlobalSpace::LicensedSql
    {5, 19, 15},	// QGlobalSpace::LicensedSvg
    {5, 20, 12},	// QGlobalSpace::LicensedTest
    {5, 21, 7},	// QGlobalSpace::LicensedXml
    {5, 22, 28},	// QGlobalSpace::LicensedXmlPatterns
    {5, 53, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 54, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 55, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 56, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 57, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 58, 22},	// QGlobalSpace::QtCriticalMsg
    {5, 59, 20},	// QGlobalSpace::QtDebugMsg
    {5, 60, 23},	// QGlobalSpace::QtFatalMsg
    {5, 61, 24},	// QGlobalSpace::QtSystemMsg
    {5, 62, 21},	// QGlobalSpace::QtWarningMsg
    {10, 30, 39},	// QSignalSpy::QSignalSpy#$
    {10, 157, 40},	// QSignalSpy::isValid
    {10, 242, 42},	// QSignalSpy::qt_metacall$$?
    {10, 264, 41},	// QSignalSpy::signal
    {10, 290, 43},	// QSignalSpy::~QSignalSpy
    {11, 1, 129},	// QTest::Abort
    {11, 2, 138},	// QTest::Click
    {11, 3, 130},	// QTest::Continue
    {11, 23, 133},	// QTest::MouseClick
    {11, 24, 134},	// QTest::MouseDClick
    {11, 25, 135},	// QTest::MouseMove
    {11, 26, 131},	// QTest::MousePress
    {11, 27, 132},	// QTest::MouseRelease
    {11, 28, 136},	// QTest::Press
    {11, 63, 137},	// QTest::Release
    {11, 64, 140},	// QTest::SkipAll
    {11, 65, 139},	// QTest::SkipSingle
    {11, 72, 46},	// QTest::addColumnInternal$$
    {11, 121, 57},	// QTest::asciiToKey$
    {11, 131, 78},	// QTest::compare_helper$$$$
    {11, 132, 48},	// QTest::compare_helper$$$$$$$$
    {11, 134, 70},	// QTest::compare_ptr_helper$$$$$$
    {11, 136, 71},	// QTest::compare_string_helper$$$$$$
    {11, 138, 55},	// QTest::currentDataTag
    {11, 139, 101},	// QTest::currentTestFailed
    {11, 140, 64},	// QTest::currentTestFunction
    {11, 154, 49},	// QTest::ignoreMessage$$
    {11, 159, -1},	// QTest::keyClick#$
    {11, 160, -4},	// QTest::keyClick#$$
    {11, 161, -7},	// QTest::keyClick#$$$
    {11, 163, 88},	// QTest::keyClicks#$
    {11, 164, 89},	// QTest::keyClicks#$$
    {11, 165, 87},	// QTest::keyClicks#$$$
    {11, 167, -10},	// QTest::keyEvent$#$
    {11, 168, -13},	// QTest::keyEvent$#$$
    {11, 169, -16},	// QTest::keyEvent$#$$$
    {11, 171, -19},	// QTest::keyPress#$
    {11, 172, -22},	// QTest::keyPress#$$
    {11, 173, -25},	// QTest::keyPress#$$$
    {11, 175, -28},	// QTest::keyRelease#$
    {11, 176, -31},	// QTest::keyRelease#$$
    {11, 177, -34},	// QTest::keyRelease#$$$
    {11, 179, 53},	// QTest::keyToAscii$
    {11, 182, 105},	// QTest::mouseClick#$
    {11, 183, 106},	// QTest::mouseClick#$$
    {11, 184, 107},	// QTest::mouseClick#$$#
    {11, 185, 104},	// QTest::mouseClick#$$#$
    {11, 187, 114},	// QTest::mouseDClick#$
    {11, 188, 115},	// QTest::mouseDClick#$$
    {11, 189, 116},	// QTest::mouseDClick#$$#
    {11, 190, 113},	// QTest::mouseDClick#$$#$
    {11, 192, 76},	// QTest::mouseEvent$#$$#
    {11, 193, 75},	// QTest::mouseEvent$#$$#$
    {11, 195, 118},	// QTest::mouseMove#
    {11, 196, 119},	// QTest::mouseMove##
    {11, 197, 117},	// QTest::mouseMove##$
    {11, 199, 66},	// QTest::mousePress#$
    {11, 200, 67},	// QTest::mousePress#$$
    {11, 201, 68},	// QTest::mousePress#$$#
    {11, 202, 65},	// QTest::mousePress#$$#$
    {11, 204, 80},	// QTest::mouseRelease#$
    {11, 205, 81},	// QTest::mouseRelease#$$
    {11, 206, 82},	// QTest::mouseRelease#$$#
    {11, 207, 79},	// QTest::mouseRelease#$$#$
    {11, 209, 74},	// QTest::newRow$
    {11, 215, 96},	// QTest::qData$$
    {11, 217, 120},	// QTest::qElementData$$
    {11, 219, 125},	// QTest::qExec#
    {11, 220, 126},	// QTest::qExec#$
    {11, 221, 124},	// QTest::qExec#$?
    {11, 222, 127},	// QTest::qExec#?
    {11, 224, 97},	// QTest::qExpectFail$$$$$
    {11, 226, 112},	// QTest::qFail$$$
    {11, 228, 47},	// QTest::qGlobalData$$
    {11, 230, 108},	// QTest::qSkip$$$$
    {11, 232, 56},	// QTest::qSleep$
    {11, 234, 54},	// QTest::qVerify$$$$$
    {11, 236, 72},	// QTest::qWait$
    {11, 238, 83},	// QTest::qWaitForWindowShown#
    {11, 240, 60},	// QTest::qWarn$
    {11, 246, -37},	// QTest::sendKeyEvent$#$$$
    {11, 247, -40},	// QTest::sendKeyEvent$#$$$$
    {11, 268, 103},	// QTest::simulateEvent#$$$$$
    {11, 269, 102},	// QTest::simulateEvent#$$$$$$
    {11, 271, 69},	// QTest::testObject
    {11, 276, 77},	// QTest::toHexRepresentation$$
    {11, 278, -43},	// QTest::toString$
    {12, 126, 142},	// QTestAccessibility::cleanup
    {12, 128, 143},	// QTestAccessibility::clearEvents
    {12, 151, 144},	// QTestAccessibility::events
    {12, 155, 141},	// QTestAccessibility::initialize
    {12, 288, 145},	// QTestAccessibility::verifyEvent#
    {12, 289, 146},	// QTestAccessibility::verifyEvent#$$
    {13, 31, 150},	// QTestAccessibilityEvent::QTestAccessibilityEvent
    {13, 32, -46},	// QTestAccessibilityEvent::QTestAccessibilityEvent#
    {13, 33, 152},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$
    {13, 34, 147},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$$
    {13, 124, 155},	// QTestAccessibilityEvent::child
    {13, 149, 157},	// QTestAccessibilityEvent::event
    {13, 210, 153},	// QTestAccessibilityEvent::object
    {13, 212, 148},	// QTestAccessibilityEvent::operator==#
    {13, 249, 156},	// QTestAccessibilityEvent::setChild$
    {13, 251, 158},	// QTestAccessibilityEvent::setEvent$
    {13, 253, 154},	// QTestAccessibilityEvent::setObject#
    {13, 291, 159},	// QTestAccessibilityEvent::~QTestAccessibilityEvent
    {14, 119, 160},	// QTestData::append$$
    {14, 143, 161},	// QTestData::data$
    {14, 144, 164},	// QTestData::dataCount
    {14, 145, 162},	// QTestData::dataTag
    {14, 213, 163},	// QTestData::parent
    {14, 292, 165},	// QTestData::~QTestData
    {15, 36, 169},	// QTestDelayEvent::QTestDelayEvent#
    {15, 37, 166},	// QTestDelayEvent::QTestDelayEvent$
    {15, 129, 167},	// QTestDelayEvent::clone
    {15, 266, 168},	// QTestDelayEvent::simulate#
    {15, 293, 170},	// QTestDelayEvent::~QTestDelayEvent
    {16, 38, 173},	// QTestEvent::QTestEvent
    {16, 39, 174},	// QTestEvent::QTestEvent#
    {16, 129, 172},	// QTestEvent::clone
    {16, 266, 171},	// QTestEvent::simulate#
    {16, 294, 175},	// QTestEvent::~QTestEvent
    {17, 40, 176},	// QTestEventList::QTestEventList
    {17, 41, 177},	// QTestEventList::QTestEventList#
    {17, 74, 193},	// QTestEventList::addDelay$
    {17, 76, -49},	// QTestEventList::addKeyClick$
    {17, 77, -52},	// QTestEventList::addKeyClick$$
    {17, 78, -55},	// QTestEventList::addKeyClick$$$
    {17, 80, 209},	// QTestEventList::addKeyClicks$
    {17, 81, 210},	// QTestEventList::addKeyClicks$$
    {17, 82, 186},	// QTestEventList::addKeyClicks$$$
    {17, 84, -58},	// QTestEventList::addKeyEvent$$
    {17, 85, -61},	// QTestEventList::addKeyEvent$$$
    {17, 86, -64},	// QTestEventList::addKeyEvent$$$$
    {17, 88, -67},	// QTestEventList::addKeyPress$
    {17, 89, -70},	// QTestEventList::addKeyPress$$
    {17, 90, -73},	// QTestEventList::addKeyPress$$$
    {17, 92, -76},	// QTestEventList::addKeyRelease$
    {17, 93, -79},	// QTestEventList::addKeyRelease$$
    {17, 94, -82},	// QTestEventList::addKeyRelease$$$
    {17, 96, 219},	// QTestEventList::addMouseClick$
    {17, 97, 220},	// QTestEventList::addMouseClick$$
    {17, 98, 221},	// QTestEventList::addMouseClick$$#
    {17, 99, 190},	// QTestEventList::addMouseClick$$#$
    {17, 101, 222},	// QTestEventList::addMouseDClick$
    {17, 102, 223},	// QTestEventList::addMouseDClick$$
    {17, 103, 224},	// QTestEventList::addMouseDClick$$#
    {17, 104, 191},	// QTestEventList::addMouseDClick$$#$
    {17, 105, 225},	// QTestEventList::addMouseMove
    {17, 106, 226},	// QTestEventList::addMouseMove#
    {17, 107, 192},	// QTestEventList::addMouseMove#$
    {17, 109, 213},	// QTestEventList::addMousePress$
    {17, 110, 214},	// QTestEventList::addMousePress$$
    {17, 111, 215},	// QTestEventList::addMousePress$$#
    {17, 112, 188},	// QTestEventList::addMousePress$$#$
    {17, 114, 216},	// QTestEventList::addMouseRelease$
    {17, 115, 217},	// QTestEventList::addMouseRelease$$
    {17, 116, 218},	// QTestEventList::addMouseRelease$$#
    {17, 117, 189},	// QTestEventList::addMouseRelease$$#$
    {17, 127, 178},	// QTestEventList::clear
    {17, 266, 194},	// QTestEventList::simulate#
    {17, 295, 227},	// QTestEventList::~QTestEventList
    {18, 42, 244},	// QTestEventLoop::QTestEventLoop
    {18, 43, 235},	// QTestEventLoop::QTestEventLoop#
    {18, 123, 237},	// QTestEventLoop::changeInterval$
    {18, 148, 236},	// QTestEventLoop::enterLoop$
    {18, 152, 240},	// QTestEventLoop::exitLoop
    {18, 156, 239},	// QTestEventLoop::instance
    {18, 180, 228},	// QTestEventLoop::metaObject
    {18, 242, 234},	// QTestEventLoop::qt_metacall$$?
    {18, 244, 229},	// QTestEventLoop::qt_metacast$
    {18, 270, 245},	// QTestEventLoop::staticMetaObject
    {18, 272, 238},	// QTestEventLoop::timeout
    {18, 274, 241},	// QTestEventLoop::timerEvent#
    {18, 280, 242},	// QTestEventLoop::tr$
    {18, 281, 230},	// QTestEventLoop::tr$$
    {18, 282, 232},	// QTestEventLoop::tr$$$
    {18, 284, 243},	// QTestEventLoop::trUtf8$
    {18, 285, 231},	// QTestEventLoop::trUtf8$$
    {18, 286, 233},	// QTestEventLoop::trUtf8$$$
    {18, 296, 246},	// QTestEventLoop::~QTestEventLoop
    {19, 45, 250},	// QTestKeyClicksEvent::QTestKeyClicksEvent#
    {19, 46, 247},	// QTestKeyClicksEvent::QTestKeyClicksEvent$$$
    {19, 129, 248},	// QTestKeyClicksEvent::clone
    {19, 266, 249},	// QTestKeyClicksEvent::simulate#
    {19, 297, 251},	// QTestKeyClicksEvent::~QTestKeyClicksEvent
    {20, 48, 256},	// QTestKeyEvent::QTestKeyEvent#
    {20, 49, -85},	// QTestKeyEvent::QTestKeyEvent$$$$
    {20, 66, 257},	// QTestKeyEvent::_action
    {20, 67, 263},	// QTestKeyEvent::_ascii
    {20, 68, 259},	// QTestKeyEvent::_delay
    {20, 69, 265},	// QTestKeyEvent::_key
    {20, 70, 261},	// QTestKeyEvent::_modifiers
    {20, 129, 254},	// QTestKeyEvent::clone
    {20, 255, 258},	// QTestKeyEvent::set_action$
    {20, 257, 264},	// QTestKeyEvent::set_ascii$
    {20, 259, 260},	// QTestKeyEvent::set_delay$
    {20, 261, 266},	// QTestKeyEvent::set_key$
    {20, 263, 262},	// QTestKeyEvent::set_modifiers$
    {20, 266, 255},	// QTestKeyEvent::simulate#
    {20, 298, 267},	// QTestKeyEvent::~QTestKeyEvent
    {21, 51, 271},	// QTestMouseEvent::QTestMouseEvent#
    {21, 52, 268},	// QTestMouseEvent::QTestMouseEvent$$$#$
    {21, 129, 269},	// QTestMouseEvent::clone
    {21, 266, 270},	// QTestMouseEvent::simulate#
    {21, 299, 272},	// QTestMouseEvent::~QTestMouseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qttest_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qttest_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qttest_Smoke = new Smoke(
        "qttest",
        __smokeqttest::classes, 24,
        __smokeqttest::methods, 273,
        __smokeqttest::methodMaps, 235,
        __smokeqttest::methodNames, 299,
        __smokeqttest::types, 147,
        __smokeqttest::inheritanceList,
        __smokeqttest::argumentList,
        __smokeqttest::ambiguousMethodList,
        __smokeqttest::cast );
    initialized = true;
}

void delete_qttest_Smoke() { delete qttest_Smoke; }

}
