#include <solid_includes.h>

#include <smoke.h>
#include <solid_smoke.h>

namespace __smokesolid {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(QObject*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(QObject*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(QObject*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(QObject*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(QObject*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(QObject*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)(QObject*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(QObject*)xptr;
        case 39: return (void*)(Solid::Video*)(QObject*)xptr;
        case 32: return (void*)(Solid::Processor*)(QObject*)xptr;
        case 13: return (void*)(Solid::Battery*)(QObject*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(QObject*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(QObject*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(QObject*)xptr;
        case 15: return (void*)(Solid::Button*)(QObject*)xptr;
        case 14: return (void*)(Solid::Block*)(QObject*)xptr;
        case 16: return (void*)(Solid::Camera*)(QObject*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(QObject*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTimerEvent
      switch(to) {
        case 8: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QVariant
      switch(to) {
        case 9: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 11:   //Solid::AcAdapter
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AcAdapter*)xptr;
        case 6: return (void*)(QObject*)(Solid::AcAdapter*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)xptr;
        default: return xptr;
      }
    case 12:   //Solid::AudioInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AudioInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::AudioInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)xptr;
        default: return xptr;
      }
    case 13:   //Solid::Battery
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Battery*)xptr;
        case 6: return (void*)(QObject*)(Solid::Battery*)xptr;
        case 13: return (void*)(Solid::Battery*)xptr;
        default: return xptr;
      }
    case 14:   //Solid::Block
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Block*)xptr;
        case 6: return (void*)(QObject*)(Solid::Block*)xptr;
        case 14: return (void*)(Solid::Block*)xptr;
        default: return xptr;
      }
    case 15:   //Solid::Button
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Button*)xptr;
        case 6: return (void*)(QObject*)(Solid::Button*)xptr;
        case 15: return (void*)(Solid::Button*)xptr;
        default: return xptr;
      }
    case 16:   //Solid::Camera
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Camera*)xptr;
        case 6: return (void*)(QObject*)(Solid::Camera*)xptr;
        case 16: return (void*)(Solid::Camera*)xptr;
        default: return xptr;
      }
    case 17:   //Solid::Device
      switch(to) {
        case 17: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    case 18:   //Solid::DeviceInterface
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceInterface*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(Solid::DeviceInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(Solid::DeviceInterface*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(Solid::DeviceInterface*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(Solid::DeviceInterface*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(Solid::DeviceInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(Solid::DeviceInterface*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(Solid::DeviceInterface*)xptr;
        case 39: return (void*)(Solid::Video*)(Solid::DeviceInterface*)xptr;
        case 32: return (void*)(Solid::Processor*)(Solid::DeviceInterface*)xptr;
        case 13: return (void*)(Solid::Battery*)(Solid::DeviceInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(Solid::DeviceInterface*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::DeviceInterface*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(Solid::DeviceInterface*)xptr;
        case 15: return (void*)(Solid::Button*)(Solid::DeviceInterface*)xptr;
        case 14: return (void*)(Solid::Block*)(Solid::DeviceInterface*)xptr;
        case 16: return (void*)(Solid::Camera*)(Solid::DeviceInterface*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::DeviceInterface*)xptr;
        default: return xptr;
      }
    case 19:   //Solid::DeviceInterfacePrivate
      switch(to) {
        case 19: return (void*)(Solid::DeviceInterfacePrivate*)xptr;
        default: return xptr;
      }
    case 20:   //Solid::DeviceNotifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceNotifier*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)xptr;
        default: return xptr;
      }
    case 21:   //Solid::DvbInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::DvbInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::DvbInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Solid::GenericInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::GenericInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::GenericInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)xptr;
        default: return xptr;
      }
    case 23:   //Solid::NetworkInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::NetworkInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::NetworkInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)xptr;
        default: return xptr;
      }
    case 25:   //Solid::Networking::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::Networking::Notifier*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)xptr;
        default: return xptr;
      }
    case 26:   //Solid::OpticalDisc
      switch(to) {
        case 37: return (void*)(Solid::StorageVolume*)(Solid::OpticalDisc*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDisc*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDisc*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)xptr;
        default: return xptr;
      }
    case 27:   //Solid::OpticalDrive
      switch(to) {
        case 35: return (void*)(Solid::StorageDrive*)(Solid::OpticalDrive*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)xptr;
        default: return xptr;
      }
    case 28:   //Solid::PortableMediaPlayer
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::PortableMediaPlayer*)xptr;
        case 6: return (void*)(QObject*)(Solid::PortableMediaPlayer*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)xptr;
        default: return xptr;
      }
    case 30:   //Solid::PowerManagement::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::PowerManagement::Notifier*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)xptr;
        default: return xptr;
      }
    case 31:   //Solid::Predicate
      switch(to) {
        case 31: return (void*)(Solid::Predicate*)xptr;
        default: return xptr;
      }
    case 32:   //Solid::Processor
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Processor*)xptr;
        case 6: return (void*)(QObject*)(Solid::Processor*)xptr;
        case 32: return (void*)(Solid::Processor*)xptr;
        default: return xptr;
      }
    case 33:   //Solid::StorageAccess
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageAccess*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageAccess*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)xptr;
        default: return xptr;
      }
    case 34:   //Solid::StorageAccessPrivate
      switch(to) {
        case 34: return (void*)(Solid::StorageAccessPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Solid::StorageDrive
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageDrive*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::StorageDrive*)xptr;
        default: return xptr;
      }
    case 36:   //Solid::StorageDrivePrivate
      switch(to) {
        case 36: return (void*)(Solid::StorageDrivePrivate*)xptr;
        default: return xptr;
      }
    case 37:   //Solid::StorageVolume
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageVolume*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageVolume*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::StorageVolume*)xptr;
        default: return xptr;
      }
    case 38:   //Solid::StorageVolumePrivate
      switch(to) {
        case 38: return (void*)(Solid::StorageVolumePrivate*)xptr;
        default: return xptr;
      }
    case 39:   //Solid::Video
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Video*)xptr;
        case 6: return (void*)(QObject*)(Solid::Video*)xptr;
        case 39: return (void*)(Solid::Video*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    18, 0,	// 1: Solid::DeviceInterface
    6, 0,	// 3: QObject
    37, 0,	// 5: Solid::StorageVolume
    35, 0,	// 7: Solid::StorageDrive
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Predicate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DeviceInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Processor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Button(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DvbInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Battery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__GenericInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__AudioInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDisc(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageVolume(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AcAdapter(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AudioInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Battery(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Block(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Camera(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Device(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DvbInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__GenericInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__NetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDisc(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PortableMediaPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Predicate(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Processor(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageAccess(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageVolume(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Video(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QVariant", true, 0, 0, 0, 0, 0 },	//9
    { "Solid", false, 0, xcall_Solid, 0, Smoke::cf_namespace, 0 },	//10
    { "Solid::AcAdapter", false, 1, xcall_Solid__AcAdapter, 0, Smoke::cf_virtual, sizeof(Solid::AcAdapter) },	//11
    { "Solid::AudioInterface", false, 1, xcall_Solid__AudioInterface, xenum_Solid__AudioInterface, Smoke::cf_virtual, sizeof(Solid::AudioInterface) },	//12
    { "Solid::Battery", false, 1, xcall_Solid__Battery, xenum_Solid__Battery, Smoke::cf_virtual, sizeof(Solid::Battery) },	//13
    { "Solid::Block", false, 1, xcall_Solid__Block, 0, Smoke::cf_virtual, sizeof(Solid::Block) },	//14
    { "Solid::Button", false, 1, xcall_Solid__Button, xenum_Solid__Button, Smoke::cf_virtual, sizeof(Solid::Button) },	//15
    { "Solid::Camera", false, 1, xcall_Solid__Camera, 0, Smoke::cf_virtual, sizeof(Solid::Camera) },	//16
    { "Solid::Device", false, 0, xcall_Solid__Device, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Device) },	//17
    { "Solid::DeviceInterface", false, 3, xcall_Solid__DeviceInterface, xenum_Solid__DeviceInterface, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceInterface) },	//18
    { "Solid::DeviceInterfacePrivate", true, 0, 0, 0, 0, 0 },	//19
    { "Solid::DeviceNotifier", false, 3, xcall_Solid__DeviceNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceNotifier) },	//20
    { "Solid::DvbInterface", false, 1, xcall_Solid__DvbInterface, xenum_Solid__DvbInterface, Smoke::cf_virtual, sizeof(Solid::DvbInterface) },	//21
    { "Solid::GenericInterface", false, 1, xcall_Solid__GenericInterface, xenum_Solid__GenericInterface, Smoke::cf_virtual, sizeof(Solid::GenericInterface) },	//22
    { "Solid::NetworkInterface", false, 1, xcall_Solid__NetworkInterface, 0, Smoke::cf_virtual, sizeof(Solid::NetworkInterface) },	//23
    { "Solid::Networking", false, 0, xcall_Solid__Networking, 0, Smoke::cf_namespace, 0 },	//24
    { "Solid::Networking::Notifier", true, 0, 0, 0, 0, 0 },	//25
    { "Solid::OpticalDisc", false, 5, xcall_Solid__OpticalDisc, xenum_Solid__OpticalDisc, Smoke::cf_virtual, sizeof(Solid::OpticalDisc) },	//26
    { "Solid::OpticalDrive", false, 7, xcall_Solid__OpticalDrive, xenum_Solid__OpticalDrive, Smoke::cf_virtual, sizeof(Solid::OpticalDrive) },	//27
    { "Solid::PortableMediaPlayer", false, 1, xcall_Solid__PortableMediaPlayer, 0, Smoke::cf_virtual, sizeof(Solid::PortableMediaPlayer) },	//28
    { "Solid::PowerManagement", false, 0, xcall_Solid__PowerManagement, 0, Smoke::cf_namespace, 0 },	//29
    { "Solid::PowerManagement::Notifier", true, 0, 0, 0, 0, 0 },	//30
    { "Solid::Predicate", false, 0, xcall_Solid__Predicate, xenum_Solid__Predicate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Predicate) },	//31
    { "Solid::Processor", false, 1, xcall_Solid__Processor, xenum_Solid__Processor, Smoke::cf_virtual, sizeof(Solid::Processor) },	//32
    { "Solid::StorageAccess", false, 1, xcall_Solid__StorageAccess, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageAccess) },	//33
    { "Solid::StorageAccessPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Solid::StorageDrive", false, 1, xcall_Solid__StorageDrive, xenum_Solid__StorageDrive, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageDrive) },	//35
    { "Solid::StorageDrivePrivate", true, 0, 0, 0, 0, 0 },	//36
    { "Solid::StorageVolume", false, 1, xcall_Solid__StorageVolume, xenum_Solid__StorageVolume, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageVolume) },	//37
    { "Solid::StorageVolumePrivate", true, 0, 0, 0, 0, 0 },	//38
    { "Solid::Video", false, 1, xcall_Solid__Video, 0, Smoke::cf_virtual, sizeof(Solid::Video) },	//39
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QList<Solid::Device>", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//9
    { "QSet<Solid::DeviceInterface::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QSet<Solid::PowerManagement::SleepState>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//14
    { "QTimerEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QVariant", 9, Smoke::t_class|Smoke::tf_stack },	//16
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QtValidLicenseForActiveQtModule", 4, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QtValidLicenseForCoreModule", 4, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QtValidLicenseForDBusModule", 4, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtValidLicenseForDeclarativeModule", 4, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QtValidLicenseForGuiModule", 4, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QtValidLicenseForHelpModule", 4, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QtValidLicenseForMultimediaModule", 4, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QtValidLicenseForNetworkModule", 4, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QtValidLicenseForOpenGLModule", 4, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QtValidLicenseForOpenVGModule", 4, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QtValidLicenseForQt3SupportLightModule", 4, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QtValidLicenseForQt3SupportModule", 4, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QtValidLicenseForScriptModule", 4, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QtValidLicenseForScriptToolsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QtValidLicenseForSqlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QtValidLicenseForSvgModule", 4, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QtValidLicenseForTestModule", 4, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtValidLicenseForXmlModule", 4, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtValidLicenseForXmlPatternsModule", 4, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Solid::AudioInterface::AudioDriver", 12, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Solid::AudioInterface::AudioInterfaceType", 12, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Solid::AudioInterface::AudioInterfaceTypes", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "Solid::AudioInterface::SoundcardType", 12, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Solid::Battery::BatteryType", 13, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Solid::Battery::ChargeState", 13, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Solid::Button::ButtonType", 15, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Solid::Device", 17, Smoke::t_class|Smoke::tf_stack },	//115
    { "Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref },	//116
    { "Solid::Device*", 17, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Solid::DeviceInterface::Type", 18, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Solid::DeviceInterfacePrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//120
    { "Solid::DeviceNotifier*", 20, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Solid::DvbInterface::DeviceType", 21, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Solid::ErrorType", 10, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Solid::GenericInterface::PropertyChange", 22, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Solid::Networking::ManagementPolicy", 24, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Solid::Networking::Notifier*", 25, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Solid::Networking::Status", 24, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Solid::OpticalDisc::ContentType", 26, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Solid::OpticalDisc::ContentTypes", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "Solid::OpticalDisc::DiscType", 26, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Solid::OpticalDrive::MediumType", 27, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Solid::OpticalDrive::MediumTypes", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "Solid::PowerManagement::Notifier*", 30, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Solid::PowerManagement::SleepState", 29, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Solid::Predicate", 31, Smoke::t_class|Smoke::tf_stack },	//135
    { "Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref },	//136
    { "Solid::Predicate*", 31, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Solid::Predicate::ComparisonOperator", 31, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Solid::Predicate::Type", 31, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Solid::Processor::InstructionSet", 32, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Solid::Processor::InstructionSets", 0, Smoke::t_uint|Smoke::tf_stack },	//141
    { "Solid::StorageAccess*", 33, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Solid::StorageAccessPrivate&", 34, Smoke::t_class|Smoke::tf_ref },	//143
    { "Solid::StorageDrive*", 35, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Solid::StorageDrive::Bus", 35, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Solid::StorageDrive::DriveType", 35, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Solid::StorageDrivePrivate&", 36, Smoke::t_class|Smoke::tf_ref },	//147
    { "Solid::StorageVolume*", 37, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Solid::StorageVolume::UsageType", 37, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Solid::StorageVolumePrivate&", 38, Smoke::t_class|Smoke::tf_ref },	//150
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//151
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//152
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//153
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//154
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//155
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//156
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//157
    { "const QVariant&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//160
    { "const Solid::DeviceInterface::Type&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//163
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//164
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//165
    { "unsigned long long", 0, Smoke::t_ulong|Smoke::tf_stack },	//166
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//167
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//168
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    8, 3, 0,	//3  QObject*, QEvent*
    15, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    163, 0,	//10  const char*
    163, 163, 0,	//12  const char*, const char*
    163, 163, 164, 0,	//15  const char*, const char*, int
    7, 164, 168, 0,	//19  QMetaObject::Call, int, void**
    151, 156, 0,	//23  bool, const QString&
    164, 156, 0,	//26  int, const QString&
    114, 156, 0,	//29  Solid::Button::ButtonType, const QString&
    12, 0,	//32  QString
    156, 0,	//34  const QString&
    161, 156, 0,	//36  const Solid::DeviceInterface::Type&, const QString&
    162, 156, 0,	//39  const Solid::Predicate&, const QString&
    156, 156, 0,	//42  const QString&, const QString&
    159, 0,	//45  const Solid::Device&
    161, 0,	//47  const Solid::DeviceInterface::Type&
    162, 0,	//49  const Solid::Predicate&
    119, 0,	//51  Solid::DeviceInterface::Type
    120, 8, 0,	//53  Solid::DeviceInterfacePrivate&, QObject*
    152, 0,	//56  const QMap<QString,int>&
    123, 16, 156, 0,	//58  Solid::ErrorType, QVariant, const QString&
    164, 0,	//62  int
    134, 8, 163, 0,	//64  Solid::PowerManagement::SleepState, QObject*, const char*
    161, 156, 158, 138, 0,	//68  const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    156, 156, 158, 138, 0,	//73  const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    161, 156, 158, 0,	//78  const Solid::DeviceInterface::Type&, const QString&, const QVariant&
    156, 156, 158, 0,	//82  const QString&, const QString&, const QVariant&
    143, 8, 0,	//86  Solid::StorageAccessPrivate&, QObject*
    147, 8, 0,	//89  Solid::StorageDrivePrivate&, QObject*
    150, 8, 0,	//92  Solid::StorageVolumePrivate&, QObject*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcAdapter",	//1
    "Alsa",	//2
    "AltiVec",	//3
    "Amd3DNow",	//4
    "Audio",	//5
    "AudioControl",	//6
    "AudioInput",	//7
    "AudioInterface",	//8
    "AudioOutput",	//9
    "Battery",	//10
    "Bd",	//11
    "Bdr",	//12
    "Bdre",	//13
    "Block",	//14
    "BluRayRecordable",	//15
    "BluRayRewritable",	//16
    "BluRayRom",	//17
    "Button",	//18
    "Camera",	//19
    "CameraBattery",	//20
    "CdRecordable",	//21
    "CdRewritable",	//22
    "CdRom",	//23
    "Cdr",	//24
    "CdromDrive",	//25
    "Cdrw",	//26
    "Charging",	//27
    "CompactFlash",	//28
    "Conjunction",	//29
    "Connected",	//30
    "Connecting",	//31
    "Data",	//32
    "Device",	//33
    "Device#",	//34
    "Device$",	//35
    "DeviceInterface",	//36
    "DeviceInterface##",	//37
    "DeviceNotifier",	//38
    "Discharging",	//39
    "Disconnecting",	//40
    "Disjunction",	//41
    "DvbAudio",	//42
    "DvbCa",	//43
    "DvbDemux",	//44
    "DvbDvr",	//45
    "DvbFrontend",	//46
    "DvbInterface",	//47
    "DvbNet",	//48
    "DvbOsd",	//49
    "DvbSec",	//50
    "DvbUnknown",	//51
    "DvbVideo",	//52
    "Dvd",	//53
    "DvdPlusRecordable",	//54
    "DvdPlusRecordableDuallayer",	//55
    "DvdPlusRewritable",	//56
    "DvdPlusRewritableDuallayer",	//57
    "DvdRam",	//58
    "DvdRecordable",	//59
    "DvdRewritable",	//60
    "DvdRom",	//61
    "Dvdplusdl",	//62
    "Dvdplusdlrw",	//63
    "Dvdplusr",	//64
    "Dvdplusrw",	//65
    "Dvdr",	//66
    "Dvdram",	//67
    "Dvdrw",	//68
    "Encrypted",	//69
    "Equals",	//70
    "FileSystem",	//71
    "FirewireSoundcard",	//72
    "Floppy",	//73
    "GenericInterface",	//74
    "HardDisk",	//75
    "HdDvd",	//76
    "HdDvdRecordable",	//77
    "HdDvdRewritable",	//78
    "HdDvdRom",	//79
    "HdDvdr",	//80
    "HdDvdrw",	//81
    "Headset",	//82
    "HibernateState",	//83
    "Ide",	//84
    "Ieee1394",	//85
    "IntelMmx",	//86
    "IntelSse",	//87
    "IntelSse2",	//88
    "IntelSse3",	//89
    "IntelSse4",	//90
    "InterfaceCheck",	//91
    "InternalSoundcard",	//92
    "KeyboardBattery",	//93
    "KeyboardMouseBattery",	//94
    "Last",	//95
    "LicensedActiveQt",	//96
    "LicensedCore",	//97
    "LicensedDBus",	//98
    "LicensedDeclarative",	//99
    "LicensedGui",	//100
    "LicensedHelp",	//101
    "LicensedMultimedia",	//102
    "LicensedNetwork",	//103
    "LicensedOpenGL",	//104
    "LicensedOpenVG",	//105
    "LicensedQt3Support",	//106
    "LicensedQt3SupportLight",	//107
    "LicensedScript",	//108
    "LicensedScriptTools",	//109
    "LicensedSql",	//110
    "LicensedSvg",	//111
    "LicensedTest",	//112
    "LicensedXml",	//113
    "LicensedXmlPatterns",	//114
    "LidButton",	//115
    "Managed",	//116
    "Manual",	//117
    "Mask",	//118
    "MemoryStick",	//119
    "Modem",	//120
    "MouseBattery",	//121
    "NetworkInterface",	//122
    "NoCharge",	//123
    "NoError",	//124
    "NoExtensions",	//125
    "OnNextStatusChange",	//126
    "OpenSoundSystem",	//127
    "OpticalDisc",	//128
    "OpticalDrive",	//129
    "Other",	//130
    "PartitionTable",	//131
    "PdaBattery",	//132
    "Platform",	//133
    "PortableMediaPlayer",	//134
    "PowerButton",	//135
    "Predicate",	//136
    "Predicate#",	//137
    "Predicate$",	//138
    "Predicate$$#",	//139
    "Predicate$$#$",	//140
    "PrimaryBattery",	//141
    "Processor",	//142
    "PropertyAdded",	//143
    "PropertyCheck",	//144
    "PropertyModified",	//145
    "PropertyRemoved",	//146
    "Q_COMPLEX_TYPE",	//147
    "Q_DUMMY_TYPE",	//148
    "Q_MOVABLE_TYPE",	//149
    "Q_PRIMITIVE_TYPE",	//150
    "Q_STATIC_TYPE",	//151
    "QtCriticalMsg",	//152
    "QtDebugMsg",	//153
    "QtFatalMsg",	//154
    "QtSystemMsg",	//155
    "QtWarningMsg",	//156
    "Raid",	//157
    "Sata",	//158
    "Scsi",	//159
    "SdMmc",	//160
    "SerialInterface",	//161
    "SleepButton",	//162
    "SmartCardReader",	//163
    "SmartMedia",	//164
    "StandbyState",	//165
    "StorageAccess",	//166
    "StorageAccess##",	//167
    "StorageDrive",	//168
    "StorageDrive##",	//169
    "StorageVolume",	//170
    "StorageVolume##",	//171
    "SuperVideoCd",	//172
    "SuspendState",	//173
    "TabletButton",	//174
    "Tape",	//175
    "UnauthorizedOperation",	//176
    "Unconnected",	//177
    "Unknown",	//178
    "UnknownAudioDriver",	//179
    "UnknownAudioInterfaceType",	//180
    "UnknownBattery",	//181
    "UnknownButtonType",	//182
    "UnknownDiscType",	//183
    "Unused",	//184
    "UpsBattery",	//185
    "Usb",	//186
    "UsbSoundcard",	//187
    "Video",	//188
    "VideoCd",	//189
    "VideoDvd",	//190
    "Xd",	//191
    "accessibilityChanged",	//192
    "accessibilityChanged$$",	//193
    "allDevices",	//194
    "allProperties",	//195
    "appShouldConserveResources",	//196
    "asDeviceInterface",	//197
    "asDeviceInterface$",	//198
    "availableContent",	//199
    "beginSuppressingSleep",	//200
    "beginSuppressingSleep$",	//201
    "bus",	//202
    "canChangeFrequency",	//203
    "capacity",	//204
    "chargePercent",	//205
    "chargePercentChanged",	//206
    "chargePercentChanged$$",	//207
    "chargeState",	//208
    "chargeStateChanged",	//209
    "chargeStateChanged$$",	//210
    "childEvent",	//211
    "comparisonOperator",	//212
    "conditionRaised",	//213
    "conditionRaised$$",	//214
    "connectNotify",	//215
    "customEvent",	//216
    "description",	//217
    "device",	//218
    "deviceAdapter",	//219
    "deviceAdded",	//220
    "deviceAdded$",	//221
    "deviceIndex",	//222
    "deviceInterfaceType",	//223
    "deviceMajor",	//224
    "deviceMinor",	//225
    "deviceRemoved",	//226
    "deviceRemoved$",	//227
    "deviceType",	//228
    "discType",	//229
    "disconnectNotify",	//230
    "driveType",	//231
    "driver",	//232
    "driverHandle",	//233
    "driverHandle$",	//234
    "eject",	//235
    "ejectDone",	//236
    "ejectDone$#$",	//237
    "ejectPressed",	//238
    "ejectPressed$",	//239
    "emblems",	//240
    "encryptedContainer",	//241
    "event",	//242
    "eventFilter",	//243
    "filePath",	//244
    "firstOperand",	//245
    "fromString",	//246
    "fromString$",	//247
    "fsType",	//248
    "hasState",	//249
    "hwAddress",	//250
    "icon",	//251
    "ifaceName",	//252
    "instance",	//253
    "instructionSets",	//254
    "interfaceType",	//255
    "isAccessible",	//256
    "isAppendable",	//257
    "isBlank",	//258
    "isDeviceInterface",	//259
    "isDeviceInterface$",	//260
    "isHotpluggable",	//261
    "isIgnored",	//262
    "isPlugged",	//263
    "isRechargeable",	//264
    "isRemovable",	//265
    "isRewritable",	//266
    "isValid",	//267
    "isWireless",	//268
    "label",	//269
    "listFromQuery",	//270
    "listFromQuery#",	//271
    "listFromQuery#$",	//272
    "listFromQuery$",	//273
    "listFromQuery$$",	//274
    "listFromType",	//275
    "listFromType$",	//276
    "listFromType$$",	//277
    "macAddress",	//278
    "matches",	//279
    "matches#",	//280
    "matchingValue",	//281
    "maxSpeed",	//282
    "metaObject",	//283
    "name",	//284
    "notifier",	//285
    "number",	//286
    "operator&",	//287
    "operator&#",	//288
    "operator&=",	//289
    "operator&=#",	//290
    "operator=",	//291
    "operator=#",	//292
    "operator|",	//293
    "operator|#",	//294
    "operator|=",	//295
    "operator|=#",	//296
    "parent",	//297
    "parentUdi",	//298
    "plugStateChanged",	//299
    "plugStateChanged$$",	//300
    "pressed",	//301
    "pressed$$",	//302
    "product",	//303
    "property",	//304
    "property$",	//305
    "propertyChanged",	//306
    "propertyChanged?",	//307
    "propertyExists",	//308
    "propertyExists$",	//309
    "propertyName",	//310
    "qt_metacall",	//311
    "qt_metacall$$?",	//312
    "qt_metacast",	//313
    "qt_metacast$",	//314
    "readSpeed",	//315
    "requestSleep",	//316
    "requestSleep$#$",	//317
    "secondOperand",	//318
    "setup",	//319
    "setupDone",	//320
    "setupDone$#$",	//321
    "size",	//322
    "soundcardType",	//323
    "stateValue",	//324
    "staticMetaObject",	//325
    "status",	//326
    "stopSuppressingSleep",	//327
    "stopSuppressingSleep$",	//328
    "stringToType",	//329
    "stringToType$",	//330
    "supportedDrivers",	//331
    "supportedDrivers$",	//332
    "supportedMedia",	//333
    "supportedProtocols",	//334
    "supportedSleepStates",	//335
    "teardown",	//336
    "teardownDone",	//337
    "teardownDone$#$",	//338
    "timerEvent",	//339
    "toString",	//340
    "tr",	//341
    "tr$",	//342
    "tr$$",	//343
    "tr$$$",	//344
    "trUtf8",	//345
    "trUtf8$",	//346
    "trUtf8$$",	//347
    "trUtf8$$$",	//348
    "type",	//349
    "typeDescription",	//350
    "typeDescription$",	//351
    "typeToString",	//352
    "typeToString$",	//353
    "udi",	//354
    "usage",	//355
    "usedTypes",	//356
    "uuid",	//357
    "vendor",	//358
    "writeSpeed",	//359
    "writeSpeeds",	//360
    "~AcAdapter",	//361
    "~AudioInterface",	//362
    "~Battery",	//363
    "~Block",	//364
    "~Button",	//365
    "~Camera",	//366
    "~Device",	//367
    "~DeviceInterface",	//368
    "~DeviceNotifier",	//369
    "~DvbInterface",	//370
    "~GenericInterface",	//371
    "~NetworkInterface",	//372
    "~OpticalDisc",	//373
    "~OpticalDrive",	//374
    "~PortableMediaPlayer",	//375
    "~Predicate",	//376
    "~Processor",	//377
    "~StorageAccess",	//378
    "~StorageDrive",	//379
    "~StorageVolume",	//380
    "~Video",	//381
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 6},	//6 QGlobalSpace::LicensedGui (enum)
    {4, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 7},	//7 QGlobalSpace::LicensedXml (enum)
    {4, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 8},	//8 QGlobalSpace::LicensedQt3SupportLight (enum)
    {4, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 9},	//9 QGlobalSpace::LicensedScript (enum)
    {4, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 10},	//10 QGlobalSpace::LicensedOpenVG (enum)
    {4, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 11},	//11 QGlobalSpace::LicensedDBus (enum)
    {4, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 12},	//12 QGlobalSpace::LicensedTest (enum)
    {4, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 13},	//13 QGlobalSpace::LicensedActiveQt (enum)
    {4, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 14},	//14 QGlobalSpace::LicensedScriptTools (enum)
    {4, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 15},	//15 QGlobalSpace::LicensedSvg (enum)
    {4, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 16},	//16 QGlobalSpace::LicensedDeclarative (enum)
    {4, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 17},	//17 QGlobalSpace::LicensedSql (enum)
    {4, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 18},	//18 QGlobalSpace::LicensedOpenGL (enum)
    {4, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 19},	//19 QGlobalSpace::LicensedCore (enum)
    {4, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 20},	//20 QGlobalSpace::QtDebugMsg (enum)
    {4, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 21},	//21 QGlobalSpace::QtWarningMsg (enum)
    {4, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 22},	//22 QGlobalSpace::QtCriticalMsg (enum)
    {4, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 23},	//23 QGlobalSpace::QtFatalMsg (enum)
    {4, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 24},	//24 QGlobalSpace::QtSystemMsg (enum)
    {4, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 25},	//25 QGlobalSpace::LicensedHelp (enum)
    {4, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 26},	//26 QGlobalSpace::LicensedMultimedia (enum)
    {4, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 27},	//27 QGlobalSpace::LicensedQt3Support (enum)
    {4, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 28},	//28 QGlobalSpace::LicensedXmlPatterns (enum)
    {4, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 29},	//29 QGlobalSpace::LicensedNetwork (enum)
    {6, 242, 1, 1, Smoke::mf_virtual, 151, 0},	//30 QObject::event(QEvent*)
    {6, 243, 3, 2, Smoke::mf_virtual, 151, 0},	//31 QObject::eventFilter(QObject*, QEvent*)
    {6, 339, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QObject::timerEvent(QTimerEvent*)
    {6, 211, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//33 QObject::childEvent(QChildEvent*)
    {6, 216, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::customEvent(QEvent*)
    {6, 215, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::connectNotify(const char*)
    {6, 230, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::disconnectNotify(const char*)
    {10, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 1},	//37 Solid::NoError (enum)
    {10, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 2},	//38 Solid::UnauthorizedOperation (enum)
    {11, 283, 0, 0, Smoke::mf_const, 154, 1},	//39 Solid::AcAdapter::metaObject() const
    {11, 313, 10, 1, 0, 167, 2},	//40 Solid::AcAdapter::qt_metacast(const char*)
    {11, 341, 12, 2, Smoke::mf_static, 12, 3},	//41 Solid::AcAdapter::tr(const char*, const char*)
    {11, 345, 12, 2, Smoke::mf_static, 12, 4},	//42 Solid::AcAdapter::trUtf8(const char*, const char*)
    {11, 341, 15, 3, Smoke::mf_static, 12, 5},	//43 Solid::AcAdapter::tr(const char*, const char*, int)
    {11, 345, 15, 3, Smoke::mf_static, 12, 6},	//44 Solid::AcAdapter::trUtf8(const char*, const char*, int)
    {11, 311, 19, 3, 0, 164, 7},	//45 Solid::AcAdapter::qt_metacall(QMetaObject::Call, int, void**)
    {11, 223, 0, 0, Smoke::mf_static, 119, 8},	//46 Solid::AcAdapter::deviceInterfaceType()
    {11, 263, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//47 Solid::AcAdapter::isPlugged() const
    {11, 299, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//48 Solid::AcAdapter::plugStateChanged(bool, const QString&)
    {11, 341, 10, 1, Smoke::mf_static, 12, 11},	//49 Solid::AcAdapter::tr(const char*)
    {11, 345, 10, 1, Smoke::mf_static, 12, 12},	//50 Solid::AcAdapter::trUtf8(const char*)
    {11, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 13},	//51 Solid::AcAdapter::staticMetaObject() const
    {11, 361, 0, 0, Smoke::mf_dtor, 0, 14 },	//52 Solid::AcAdapter::~AcAdapter()
    {12, 283, 0, 0, Smoke::mf_const, 154, 1},	//53 Solid::AudioInterface::metaObject() const
    {12, 313, 10, 1, 0, 167, 2},	//54 Solid::AudioInterface::qt_metacast(const char*)
    {12, 341, 12, 2, Smoke::mf_static, 12, 3},	//55 Solid::AudioInterface::tr(const char*, const char*)
    {12, 345, 12, 2, Smoke::mf_static, 12, 4},	//56 Solid::AudioInterface::trUtf8(const char*, const char*)
    {12, 341, 15, 3, Smoke::mf_static, 12, 5},	//57 Solid::AudioInterface::tr(const char*, const char*, int)
    {12, 345, 15, 3, Smoke::mf_static, 12, 6},	//58 Solid::AudioInterface::trUtf8(const char*, const char*, int)
    {12, 311, 19, 3, 0, 164, 7},	//59 Solid::AudioInterface::qt_metacall(QMetaObject::Call, int, void**)
    {12, 223, 0, 0, Smoke::mf_static, 119, 8},	//60 Solid::AudioInterface::deviceInterfaceType()
    {12, 232, 0, 0, Smoke::mf_const|Smoke::mf_property, 108, 9},	//61 Solid::AudioInterface::driver() const
    {12, 233, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 10},	//62 Solid::AudioInterface::driverHandle() const
    {12, 284, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 11},	//63 Solid::AudioInterface::name() const
    {12, 228, 0, 0, Smoke::mf_const|Smoke::mf_property, 110, 12},	//64 Solid::AudioInterface::deviceType() const
    {12, 323, 0, 0, Smoke::mf_const|Smoke::mf_property, 111, 13},	//65 Solid::AudioInterface::soundcardType() const
    {12, 341, 10, 1, Smoke::mf_static, 12, 14},	//66 Solid::AudioInterface::tr(const char*)
    {12, 345, 10, 1, Smoke::mf_static, 12, 15},	//67 Solid::AudioInterface::trUtf8(const char*)
    {12, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 16},	//68 Solid::AudioInterface::staticMetaObject() const
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 17},	//69 Solid::AudioInterface::Alsa (enum)
    {12, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 18},	//70 Solid::AudioInterface::OpenSoundSystem (enum)
    {12, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 19},	//71 Solid::AudioInterface::UnknownAudioDriver (enum)
    {12, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 20},	//72 Solid::AudioInterface::UnknownAudioInterfaceType (enum)
    {12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 21},	//73 Solid::AudioInterface::AudioControl (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 22},	//74 Solid::AudioInterface::AudioInput (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 23},	//75 Solid::AudioInterface::AudioOutput (enum)
    {12, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 24},	//76 Solid::AudioInterface::InternalSoundcard (enum)
    {12, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 25},	//77 Solid::AudioInterface::UsbSoundcard (enum)
    {12, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 26},	//78 Solid::AudioInterface::FirewireSoundcard (enum)
    {12, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 27},	//79 Solid::AudioInterface::Headset (enum)
    {12, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 28},	//80 Solid::AudioInterface::Modem (enum)
    {12, 362, 0, 0, Smoke::mf_dtor, 0, 29 },	//81 Solid::AudioInterface::~AudioInterface()
    {13, 283, 0, 0, Smoke::mf_const, 154, 1},	//82 Solid::Battery::metaObject() const
    {13, 313, 10, 1, 0, 167, 2},	//83 Solid::Battery::qt_metacast(const char*)
    {13, 341, 12, 2, Smoke::mf_static, 12, 3},	//84 Solid::Battery::tr(const char*, const char*)
    {13, 345, 12, 2, Smoke::mf_static, 12, 4},	//85 Solid::Battery::trUtf8(const char*, const char*)
    {13, 341, 15, 3, Smoke::mf_static, 12, 5},	//86 Solid::Battery::tr(const char*, const char*, int)
    {13, 345, 15, 3, Smoke::mf_static, 12, 6},	//87 Solid::Battery::trUtf8(const char*, const char*, int)
    {13, 311, 19, 3, 0, 164, 7},	//88 Solid::Battery::qt_metacall(QMetaObject::Call, int, void**)
    {13, 223, 0, 0, Smoke::mf_static, 119, 8},	//89 Solid::Battery::deviceInterfaceType()
    {13, 263, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//90 Solid::Battery::isPlugged() const
    {13, 349, 0, 0, Smoke::mf_const|Smoke::mf_property, 112, 10},	//91 Solid::Battery::type() const
    {13, 205, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 11},	//92 Solid::Battery::chargePercent() const
    {13, 264, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 12},	//93 Solid::Battery::isRechargeable() const
    {13, 208, 0, 0, Smoke::mf_const|Smoke::mf_property, 113, 13},	//94 Solid::Battery::chargeState() const
    {13, 206, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//95 Solid::Battery::chargePercentChanged(int, const QString&)
    {13, 209, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//96 Solid::Battery::chargeStateChanged(int, const QString&)
    {13, 299, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//97 Solid::Battery::plugStateChanged(bool, const QString&)
    {13, 341, 10, 1, Smoke::mf_static, 12, 17},	//98 Solid::Battery::tr(const char*)
    {13, 345, 10, 1, Smoke::mf_static, 12, 18},	//99 Solid::Battery::trUtf8(const char*)
    {13, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 19},	//100 Solid::Battery::staticMetaObject() const
    {13, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 20},	//101 Solid::Battery::UnknownBattery (enum)
    {13, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 21},	//102 Solid::Battery::PdaBattery (enum)
    {13, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 22},	//103 Solid::Battery::UpsBattery (enum)
    {13, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 23},	//104 Solid::Battery::PrimaryBattery (enum)
    {13, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 24},	//105 Solid::Battery::MouseBattery (enum)
    {13, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 25},	//106 Solid::Battery::KeyboardBattery (enum)
    {13, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 26},	//107 Solid::Battery::KeyboardMouseBattery (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 27},	//108 Solid::Battery::CameraBattery (enum)
    {13, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 28},	//109 Solid::Battery::NoCharge (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 29},	//110 Solid::Battery::Charging (enum)
    {13, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 30},	//111 Solid::Battery::Discharging (enum)
    {13, 363, 0, 0, Smoke::mf_dtor, 0, 31 },	//112 Solid::Battery::~Battery()
    {14, 283, 0, 0, Smoke::mf_const, 154, 1},	//113 Solid::Block::metaObject() const
    {14, 313, 10, 1, 0, 167, 2},	//114 Solid::Block::qt_metacast(const char*)
    {14, 341, 12, 2, Smoke::mf_static, 12, 3},	//115 Solid::Block::tr(const char*, const char*)
    {14, 345, 12, 2, Smoke::mf_static, 12, 4},	//116 Solid::Block::trUtf8(const char*, const char*)
    {14, 341, 15, 3, Smoke::mf_static, 12, 5},	//117 Solid::Block::tr(const char*, const char*, int)
    {14, 345, 15, 3, Smoke::mf_static, 12, 6},	//118 Solid::Block::trUtf8(const char*, const char*, int)
    {14, 311, 19, 3, 0, 164, 7},	//119 Solid::Block::qt_metacall(QMetaObject::Call, int, void**)
    {14, 223, 0, 0, Smoke::mf_static, 119, 8},	//120 Solid::Block::deviceInterfaceType()
    {14, 224, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 9},	//121 Solid::Block::deviceMajor() const
    {14, 225, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 10},	//122 Solid::Block::deviceMinor() const
    {14, 218, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 11},	//123 Solid::Block::device() const
    {14, 341, 10, 1, Smoke::mf_static, 12, 12},	//124 Solid::Block::tr(const char*)
    {14, 345, 10, 1, Smoke::mf_static, 12, 13},	//125 Solid::Block::trUtf8(const char*)
    {14, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 14},	//126 Solid::Block::staticMetaObject() const
    {14, 364, 0, 0, Smoke::mf_dtor, 0, 15 },	//127 Solid::Block::~Block()
    {15, 283, 0, 0, Smoke::mf_const, 154, 1},	//128 Solid::Button::metaObject() const
    {15, 313, 10, 1, 0, 167, 2},	//129 Solid::Button::qt_metacast(const char*)
    {15, 341, 12, 2, Smoke::mf_static, 12, 3},	//130 Solid::Button::tr(const char*, const char*)
    {15, 345, 12, 2, Smoke::mf_static, 12, 4},	//131 Solid::Button::trUtf8(const char*, const char*)
    {15, 341, 15, 3, Smoke::mf_static, 12, 5},	//132 Solid::Button::tr(const char*, const char*, int)
    {15, 345, 15, 3, Smoke::mf_static, 12, 6},	//133 Solid::Button::trUtf8(const char*, const char*, int)
    {15, 311, 19, 3, 0, 164, 7},	//134 Solid::Button::qt_metacall(QMetaObject::Call, int, void**)
    {15, 223, 0, 0, Smoke::mf_static, 119, 8},	//135 Solid::Button::deviceInterfaceType()
    {15, 349, 0, 0, Smoke::mf_const|Smoke::mf_property, 114, 9},	//136 Solid::Button::type() const
    {15, 249, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 10},	//137 Solid::Button::hasState() const
    {15, 324, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//138 Solid::Button::stateValue() const
    {15, 301, 29, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//139 Solid::Button::pressed(Solid::Button::ButtonType, const QString&)
    {15, 341, 10, 1, Smoke::mf_static, 12, 13},	//140 Solid::Button::tr(const char*)
    {15, 345, 10, 1, Smoke::mf_static, 12, 14},	//141 Solid::Button::trUtf8(const char*)
    {15, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//142 Solid::Button::staticMetaObject() const
    {15, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 16},	//143 Solid::Button::LidButton (enum)
    {15, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 17},	//144 Solid::Button::PowerButton (enum)
    {15, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 18},	//145 Solid::Button::SleepButton (enum)
    {15, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 19},	//146 Solid::Button::UnknownButtonType (enum)
    {15, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 20},	//147 Solid::Button::TabletButton (enum)
    {15, 365, 0, 0, Smoke::mf_dtor, 0, 21 },	//148 Solid::Button::~Button()
    {16, 283, 0, 0, Smoke::mf_const, 154, 1},	//149 Solid::Camera::metaObject() const
    {16, 313, 10, 1, 0, 167, 2},	//150 Solid::Camera::qt_metacast(const char*)
    {16, 341, 12, 2, Smoke::mf_static, 12, 3},	//151 Solid::Camera::tr(const char*, const char*)
    {16, 345, 12, 2, Smoke::mf_static, 12, 4},	//152 Solid::Camera::trUtf8(const char*, const char*)
    {16, 341, 15, 3, Smoke::mf_static, 12, 5},	//153 Solid::Camera::tr(const char*, const char*, int)
    {16, 345, 15, 3, Smoke::mf_static, 12, 6},	//154 Solid::Camera::trUtf8(const char*, const char*, int)
    {16, 311, 19, 3, 0, 164, 7},	//155 Solid::Camera::qt_metacall(QMetaObject::Call, int, void**)
    {16, 223, 0, 0, Smoke::mf_static, 119, 8},	//156 Solid::Camera::deviceInterfaceType()
    {16, 334, 0, 0, Smoke::mf_const|Smoke::mf_property, 13, 9},	//157 Solid::Camera::supportedProtocols() const
    {16, 331, 32, 1, Smoke::mf_const, 13, 10},	//158 Solid::Camera::supportedDrivers(QString) const
    {16, 233, 34, 1, Smoke::mf_const, 16, 11},	//159 Solid::Camera::driverHandle(const QString&) const
    {16, 341, 10, 1, Smoke::mf_static, 12, 12},	//160 Solid::Camera::tr(const char*)
    {16, 345, 10, 1, Smoke::mf_static, 12, 13},	//161 Solid::Camera::trUtf8(const char*)
    {16, 331, 0, 0, Smoke::mf_const, 13, 14},	//162 Solid::Camera::supportedDrivers() const
    {16, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//163 Solid::Camera::staticMetaObject() const
    {16, 366, 0, 0, Smoke::mf_dtor, 0, 16 },	//164 Solid::Camera::~Camera()
    {17, 194, 0, 0, Smoke::mf_static, 4, 1},	//165 Solid::Device::allDevices()
    {17, 275, 36, 2, Smoke::mf_static, 4, 2},	//166 Solid::Device::listFromType(const Solid::DeviceInterface::Type&, const QString&)
    {17, 270, 39, 2, Smoke::mf_static, 4, 3},	//167 Solid::Device::listFromQuery(const Solid::Predicate&, const QString&)
    {17, 270, 42, 2, Smoke::mf_static, 4, 4},	//168 Solid::Device::listFromQuery(const QString&, const QString&)
    {17, 33, 34, 1, Smoke::mf_ctor, 117, 5},	//169 Solid::Device::Device(const QString&)
    {17, 33, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 6},	//170 Solid::Device::Device(const Solid::Device&)
    {17, 291, 45, 1, 0, 116, 7},	//171 Solid::Device::operator=(const Solid::Device&)
    {17, 267, 0, 0, Smoke::mf_const, 151, 8},	//172 Solid::Device::isValid() const
    {17, 354, 0, 0, Smoke::mf_const, 12, 9},	//173 Solid::Device::udi() const
    {17, 298, 0, 0, Smoke::mf_const, 12, 10},	//174 Solid::Device::parentUdi() const
    {17, 297, 0, 0, Smoke::mf_const, 115, 11},	//175 Solid::Device::parent() const
    {17, 358, 0, 0, Smoke::mf_const, 12, 12},	//176 Solid::Device::vendor() const
    {17, 303, 0, 0, Smoke::mf_const, 12, 13},	//177 Solid::Device::product() const
    {17, 251, 0, 0, Smoke::mf_const, 12, 14},	//178 Solid::Device::icon() const
    {17, 240, 0, 0, Smoke::mf_const, 13, 15},	//179 Solid::Device::emblems() const
    {17, 217, 0, 0, Smoke::mf_const, 12, 16},	//180 Solid::Device::description() const
    {17, 259, 47, 1, Smoke::mf_const, 151, 17},	//181 Solid::Device::isDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 197, 47, 1, 0, 118, 18},	//182 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    {17, 197, 47, 1, Smoke::mf_const, 160, 19},	//183 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 275, 47, 1, Smoke::mf_static, 4, 20},	//184 Solid::Device::listFromType(const Solid::DeviceInterface::Type&)
    {17, 270, 49, 1, Smoke::mf_static, 4, 21},	//185 Solid::Device::listFromQuery(const Solid::Predicate&)
    {17, 270, 34, 1, Smoke::mf_static, 4, 22},	//186 Solid::Device::listFromQuery(const QString&)
    {17, 33, 0, 0, Smoke::mf_ctor, 117, 23},	//187 Solid::Device::Device()
    {17, 367, 0, 0, Smoke::mf_dtor, 0, 24 },	//188 Solid::Device::~Device()
    {18, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//189 Solid::DeviceInterface::metaObject() const
    {18, 313, 10, 1, Smoke::mf_virtual, 167, 2},	//190 Solid::DeviceInterface::qt_metacast(const char*)
    {18, 341, 12, 2, Smoke::mf_static, 12, 3},	//191 Solid::DeviceInterface::tr(const char*, const char*)
    {18, 345, 12, 2, Smoke::mf_static, 12, 4},	//192 Solid::DeviceInterface::trUtf8(const char*, const char*)
    {18, 341, 15, 3, Smoke::mf_static, 12, 5},	//193 Solid::DeviceInterface::tr(const char*, const char*, int)
    {18, 345, 15, 3, Smoke::mf_static, 12, 6},	//194 Solid::DeviceInterface::trUtf8(const char*, const char*, int)
    {18, 311, 19, 3, Smoke::mf_virtual, 164, 7},	//195 Solid::DeviceInterface::qt_metacall(QMetaObject::Call, int, void**)
    {18, 267, 0, 0, Smoke::mf_const, 151, 8},	//196 Solid::DeviceInterface::isValid() const
    {18, 352, 51, 1, Smoke::mf_static, 12, 9},	//197 Solid::DeviceInterface::typeToString(Solid::DeviceInterface::Type)
    {18, 329, 34, 1, Smoke::mf_static, 119, 10},	//198 Solid::DeviceInterface::stringToType(const QString&)
    {18, 350, 51, 1, Smoke::mf_static, 12, 11},	//199 Solid::DeviceInterface::typeDescription(Solid::DeviceInterface::Type)
    {18, 36, 53, 2, Smoke::mf_ctor|Smoke::mf_protected, 118, 12},	//200 Solid::DeviceInterface::DeviceInterface(Solid::DeviceInterfacePrivate&, QObject*)
    {18, 341, 10, 1, Smoke::mf_static, 12, 13},	//201 Solid::DeviceInterface::tr(const char*)
    {18, 345, 10, 1, Smoke::mf_static, 12, 14},	//202 Solid::DeviceInterface::trUtf8(const char*)
    {18, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//203 Solid::DeviceInterface::staticMetaObject() const
    {18, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 16},	//204 Solid::DeviceInterface::Unknown (enum)
    {18, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 17},	//205 Solid::DeviceInterface::GenericInterface (enum)
    {18, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 18},	//206 Solid::DeviceInterface::Processor (enum)
    {18, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 19},	//207 Solid::DeviceInterface::Block (enum)
    {18, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 20},	//208 Solid::DeviceInterface::StorageAccess (enum)
    {18, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 21},	//209 Solid::DeviceInterface::StorageDrive (enum)
    {18, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 22},	//210 Solid::DeviceInterface::OpticalDrive (enum)
    {18, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 23},	//211 Solid::DeviceInterface::StorageVolume (enum)
    {18, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 24},	//212 Solid::DeviceInterface::OpticalDisc (enum)
    {18, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 25},	//213 Solid::DeviceInterface::Camera (enum)
    {18, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 26},	//214 Solid::DeviceInterface::PortableMediaPlayer (enum)
    {18, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 27},	//215 Solid::DeviceInterface::NetworkInterface (enum)
    {18, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 28},	//216 Solid::DeviceInterface::AcAdapter (enum)
    {18, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 29},	//217 Solid::DeviceInterface::Battery (enum)
    {18, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 30},	//218 Solid::DeviceInterface::Button (enum)
    {18, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 31},	//219 Solid::DeviceInterface::AudioInterface (enum)
    {18, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 32},	//220 Solid::DeviceInterface::DvbInterface (enum)
    {18, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 33},	//221 Solid::DeviceInterface::Video (enum)
    {18, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 34},	//222 Solid::DeviceInterface::SerialInterface (enum)
    {18, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 35},	//223 Solid::DeviceInterface::SmartCardReader (enum)
    {18, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 36},	//224 Solid::DeviceInterface::Last (enum)
    {18, 368, 0, 0, Smoke::mf_dtor, 0, 37 },	//225 Solid::DeviceInterface::~DeviceInterface()
    {20, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//226 Solid::DeviceNotifier::metaObject() const
    {20, 313, 10, 1, Smoke::mf_virtual, 167, 2},	//227 Solid::DeviceNotifier::qt_metacast(const char*)
    {20, 341, 12, 2, Smoke::mf_static, 12, 3},	//228 Solid::DeviceNotifier::tr(const char*, const char*)
    {20, 345, 12, 2, Smoke::mf_static, 12, 4},	//229 Solid::DeviceNotifier::trUtf8(const char*, const char*)
    {20, 341, 15, 3, Smoke::mf_static, 12, 5},	//230 Solid::DeviceNotifier::tr(const char*, const char*, int)
    {20, 345, 15, 3, Smoke::mf_static, 12, 6},	//231 Solid::DeviceNotifier::trUtf8(const char*, const char*, int)
    {20, 311, 19, 3, Smoke::mf_virtual, 164, 7},	//232 Solid::DeviceNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {20, 253, 0, 0, Smoke::mf_static, 121, 8},	//233 Solid::DeviceNotifier::instance()
    {20, 220, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//234 Solid::DeviceNotifier::deviceAdded(const QString&)
    {20, 226, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//235 Solid::DeviceNotifier::deviceRemoved(const QString&)
    {20, 38, 0, 0, Smoke::mf_ctor, 121, 11},	//236 Solid::DeviceNotifier::DeviceNotifier()
    {20, 341, 10, 1, Smoke::mf_static, 12, 12},	//237 Solid::DeviceNotifier::tr(const char*)
    {20, 345, 10, 1, Smoke::mf_static, 12, 13},	//238 Solid::DeviceNotifier::trUtf8(const char*)
    {20, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 14},	//239 Solid::DeviceNotifier::staticMetaObject() const
    {20, 369, 0, 0, Smoke::mf_dtor, 0, 15 },	//240 Solid::DeviceNotifier::~DeviceNotifier()
    {21, 283, 0, 0, Smoke::mf_const, 154, 1},	//241 Solid::DvbInterface::metaObject() const
    {21, 313, 10, 1, 0, 167, 2},	//242 Solid::DvbInterface::qt_metacast(const char*)
    {21, 341, 12, 2, Smoke::mf_static, 12, 3},	//243 Solid::DvbInterface::tr(const char*, const char*)
    {21, 345, 12, 2, Smoke::mf_static, 12, 4},	//244 Solid::DvbInterface::trUtf8(const char*, const char*)
    {21, 341, 15, 3, Smoke::mf_static, 12, 5},	//245 Solid::DvbInterface::tr(const char*, const char*, int)
    {21, 345, 15, 3, Smoke::mf_static, 12, 6},	//246 Solid::DvbInterface::trUtf8(const char*, const char*, int)
    {21, 311, 19, 3, 0, 164, 7},	//247 Solid::DvbInterface::qt_metacall(QMetaObject::Call, int, void**)
    {21, 223, 0, 0, Smoke::mf_static, 119, 8},	//248 Solid::DvbInterface::deviceInterfaceType()
    {21, 218, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 9},	//249 Solid::DvbInterface::device() const
    {21, 219, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 10},	//250 Solid::DvbInterface::deviceAdapter() const
    {21, 228, 0, 0, Smoke::mf_const|Smoke::mf_property, 122, 11},	//251 Solid::DvbInterface::deviceType() const
    {21, 222, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 12},	//252 Solid::DvbInterface::deviceIndex() const
    {21, 341, 10, 1, Smoke::mf_static, 12, 13},	//253 Solid::DvbInterface::tr(const char*)
    {21, 345, 10, 1, Smoke::mf_static, 12, 14},	//254 Solid::DvbInterface::trUtf8(const char*)
    {21, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//255 Solid::DvbInterface::staticMetaObject() const
    {21, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 16},	//256 Solid::DvbInterface::DvbUnknown (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 17},	//257 Solid::DvbInterface::DvbAudio (enum)
    {21, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 18},	//258 Solid::DvbInterface::DvbCa (enum)
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 19},	//259 Solid::DvbInterface::DvbDemux (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 20},	//260 Solid::DvbInterface::DvbDvr (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 21},	//261 Solid::DvbInterface::DvbFrontend (enum)
    {21, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 22},	//262 Solid::DvbInterface::DvbNet (enum)
    {21, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 23},	//263 Solid::DvbInterface::DvbOsd (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 24},	//264 Solid::DvbInterface::DvbSec (enum)
    {21, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 25},	//265 Solid::DvbInterface::DvbVideo (enum)
    {21, 370, 0, 0, Smoke::mf_dtor, 0, 26 },	//266 Solid::DvbInterface::~DvbInterface()
    {22, 283, 0, 0, Smoke::mf_const, 154, 1},	//267 Solid::GenericInterface::metaObject() const
    {22, 313, 10, 1, 0, 167, 2},	//268 Solid::GenericInterface::qt_metacast(const char*)
    {22, 341, 12, 2, Smoke::mf_static, 12, 3},	//269 Solid::GenericInterface::tr(const char*, const char*)
    {22, 345, 12, 2, Smoke::mf_static, 12, 4},	//270 Solid::GenericInterface::trUtf8(const char*, const char*)
    {22, 341, 15, 3, Smoke::mf_static, 12, 5},	//271 Solid::GenericInterface::tr(const char*, const char*, int)
    {22, 345, 15, 3, Smoke::mf_static, 12, 6},	//272 Solid::GenericInterface::trUtf8(const char*, const char*, int)
    {22, 311, 19, 3, 0, 164, 7},	//273 Solid::GenericInterface::qt_metacall(QMetaObject::Call, int, void**)
    {22, 223, 0, 0, Smoke::mf_static, 119, 8},	//274 Solid::GenericInterface::deviceInterfaceType()
    {22, 304, 34, 1, Smoke::mf_const, 16, 9},	//275 Solid::GenericInterface::property(const QString&) const
    {22, 195, 0, 0, Smoke::mf_const, 6, 10},	//276 Solid::GenericInterface::allProperties() const
    {22, 308, 34, 1, Smoke::mf_const, 151, 11},	//277 Solid::GenericInterface::propertyExists(const QString&) const
    {22, 306, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//278 Solid::GenericInterface::propertyChanged(const QMap<QString,int>&)
    {22, 213, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//279 Solid::GenericInterface::conditionRaised(const QString&, const QString&)
    {22, 341, 10, 1, Smoke::mf_static, 12, 14},	//280 Solid::GenericInterface::tr(const char*)
    {22, 345, 10, 1, Smoke::mf_static, 12, 15},	//281 Solid::GenericInterface::trUtf8(const char*)
    {22, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 16},	//282 Solid::GenericInterface::staticMetaObject() const
    {22, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 17},	//283 Solid::GenericInterface::PropertyModified (enum)
    {22, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 18},	//284 Solid::GenericInterface::PropertyAdded (enum)
    {22, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 19},	//285 Solid::GenericInterface::PropertyRemoved (enum)
    {22, 371, 0, 0, Smoke::mf_dtor, 0, 20 },	//286 Solid::GenericInterface::~GenericInterface()
    {23, 283, 0, 0, Smoke::mf_const, 154, 1},	//287 Solid::NetworkInterface::metaObject() const
    {23, 313, 10, 1, 0, 167, 2},	//288 Solid::NetworkInterface::qt_metacast(const char*)
    {23, 341, 12, 2, Smoke::mf_static, 12, 3},	//289 Solid::NetworkInterface::tr(const char*, const char*)
    {23, 345, 12, 2, Smoke::mf_static, 12, 4},	//290 Solid::NetworkInterface::trUtf8(const char*, const char*)
    {23, 341, 15, 3, Smoke::mf_static, 12, 5},	//291 Solid::NetworkInterface::tr(const char*, const char*, int)
    {23, 345, 15, 3, Smoke::mf_static, 12, 6},	//292 Solid::NetworkInterface::trUtf8(const char*, const char*, int)
    {23, 311, 19, 3, 0, 164, 7},	//293 Solid::NetworkInterface::qt_metacall(QMetaObject::Call, int, void**)
    {23, 223, 0, 0, Smoke::mf_static, 119, 8},	//294 Solid::NetworkInterface::deviceInterfaceType()
    {23, 252, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 9},	//295 Solid::NetworkInterface::ifaceName() const
    {23, 268, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 10},	//296 Solid::NetworkInterface::isWireless() const
    {23, 250, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 11},	//297 Solid::NetworkInterface::hwAddress() const
    {23, 278, 0, 0, Smoke::mf_const, 166, 12},	//298 Solid::NetworkInterface::macAddress() const
    {23, 341, 10, 1, Smoke::mf_static, 12, 13},	//299 Solid::NetworkInterface::tr(const char*)
    {23, 345, 10, 1, Smoke::mf_static, 12, 14},	//300 Solid::NetworkInterface::trUtf8(const char*)
    {23, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//301 Solid::NetworkInterface::staticMetaObject() const
    {23, 372, 0, 0, Smoke::mf_dtor, 0, 16 },	//302 Solid::NetworkInterface::~NetworkInterface()
    {24, 326, 0, 0, Smoke::mf_static, 127, 1},	//303 Solid::Networking::status()
    {24, 285, 0, 0, Smoke::mf_static, 126, 2},	//304 Solid::Networking::notifier()
    {24, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 3},	//305 Solid::Networking::Manual (enum)
    {24, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 4},	//306 Solid::Networking::OnNextStatusChange (enum)
    {24, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 5},	//307 Solid::Networking::Managed (enum)
    {24, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 6},	//308 Solid::Networking::Unknown (enum)
    {24, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 7},	//309 Solid::Networking::Unconnected (enum)
    {24, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 8},	//310 Solid::Networking::Disconnecting (enum)
    {24, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 9},	//311 Solid::Networking::Connecting (enum)
    {24, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 10},	//312 Solid::Networking::Connected (enum)
    {26, 283, 0, 0, Smoke::mf_const, 154, 1},	//313 Solid::OpticalDisc::metaObject() const
    {26, 313, 10, 1, 0, 167, 2},	//314 Solid::OpticalDisc::qt_metacast(const char*)
    {26, 341, 12, 2, Smoke::mf_static, 12, 3},	//315 Solid::OpticalDisc::tr(const char*, const char*)
    {26, 345, 12, 2, Smoke::mf_static, 12, 4},	//316 Solid::OpticalDisc::trUtf8(const char*, const char*)
    {26, 341, 15, 3, Smoke::mf_static, 12, 5},	//317 Solid::OpticalDisc::tr(const char*, const char*, int)
    {26, 345, 15, 3, Smoke::mf_static, 12, 6},	//318 Solid::OpticalDisc::trUtf8(const char*, const char*, int)
    {26, 311, 19, 3, 0, 164, 7},	//319 Solid::OpticalDisc::qt_metacall(QMetaObject::Call, int, void**)
    {26, 223, 0, 0, Smoke::mf_static, 119, 8},	//320 Solid::OpticalDisc::deviceInterfaceType()
    {26, 199, 0, 0, Smoke::mf_const|Smoke::mf_property, 129, 9},	//321 Solid::OpticalDisc::availableContent() const
    {26, 229, 0, 0, Smoke::mf_const|Smoke::mf_property, 130, 10},	//322 Solid::OpticalDisc::discType() const
    {26, 257, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//323 Solid::OpticalDisc::isAppendable() const
    {26, 258, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 12},	//324 Solid::OpticalDisc::isBlank() const
    {26, 266, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 13},	//325 Solid::OpticalDisc::isRewritable() const
    {26, 204, 0, 0, Smoke::mf_const, 166, 14},	//326 Solid::OpticalDisc::capacity() const
    {26, 341, 10, 1, Smoke::mf_static, 12, 15},	//327 Solid::OpticalDisc::tr(const char*)
    {26, 345, 10, 1, Smoke::mf_static, 12, 16},	//328 Solid::OpticalDisc::trUtf8(const char*)
    {26, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 17},	//329 Solid::OpticalDisc::staticMetaObject() const
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 18},	//330 Solid::OpticalDisc::Audio (enum)
    {26, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 19},	//331 Solid::OpticalDisc::Data (enum)
    {26, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 20},	//332 Solid::OpticalDisc::VideoCd (enum)
    {26, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 21},	//333 Solid::OpticalDisc::SuperVideoCd (enum)
    {26, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 22},	//334 Solid::OpticalDisc::VideoDvd (enum)
    {26, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 23},	//335 Solid::OpticalDisc::UnknownDiscType (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 24},	//336 Solid::OpticalDisc::CdRom (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 25},	//337 Solid::OpticalDisc::CdRecordable (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 26},	//338 Solid::OpticalDisc::CdRewritable (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 27},	//339 Solid::OpticalDisc::DvdRom (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 28},	//340 Solid::OpticalDisc::DvdRam (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 29},	//341 Solid::OpticalDisc::DvdRecordable (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 30},	//342 Solid::OpticalDisc::DvdRewritable (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 31},	//343 Solid::OpticalDisc::DvdPlusRecordable (enum)
    {26, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 32},	//344 Solid::OpticalDisc::DvdPlusRewritable (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 33},	//345 Solid::OpticalDisc::DvdPlusRecordableDuallayer (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 34},	//346 Solid::OpticalDisc::DvdPlusRewritableDuallayer (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 35},	//347 Solid::OpticalDisc::BluRayRom (enum)
    {26, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 36},	//348 Solid::OpticalDisc::BluRayRecordable (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 37},	//349 Solid::OpticalDisc::BluRayRewritable (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 38},	//350 Solid::OpticalDisc::HdDvdRom (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 39},	//351 Solid::OpticalDisc::HdDvdRecordable (enum)
    {26, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 40},	//352 Solid::OpticalDisc::HdDvdRewritable (enum)
    {26, 373, 0, 0, Smoke::mf_dtor, 0, 41 },	//353 Solid::OpticalDisc::~OpticalDisc()
    {27, 283, 0, 0, Smoke::mf_const, 154, 1},	//354 Solid::OpticalDrive::metaObject() const
    {27, 313, 10, 1, 0, 167, 2},	//355 Solid::OpticalDrive::qt_metacast(const char*)
    {27, 341, 12, 2, Smoke::mf_static, 12, 3},	//356 Solid::OpticalDrive::tr(const char*, const char*)
    {27, 345, 12, 2, Smoke::mf_static, 12, 4},	//357 Solid::OpticalDrive::trUtf8(const char*, const char*)
    {27, 341, 15, 3, Smoke::mf_static, 12, 5},	//358 Solid::OpticalDrive::tr(const char*, const char*, int)
    {27, 345, 15, 3, Smoke::mf_static, 12, 6},	//359 Solid::OpticalDrive::trUtf8(const char*, const char*, int)
    {27, 311, 19, 3, 0, 164, 7},	//360 Solid::OpticalDrive::qt_metacall(QMetaObject::Call, int, void**)
    {27, 223, 0, 0, Smoke::mf_static, 119, 8},	//361 Solid::OpticalDrive::deviceInterfaceType()
    {27, 333, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//362 Solid::OpticalDrive::supportedMedia() const
    {27, 315, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 10},	//363 Solid::OpticalDrive::readSpeed() const
    {27, 359, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 11},	//364 Solid::OpticalDrive::writeSpeed() const
    {27, 360, 0, 0, Smoke::mf_const|Smoke::mf_property, 5, 12},	//365 Solid::OpticalDrive::writeSpeeds() const
    {27, 235, 0, 0, 0, 151, 13},	//366 Solid::OpticalDrive::eject()
    {27, 238, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//367 Solid::OpticalDrive::ejectPressed(const QString&)
    {27, 236, 58, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//368 Solid::OpticalDrive::ejectDone(Solid::ErrorType, QVariant, const QString&)
    {27, 341, 10, 1, Smoke::mf_static, 12, 16},	//369 Solid::OpticalDrive::tr(const char*)
    {27, 345, 10, 1, Smoke::mf_static, 12, 17},	//370 Solid::OpticalDrive::trUtf8(const char*)
    {27, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 18},	//371 Solid::OpticalDrive::staticMetaObject() const
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 19},	//372 Solid::OpticalDrive::Cdr (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 20},	//373 Solid::OpticalDrive::Cdrw (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 21},	//374 Solid::OpticalDrive::Dvd (enum)
    {27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 22},	//375 Solid::OpticalDrive::Dvdr (enum)
    {27, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 23},	//376 Solid::OpticalDrive::Dvdrw (enum)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 24},	//377 Solid::OpticalDrive::Dvdram (enum)
    {27, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 25},	//378 Solid::OpticalDrive::Dvdplusr (enum)
    {27, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 26},	//379 Solid::OpticalDrive::Dvdplusrw (enum)
    {27, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 27},	//380 Solid::OpticalDrive::Dvdplusdl (enum)
    {27, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 28},	//381 Solid::OpticalDrive::Dvdplusdlrw (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 29},	//382 Solid::OpticalDrive::Bd (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 30},	//383 Solid::OpticalDrive::Bdr (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 31},	//384 Solid::OpticalDrive::Bdre (enum)
    {27, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 32},	//385 Solid::OpticalDrive::HdDvd (enum)
    {27, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 33},	//386 Solid::OpticalDrive::HdDvdr (enum)
    {27, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 34},	//387 Solid::OpticalDrive::HdDvdrw (enum)
    {27, 374, 0, 0, Smoke::mf_dtor, 0, 35 },	//388 Solid::OpticalDrive::~OpticalDrive()
    {28, 283, 0, 0, Smoke::mf_const, 154, 1},	//389 Solid::PortableMediaPlayer::metaObject() const
    {28, 313, 10, 1, 0, 167, 2},	//390 Solid::PortableMediaPlayer::qt_metacast(const char*)
    {28, 341, 12, 2, Smoke::mf_static, 12, 3},	//391 Solid::PortableMediaPlayer::tr(const char*, const char*)
    {28, 345, 12, 2, Smoke::mf_static, 12, 4},	//392 Solid::PortableMediaPlayer::trUtf8(const char*, const char*)
    {28, 341, 15, 3, Smoke::mf_static, 12, 5},	//393 Solid::PortableMediaPlayer::tr(const char*, const char*, int)
    {28, 345, 15, 3, Smoke::mf_static, 12, 6},	//394 Solid::PortableMediaPlayer::trUtf8(const char*, const char*, int)
    {28, 311, 19, 3, 0, 164, 7},	//395 Solid::PortableMediaPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {28, 223, 0, 0, Smoke::mf_static, 119, 8},	//396 Solid::PortableMediaPlayer::deviceInterfaceType()
    {28, 334, 0, 0, Smoke::mf_const|Smoke::mf_property, 13, 9},	//397 Solid::PortableMediaPlayer::supportedProtocols() const
    {28, 331, 32, 1, Smoke::mf_const, 13, 10},	//398 Solid::PortableMediaPlayer::supportedDrivers(QString) const
    {28, 233, 34, 1, Smoke::mf_const, 16, 11},	//399 Solid::PortableMediaPlayer::driverHandle(const QString&) const
    {28, 341, 10, 1, Smoke::mf_static, 12, 12},	//400 Solid::PortableMediaPlayer::tr(const char*)
    {28, 345, 10, 1, Smoke::mf_static, 12, 13},	//401 Solid::PortableMediaPlayer::trUtf8(const char*)
    {28, 331, 0, 0, Smoke::mf_const, 13, 14},	//402 Solid::PortableMediaPlayer::supportedDrivers() const
    {28, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//403 Solid::PortableMediaPlayer::staticMetaObject() const
    {28, 375, 0, 0, Smoke::mf_dtor, 0, 16 },	//404 Solid::PortableMediaPlayer::~PortableMediaPlayer()
    {29, 196, 0, 0, Smoke::mf_static, 151, 1},	//405 Solid::PowerManagement::appShouldConserveResources()
    {29, 335, 0, 0, Smoke::mf_static, 11, 2},	//406 Solid::PowerManagement::supportedSleepStates()
    {29, 327, 62, 1, Smoke::mf_static, 151, 3},	//407 Solid::PowerManagement::stopSuppressingSleep(int)
    {29, 200, 34, 1, Smoke::mf_static, 164, 4},	//408 Solid::PowerManagement::beginSuppressingSleep(const QString&)
    {29, 200, 0, 0, Smoke::mf_static, 164, 5},	//409 Solid::PowerManagement::beginSuppressingSleep()
    {29, 316, 64, 3, Smoke::mf_static, 0, 6},	//410 Solid::PowerManagement::requestSleep(Solid::PowerManagement::SleepState, QObject*, const char*)
    {29, 285, 0, 0, Smoke::mf_static, 133, 7},	//411 Solid::PowerManagement::notifier()
    {29, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 8},	//412 Solid::PowerManagement::StandbyState (enum)
    {29, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 9},	//413 Solid::PowerManagement::SuspendState (enum)
    {29, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 10},	//414 Solid::PowerManagement::HibernateState (enum)
    {31, 136, 0, 0, Smoke::mf_ctor, 137, 1},	//415 Solid::Predicate::Predicate()
    {31, 136, 49, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//416 Solid::Predicate::Predicate(const Solid::Predicate&)
    {31, 136, 68, 4, Smoke::mf_ctor, 137, 3},	//417 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 136, 73, 4, Smoke::mf_ctor, 137, 4},	//418 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 136, 47, 1, Smoke::mf_ctor, 137, 5},	//419 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    {31, 136, 34, 1, Smoke::mf_ctor, 137, 6},	//420 Solid::Predicate::Predicate(const QString&)
    {31, 291, 49, 1, 0, 136, 7},	//421 Solid::Predicate::operator=(const Solid::Predicate&)
    {31, 287, 49, 1, 0, 135, 8},	//422 Solid::Predicate::operator&(const Solid::Predicate&)
    {31, 289, 49, 1, 0, 136, 9},	//423 Solid::Predicate::operator&=(const Solid::Predicate&)
    {31, 293, 49, 1, 0, 135, 10},	//424 Solid::Predicate::operator|(const Solid::Predicate&)
    {31, 295, 49, 1, 0, 136, 11},	//425 Solid::Predicate::operator|=(const Solid::Predicate&)
    {31, 267, 0, 0, Smoke::mf_const, 151, 12},	//426 Solid::Predicate::isValid() const
    {31, 279, 45, 1, Smoke::mf_const, 151, 13},	//427 Solid::Predicate::matches(const Solid::Device&) const
    {31, 356, 0, 0, Smoke::mf_const, 10, 14},	//428 Solid::Predicate::usedTypes() const
    {31, 340, 0, 0, Smoke::mf_const, 12, 15},	//429 Solid::Predicate::toString() const
    {31, 246, 34, 1, Smoke::mf_static, 135, 16},	//430 Solid::Predicate::fromString(const QString&)
    {31, 349, 0, 0, Smoke::mf_const, 139, 17},	//431 Solid::Predicate::type() const
    {31, 255, 0, 0, Smoke::mf_const, 119, 18},	//432 Solid::Predicate::interfaceType() const
    {31, 310, 0, 0, Smoke::mf_const, 12, 19},	//433 Solid::Predicate::propertyName() const
    {31, 281, 0, 0, Smoke::mf_const, 16, 20},	//434 Solid::Predicate::matchingValue() const
    {31, 212, 0, 0, Smoke::mf_const, 138, 21},	//435 Solid::Predicate::comparisonOperator() const
    {31, 245, 0, 0, Smoke::mf_const, 135, 22},	//436 Solid::Predicate::firstOperand() const
    {31, 318, 0, 0, Smoke::mf_const, 135, 23},	//437 Solid::Predicate::secondOperand() const
    {31, 136, 78, 3, Smoke::mf_ctor, 137, 24},	//438 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    {31, 136, 82, 3, Smoke::mf_ctor, 137, 25},	//439 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    {31, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 26},	//440 Solid::Predicate::Equals (enum)
    {31, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 27},	//441 Solid::Predicate::Mask (enum)
    {31, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 28},	//442 Solid::Predicate::PropertyCheck (enum)
    {31, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 29},	//443 Solid::Predicate::Conjunction (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 30},	//444 Solid::Predicate::Disjunction (enum)
    {31, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 31},	//445 Solid::Predicate::InterfaceCheck (enum)
    {31, 376, 0, 0, Smoke::mf_dtor, 0, 32 },	//446 Solid::Predicate::~Predicate()
    {32, 283, 0, 0, Smoke::mf_const, 154, 1},	//447 Solid::Processor::metaObject() const
    {32, 313, 10, 1, 0, 167, 2},	//448 Solid::Processor::qt_metacast(const char*)
    {32, 341, 12, 2, Smoke::mf_static, 12, 3},	//449 Solid::Processor::tr(const char*, const char*)
    {32, 345, 12, 2, Smoke::mf_static, 12, 4},	//450 Solid::Processor::trUtf8(const char*, const char*)
    {32, 341, 15, 3, Smoke::mf_static, 12, 5},	//451 Solid::Processor::tr(const char*, const char*, int)
    {32, 345, 15, 3, Smoke::mf_static, 12, 6},	//452 Solid::Processor::trUtf8(const char*, const char*, int)
    {32, 311, 19, 3, 0, 164, 7},	//453 Solid::Processor::qt_metacall(QMetaObject::Call, int, void**)
    {32, 223, 0, 0, Smoke::mf_static, 119, 8},	//454 Solid::Processor::deviceInterfaceType()
    {32, 286, 0, 0, Smoke::mf_const|Smoke::mf_property, 164, 9},	//455 Solid::Processor::number() const
    {32, 282, 0, 0, Smoke::mf_const, 164, 10},	//456 Solid::Processor::maxSpeed() const
    {32, 203, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//457 Solid::Processor::canChangeFrequency() const
    {32, 254, 0, 0, Smoke::mf_const|Smoke::mf_property, 141, 12},	//458 Solid::Processor::instructionSets() const
    {32, 341, 10, 1, Smoke::mf_static, 12, 13},	//459 Solid::Processor::tr(const char*)
    {32, 345, 10, 1, Smoke::mf_static, 12, 14},	//460 Solid::Processor::trUtf8(const char*)
    {32, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//461 Solid::Processor::staticMetaObject() const
    {32, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 16},	//462 Solid::Processor::NoExtensions (enum)
    {32, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 17},	//463 Solid::Processor::IntelMmx (enum)
    {32, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 18},	//464 Solid::Processor::IntelSse (enum)
    {32, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 19},	//465 Solid::Processor::IntelSse2 (enum)
    {32, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 20},	//466 Solid::Processor::IntelSse3 (enum)
    {32, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 21},	//467 Solid::Processor::IntelSse4 (enum)
    {32, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 22},	//468 Solid::Processor::Amd3DNow (enum)
    {32, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 23},	//469 Solid::Processor::AltiVec (enum)
    {32, 377, 0, 0, Smoke::mf_dtor, 0, 24 },	//470 Solid::Processor::~Processor()
    {33, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//471 Solid::StorageAccess::metaObject() const
    {33, 313, 10, 1, Smoke::mf_virtual, 167, 2},	//472 Solid::StorageAccess::qt_metacast(const char*)
    {33, 341, 12, 2, Smoke::mf_static, 12, 3},	//473 Solid::StorageAccess::tr(const char*, const char*)
    {33, 345, 12, 2, Smoke::mf_static, 12, 4},	//474 Solid::StorageAccess::trUtf8(const char*, const char*)
    {33, 341, 15, 3, Smoke::mf_static, 12, 5},	//475 Solid::StorageAccess::tr(const char*, const char*, int)
    {33, 345, 15, 3, Smoke::mf_static, 12, 6},	//476 Solid::StorageAccess::trUtf8(const char*, const char*, int)
    {33, 311, 19, 3, Smoke::mf_virtual, 164, 7},	//477 Solid::StorageAccess::qt_metacall(QMetaObject::Call, int, void**)
    {33, 223, 0, 0, Smoke::mf_static, 119, 8},	//478 Solid::StorageAccess::deviceInterfaceType()
    {33, 256, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//479 Solid::StorageAccess::isAccessible() const
    {33, 244, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 10},	//480 Solid::StorageAccess::filePath() const
    {33, 319, 0, 0, 0, 151, 11},	//481 Solid::StorageAccess::setup()
    {33, 336, 0, 0, 0, 151, 12},	//482 Solid::StorageAccess::teardown()
    {33, 192, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//483 Solid::StorageAccess::accessibilityChanged(bool, const QString&)
    {33, 320, 58, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//484 Solid::StorageAccess::setupDone(Solid::ErrorType, QVariant, const QString&)
    {33, 337, 58, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//485 Solid::StorageAccess::teardownDone(Solid::ErrorType, QVariant, const QString&)
    {33, 166, 86, 2, Smoke::mf_ctor|Smoke::mf_protected, 142, 16},	//486 Solid::StorageAccess::StorageAccess(Solid::StorageAccessPrivate&, QObject*)
    {33, 341, 10, 1, Smoke::mf_static, 12, 17},	//487 Solid::StorageAccess::tr(const char*)
    {33, 345, 10, 1, Smoke::mf_static, 12, 18},	//488 Solid::StorageAccess::trUtf8(const char*)
    {33, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 19},	//489 Solid::StorageAccess::staticMetaObject() const
    {33, 378, 0, 0, Smoke::mf_dtor, 0, 20 },	//490 Solid::StorageAccess::~StorageAccess()
    {35, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//491 Solid::StorageDrive::metaObject() const
    {35, 313, 10, 1, Smoke::mf_virtual, 167, 2},	//492 Solid::StorageDrive::qt_metacast(const char*)
    {35, 341, 12, 2, Smoke::mf_static, 12, 3},	//493 Solid::StorageDrive::tr(const char*, const char*)
    {35, 345, 12, 2, Smoke::mf_static, 12, 4},	//494 Solid::StorageDrive::trUtf8(const char*, const char*)
    {35, 341, 15, 3, Smoke::mf_static, 12, 5},	//495 Solid::StorageDrive::tr(const char*, const char*, int)
    {35, 345, 15, 3, Smoke::mf_static, 12, 6},	//496 Solid::StorageDrive::trUtf8(const char*, const char*, int)
    {35, 311, 19, 3, Smoke::mf_virtual, 164, 7},	//497 Solid::StorageDrive::qt_metacall(QMetaObject::Call, int, void**)
    {35, 223, 0, 0, Smoke::mf_static, 119, 8},	//498 Solid::StorageDrive::deviceInterfaceType()
    {35, 202, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 9},	//499 Solid::StorageDrive::bus() const
    {35, 231, 0, 0, Smoke::mf_const|Smoke::mf_property, 146, 10},	//500 Solid::StorageDrive::driveType() const
    {35, 265, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 11},	//501 Solid::StorageDrive::isRemovable() const
    {35, 261, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 12},	//502 Solid::StorageDrive::isHotpluggable() const
    {35, 168, 89, 2, Smoke::mf_ctor|Smoke::mf_protected, 144, 13},	//503 Solid::StorageDrive::StorageDrive(Solid::StorageDrivePrivate&, QObject*)
    {35, 341, 10, 1, Smoke::mf_static, 12, 14},	//504 Solid::StorageDrive::tr(const char*)
    {35, 345, 10, 1, Smoke::mf_static, 12, 15},	//505 Solid::StorageDrive::trUtf8(const char*)
    {35, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 16},	//506 Solid::StorageDrive::staticMetaObject() const
    {35, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 17},	//507 Solid::StorageDrive::Ide (enum)
    {35, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 18},	//508 Solid::StorageDrive::Usb (enum)
    {35, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 19},	//509 Solid::StorageDrive::Ieee1394 (enum)
    {35, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 20},	//510 Solid::StorageDrive::Scsi (enum)
    {35, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 21},	//511 Solid::StorageDrive::Sata (enum)
    {35, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 22},	//512 Solid::StorageDrive::Platform (enum)
    {35, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 23},	//513 Solid::StorageDrive::HardDisk (enum)
    {35, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 24},	//514 Solid::StorageDrive::CdromDrive (enum)
    {35, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 25},	//515 Solid::StorageDrive::Floppy (enum)
    {35, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 26},	//516 Solid::StorageDrive::Tape (enum)
    {35, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 27},	//517 Solid::StorageDrive::CompactFlash (enum)
    {35, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 28},	//518 Solid::StorageDrive::MemoryStick (enum)
    {35, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 29},	//519 Solid::StorageDrive::SmartMedia (enum)
    {35, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 30},	//520 Solid::StorageDrive::SdMmc (enum)
    {35, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 31},	//521 Solid::StorageDrive::Xd (enum)
    {35, 379, 0, 0, Smoke::mf_dtor, 0, 32 },	//522 Solid::StorageDrive::~StorageDrive()
    {37, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 1},	//523 Solid::StorageVolume::metaObject() const
    {37, 313, 10, 1, Smoke::mf_virtual, 167, 2},	//524 Solid::StorageVolume::qt_metacast(const char*)
    {37, 341, 12, 2, Smoke::mf_static, 12, 3},	//525 Solid::StorageVolume::tr(const char*, const char*)
    {37, 345, 12, 2, Smoke::mf_static, 12, 4},	//526 Solid::StorageVolume::trUtf8(const char*, const char*)
    {37, 341, 15, 3, Smoke::mf_static, 12, 5},	//527 Solid::StorageVolume::tr(const char*, const char*, int)
    {37, 345, 15, 3, Smoke::mf_static, 12, 6},	//528 Solid::StorageVolume::trUtf8(const char*, const char*, int)
    {37, 311, 19, 3, Smoke::mf_virtual, 164, 7},	//529 Solid::StorageVolume::qt_metacall(QMetaObject::Call, int, void**)
    {37, 223, 0, 0, Smoke::mf_static, 119, 8},	//530 Solid::StorageVolume::deviceInterfaceType()
    {37, 262, 0, 0, Smoke::mf_const|Smoke::mf_property, 151, 9},	//531 Solid::StorageVolume::isIgnored() const
    {37, 355, 0, 0, Smoke::mf_const|Smoke::mf_property, 149, 10},	//532 Solid::StorageVolume::usage() const
    {37, 248, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 11},	//533 Solid::StorageVolume::fsType() const
    {37, 269, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 12},	//534 Solid::StorageVolume::label() const
    {37, 357, 0, 0, Smoke::mf_const|Smoke::mf_property, 12, 13},	//535 Solid::StorageVolume::uuid() const
    {37, 322, 0, 0, Smoke::mf_const, 166, 14},	//536 Solid::StorageVolume::size() const
    {37, 241, 0, 0, Smoke::mf_const, 115, 15},	//537 Solid::StorageVolume::encryptedContainer() const
    {37, 170, 92, 2, Smoke::mf_ctor|Smoke::mf_protected, 148, 16},	//538 Solid::StorageVolume::StorageVolume(Solid::StorageVolumePrivate&, QObject*)
    {37, 341, 10, 1, Smoke::mf_static, 12, 17},	//539 Solid::StorageVolume::tr(const char*)
    {37, 345, 10, 1, Smoke::mf_static, 12, 18},	//540 Solid::StorageVolume::trUtf8(const char*)
    {37, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 19},	//541 Solid::StorageVolume::staticMetaObject() const
    {37, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 20},	//542 Solid::StorageVolume::Other (enum)
    {37, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 21},	//543 Solid::StorageVolume::Unused (enum)
    {37, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 22},	//544 Solid::StorageVolume::FileSystem (enum)
    {37, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 23},	//545 Solid::StorageVolume::PartitionTable (enum)
    {37, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 24},	//546 Solid::StorageVolume::Raid (enum)
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 25},	//547 Solid::StorageVolume::Encrypted (enum)
    {37, 380, 0, 0, Smoke::mf_dtor, 0, 26 },	//548 Solid::StorageVolume::~StorageVolume()
    {39, 283, 0, 0, Smoke::mf_const, 154, 1},	//549 Solid::Video::metaObject() const
    {39, 313, 10, 1, 0, 167, 2},	//550 Solid::Video::qt_metacast(const char*)
    {39, 341, 12, 2, Smoke::mf_static, 12, 3},	//551 Solid::Video::tr(const char*, const char*)
    {39, 345, 12, 2, Smoke::mf_static, 12, 4},	//552 Solid::Video::trUtf8(const char*, const char*)
    {39, 341, 15, 3, Smoke::mf_static, 12, 5},	//553 Solid::Video::tr(const char*, const char*, int)
    {39, 345, 15, 3, Smoke::mf_static, 12, 6},	//554 Solid::Video::trUtf8(const char*, const char*, int)
    {39, 311, 19, 3, 0, 164, 7},	//555 Solid::Video::qt_metacall(QMetaObject::Call, int, void**)
    {39, 223, 0, 0, Smoke::mf_static, 119, 8},	//556 Solid::Video::deviceInterfaceType()
    {39, 334, 0, 0, Smoke::mf_const, 13, 9},	//557 Solid::Video::supportedProtocols() const
    {39, 331, 32, 1, Smoke::mf_const, 13, 10},	//558 Solid::Video::supportedDrivers(QString) const
    {39, 233, 34, 1, Smoke::mf_const, 16, 11},	//559 Solid::Video::driverHandle(const QString&) const
    {39, 341, 10, 1, Smoke::mf_static, 12, 12},	//560 Solid::Video::tr(const char*)
    {39, 345, 10, 1, Smoke::mf_static, 12, 13},	//561 Solid::Video::trUtf8(const char*)
    {39, 331, 0, 0, Smoke::mf_const, 13, 14},	//562 Solid::Video::supportedDrivers() const
    {39, 325, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 153, 15},	//563 Solid::Video::staticMetaObject() const
    {39, 381, 0, 0, Smoke::mf_dtor, 0, 16 },	//564 Solid::Video::~Video()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    419,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    420,  // Solid::Predicate::Predicate(const QString&)
    0,
    438,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    439,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    0,
    417,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    418,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    0,
    182,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    183,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 96, 13},	// QGlobalSpace::LicensedActiveQt
    {4, 97, 19},	// QGlobalSpace::LicensedCore
    {4, 98, 11},	// QGlobalSpace::LicensedDBus
    {4, 99, 16},	// QGlobalSpace::LicensedDeclarative
    {4, 100, 6},	// QGlobalSpace::LicensedGui
    {4, 101, 25},	// QGlobalSpace::LicensedHelp
    {4, 102, 26},	// QGlobalSpace::LicensedMultimedia
    {4, 103, 29},	// QGlobalSpace::LicensedNetwork
    {4, 104, 18},	// QGlobalSpace::LicensedOpenGL
    {4, 105, 10},	// QGlobalSpace::LicensedOpenVG
    {4, 106, 27},	// QGlobalSpace::LicensedQt3Support
    {4, 107, 8},	// QGlobalSpace::LicensedQt3SupportLight
    {4, 108, 9},	// QGlobalSpace::LicensedScript
    {4, 109, 14},	// QGlobalSpace::LicensedScriptTools
    {4, 110, 17},	// QGlobalSpace::LicensedSql
    {4, 111, 15},	// QGlobalSpace::LicensedSvg
    {4, 112, 12},	// QGlobalSpace::LicensedTest
    {4, 113, 7},	// QGlobalSpace::LicensedXml
    {4, 114, 28},	// QGlobalSpace::LicensedXmlPatterns
    {4, 147, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 148, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 149, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 150, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 151, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 152, 22},	// QGlobalSpace::QtCriticalMsg
    {4, 153, 20},	// QGlobalSpace::QtDebugMsg
    {4, 154, 23},	// QGlobalSpace::QtFatalMsg
    {4, 155, 24},	// QGlobalSpace::QtSystemMsg
    {4, 156, 21},	// QGlobalSpace::QtWarningMsg
    {10, 124, 37},	// Solid::NoError
    {10, 176, 38},	// Solid::UnauthorizedOperation
    {11, 223, 46},	// Solid::AcAdapter::deviceInterfaceType
    {11, 263, 47},	// Solid::AcAdapter::isPlugged
    {11, 283, 39},	// Solid::AcAdapter::metaObject
    {11, 300, 48},	// Solid::AcAdapter::plugStateChanged$$
    {11, 312, 45},	// Solid::AcAdapter::qt_metacall$$?
    {11, 314, 40},	// Solid::AcAdapter::qt_metacast$
    {11, 325, 51},	// Solid::AcAdapter::staticMetaObject
    {11, 342, 49},	// Solid::AcAdapter::tr$
    {11, 343, 41},	// Solid::AcAdapter::tr$$
    {11, 344, 43},	// Solid::AcAdapter::tr$$$
    {11, 346, 50},	// Solid::AcAdapter::trUtf8$
    {11, 347, 42},	// Solid::AcAdapter::trUtf8$$
    {11, 348, 44},	// Solid::AcAdapter::trUtf8$$$
    {11, 361, 52},	// Solid::AcAdapter::~AcAdapter
    {12, 2, 69},	// Solid::AudioInterface::Alsa
    {12, 6, 73},	// Solid::AudioInterface::AudioControl
    {12, 7, 74},	// Solid::AudioInterface::AudioInput
    {12, 9, 75},	// Solid::AudioInterface::AudioOutput
    {12, 72, 78},	// Solid::AudioInterface::FirewireSoundcard
    {12, 82, 79},	// Solid::AudioInterface::Headset
    {12, 92, 76},	// Solid::AudioInterface::InternalSoundcard
    {12, 120, 80},	// Solid::AudioInterface::Modem
    {12, 127, 70},	// Solid::AudioInterface::OpenSoundSystem
    {12, 179, 71},	// Solid::AudioInterface::UnknownAudioDriver
    {12, 180, 72},	// Solid::AudioInterface::UnknownAudioInterfaceType
    {12, 187, 77},	// Solid::AudioInterface::UsbSoundcard
    {12, 223, 60},	// Solid::AudioInterface::deviceInterfaceType
    {12, 228, 64},	// Solid::AudioInterface::deviceType
    {12, 232, 61},	// Solid::AudioInterface::driver
    {12, 233, 62},	// Solid::AudioInterface::driverHandle
    {12, 283, 53},	// Solid::AudioInterface::metaObject
    {12, 284, 63},	// Solid::AudioInterface::name
    {12, 312, 59},	// Solid::AudioInterface::qt_metacall$$?
    {12, 314, 54},	// Solid::AudioInterface::qt_metacast$
    {12, 323, 65},	// Solid::AudioInterface::soundcardType
    {12, 325, 68},	// Solid::AudioInterface::staticMetaObject
    {12, 342, 66},	// Solid::AudioInterface::tr$
    {12, 343, 55},	// Solid::AudioInterface::tr$$
    {12, 344, 57},	// Solid::AudioInterface::tr$$$
    {12, 346, 67},	// Solid::AudioInterface::trUtf8$
    {12, 347, 56},	// Solid::AudioInterface::trUtf8$$
    {12, 348, 58},	// Solid::AudioInterface::trUtf8$$$
    {12, 362, 81},	// Solid::AudioInterface::~AudioInterface
    {13, 20, 108},	// Solid::Battery::CameraBattery
    {13, 27, 110},	// Solid::Battery::Charging
    {13, 39, 111},	// Solid::Battery::Discharging
    {13, 93, 106},	// Solid::Battery::KeyboardBattery
    {13, 94, 107},	// Solid::Battery::KeyboardMouseBattery
    {13, 121, 105},	// Solid::Battery::MouseBattery
    {13, 123, 109},	// Solid::Battery::NoCharge
    {13, 132, 102},	// Solid::Battery::PdaBattery
    {13, 141, 104},	// Solid::Battery::PrimaryBattery
    {13, 181, 101},	// Solid::Battery::UnknownBattery
    {13, 185, 103},	// Solid::Battery::UpsBattery
    {13, 205, 92},	// Solid::Battery::chargePercent
    {13, 207, 95},	// Solid::Battery::chargePercentChanged$$
    {13, 208, 94},	// Solid::Battery::chargeState
    {13, 210, 96},	// Solid::Battery::chargeStateChanged$$
    {13, 223, 89},	// Solid::Battery::deviceInterfaceType
    {13, 263, 90},	// Solid::Battery::isPlugged
    {13, 264, 93},	// Solid::Battery::isRechargeable
    {13, 283, 82},	// Solid::Battery::metaObject
    {13, 300, 97},	// Solid::Battery::plugStateChanged$$
    {13, 312, 88},	// Solid::Battery::qt_metacall$$?
    {13, 314, 83},	// Solid::Battery::qt_metacast$
    {13, 325, 100},	// Solid::Battery::staticMetaObject
    {13, 342, 98},	// Solid::Battery::tr$
    {13, 343, 84},	// Solid::Battery::tr$$
    {13, 344, 86},	// Solid::Battery::tr$$$
    {13, 346, 99},	// Solid::Battery::trUtf8$
    {13, 347, 85},	// Solid::Battery::trUtf8$$
    {13, 348, 87},	// Solid::Battery::trUtf8$$$
    {13, 349, 91},	// Solid::Battery::type
    {13, 363, 112},	// Solid::Battery::~Battery
    {14, 218, 123},	// Solid::Block::device
    {14, 223, 120},	// Solid::Block::deviceInterfaceType
    {14, 224, 121},	// Solid::Block::deviceMajor
    {14, 225, 122},	// Solid::Block::deviceMinor
    {14, 283, 113},	// Solid::Block::metaObject
    {14, 312, 119},	// Solid::Block::qt_metacall$$?
    {14, 314, 114},	// Solid::Block::qt_metacast$
    {14, 325, 126},	// Solid::Block::staticMetaObject
    {14, 342, 124},	// Solid::Block::tr$
    {14, 343, 115},	// Solid::Block::tr$$
    {14, 344, 117},	// Solid::Block::tr$$$
    {14, 346, 125},	// Solid::Block::trUtf8$
    {14, 347, 116},	// Solid::Block::trUtf8$$
    {14, 348, 118},	// Solid::Block::trUtf8$$$
    {14, 364, 127},	// Solid::Block::~Block
    {15, 115, 143},	// Solid::Button::LidButton
    {15, 135, 144},	// Solid::Button::PowerButton
    {15, 162, 145},	// Solid::Button::SleepButton
    {15, 174, 147},	// Solid::Button::TabletButton
    {15, 182, 146},	// Solid::Button::UnknownButtonType
    {15, 223, 135},	// Solid::Button::deviceInterfaceType
    {15, 249, 137},	// Solid::Button::hasState
    {15, 283, 128},	// Solid::Button::metaObject
    {15, 302, 139},	// Solid::Button::pressed$$
    {15, 312, 134},	// Solid::Button::qt_metacall$$?
    {15, 314, 129},	// Solid::Button::qt_metacast$
    {15, 324, 138},	// Solid::Button::stateValue
    {15, 325, 142},	// Solid::Button::staticMetaObject
    {15, 342, 140},	// Solid::Button::tr$
    {15, 343, 130},	// Solid::Button::tr$$
    {15, 344, 132},	// Solid::Button::tr$$$
    {15, 346, 141},	// Solid::Button::trUtf8$
    {15, 347, 131},	// Solid::Button::trUtf8$$
    {15, 348, 133},	// Solid::Button::trUtf8$$$
    {15, 349, 136},	// Solid::Button::type
    {15, 365, 148},	// Solid::Button::~Button
    {16, 223, 156},	// Solid::Camera::deviceInterfaceType
    {16, 234, 159},	// Solid::Camera::driverHandle$
    {16, 283, 149},	// Solid::Camera::metaObject
    {16, 312, 155},	// Solid::Camera::qt_metacall$$?
    {16, 314, 150},	// Solid::Camera::qt_metacast$
    {16, 325, 163},	// Solid::Camera::staticMetaObject
    {16, 331, 162},	// Solid::Camera::supportedDrivers
    {16, 332, 158},	// Solid::Camera::supportedDrivers$
    {16, 334, 157},	// Solid::Camera::supportedProtocols
    {16, 342, 160},	// Solid::Camera::tr$
    {16, 343, 151},	// Solid::Camera::tr$$
    {16, 344, 153},	// Solid::Camera::tr$$$
    {16, 346, 161},	// Solid::Camera::trUtf8$
    {16, 347, 152},	// Solid::Camera::trUtf8$$
    {16, 348, 154},	// Solid::Camera::trUtf8$$$
    {16, 366, 164},	// Solid::Camera::~Camera
    {17, 33, 187},	// Solid::Device::Device
    {17, 34, 170},	// Solid::Device::Device#
    {17, 35, 169},	// Solid::Device::Device$
    {17, 194, 165},	// Solid::Device::allDevices
    {17, 198, -10},	// Solid::Device::asDeviceInterface$
    {17, 217, 180},	// Solid::Device::description
    {17, 240, 179},	// Solid::Device::emblems
    {17, 251, 178},	// Solid::Device::icon
    {17, 260, 181},	// Solid::Device::isDeviceInterface$
    {17, 267, 172},	// Solid::Device::isValid
    {17, 271, 185},	// Solid::Device::listFromQuery#
    {17, 272, 167},	// Solid::Device::listFromQuery#$
    {17, 273, 186},	// Solid::Device::listFromQuery$
    {17, 274, 168},	// Solid::Device::listFromQuery$$
    {17, 276, 184},	// Solid::Device::listFromType$
    {17, 277, 166},	// Solid::Device::listFromType$$
    {17, 292, 171},	// Solid::Device::operator=#
    {17, 297, 175},	// Solid::Device::parent
    {17, 298, 174},	// Solid::Device::parentUdi
    {17, 303, 177},	// Solid::Device::product
    {17, 354, 173},	// Solid::Device::udi
    {17, 358, 176},	// Solid::Device::vendor
    {17, 367, 188},	// Solid::Device::~Device
    {18, 1, 216},	// Solid::DeviceInterface::AcAdapter
    {18, 8, 219},	// Solid::DeviceInterface::AudioInterface
    {18, 10, 217},	// Solid::DeviceInterface::Battery
    {18, 14, 207},	// Solid::DeviceInterface::Block
    {18, 18, 218},	// Solid::DeviceInterface::Button
    {18, 19, 213},	// Solid::DeviceInterface::Camera
    {18, 37, 200},	// Solid::DeviceInterface::DeviceInterface##
    {18, 47, 220},	// Solid::DeviceInterface::DvbInterface
    {18, 74, 205},	// Solid::DeviceInterface::GenericInterface
    {18, 95, 224},	// Solid::DeviceInterface::Last
    {18, 122, 215},	// Solid::DeviceInterface::NetworkInterface
    {18, 128, 212},	// Solid::DeviceInterface::OpticalDisc
    {18, 129, 210},	// Solid::DeviceInterface::OpticalDrive
    {18, 134, 214},	// Solid::DeviceInterface::PortableMediaPlayer
    {18, 142, 206},	// Solid::DeviceInterface::Processor
    {18, 161, 222},	// Solid::DeviceInterface::SerialInterface
    {18, 163, 223},	// Solid::DeviceInterface::SmartCardReader
    {18, 166, 208},	// Solid::DeviceInterface::StorageAccess
    {18, 168, 209},	// Solid::DeviceInterface::StorageDrive
    {18, 170, 211},	// Solid::DeviceInterface::StorageVolume
    {18, 178, 204},	// Solid::DeviceInterface::Unknown
    {18, 188, 221},	// Solid::DeviceInterface::Video
    {18, 267, 196},	// Solid::DeviceInterface::isValid
    {18, 283, 189},	// Solid::DeviceInterface::metaObject
    {18, 312, 195},	// Solid::DeviceInterface::qt_metacall$$?
    {18, 314, 190},	// Solid::DeviceInterface::qt_metacast$
    {18, 325, 203},	// Solid::DeviceInterface::staticMetaObject
    {18, 330, 198},	// Solid::DeviceInterface::stringToType$
    {18, 342, 201},	// Solid::DeviceInterface::tr$
    {18, 343, 191},	// Solid::DeviceInterface::tr$$
    {18, 344, 193},	// Solid::DeviceInterface::tr$$$
    {18, 346, 202},	// Solid::DeviceInterface::trUtf8$
    {18, 347, 192},	// Solid::DeviceInterface::trUtf8$$
    {18, 348, 194},	// Solid::DeviceInterface::trUtf8$$$
    {18, 351, 199},	// Solid::DeviceInterface::typeDescription$
    {18, 353, 197},	// Solid::DeviceInterface::typeToString$
    {18, 368, 225},	// Solid::DeviceInterface::~DeviceInterface
    {20, 38, 236},	// Solid::DeviceNotifier::DeviceNotifier
    {20, 221, 234},	// Solid::DeviceNotifier::deviceAdded$
    {20, 227, 235},	// Solid::DeviceNotifier::deviceRemoved$
    {20, 253, 233},	// Solid::DeviceNotifier::instance
    {20, 283, 226},	// Solid::DeviceNotifier::metaObject
    {20, 312, 232},	// Solid::DeviceNotifier::qt_metacall$$?
    {20, 314, 227},	// Solid::DeviceNotifier::qt_metacast$
    {20, 325, 239},	// Solid::DeviceNotifier::staticMetaObject
    {20, 342, 237},	// Solid::DeviceNotifier::tr$
    {20, 343, 228},	// Solid::DeviceNotifier::tr$$
    {20, 344, 230},	// Solid::DeviceNotifier::tr$$$
    {20, 346, 238},	// Solid::DeviceNotifier::trUtf8$
    {20, 347, 229},	// Solid::DeviceNotifier::trUtf8$$
    {20, 348, 231},	// Solid::DeviceNotifier::trUtf8$$$
    {20, 369, 240},	// Solid::DeviceNotifier::~DeviceNotifier
    {21, 42, 257},	// Solid::DvbInterface::DvbAudio
    {21, 43, 258},	// Solid::DvbInterface::DvbCa
    {21, 44, 259},	// Solid::DvbInterface::DvbDemux
    {21, 45, 260},	// Solid::DvbInterface::DvbDvr
    {21, 46, 261},	// Solid::DvbInterface::DvbFrontend
    {21, 48, 262},	// Solid::DvbInterface::DvbNet
    {21, 49, 263},	// Solid::DvbInterface::DvbOsd
    {21, 50, 264},	// Solid::DvbInterface::DvbSec
    {21, 51, 256},	// Solid::DvbInterface::DvbUnknown
    {21, 52, 265},	// Solid::DvbInterface::DvbVideo
    {21, 218, 249},	// Solid::DvbInterface::device
    {21, 219, 250},	// Solid::DvbInterface::deviceAdapter
    {21, 222, 252},	// Solid::DvbInterface::deviceIndex
    {21, 223, 248},	// Solid::DvbInterface::deviceInterfaceType
    {21, 228, 251},	// Solid::DvbInterface::deviceType
    {21, 283, 241},	// Solid::DvbInterface::metaObject
    {21, 312, 247},	// Solid::DvbInterface::qt_metacall$$?
    {21, 314, 242},	// Solid::DvbInterface::qt_metacast$
    {21, 325, 255},	// Solid::DvbInterface::staticMetaObject
    {21, 342, 253},	// Solid::DvbInterface::tr$
    {21, 343, 243},	// Solid::DvbInterface::tr$$
    {21, 344, 245},	// Solid::DvbInterface::tr$$$
    {21, 346, 254},	// Solid::DvbInterface::trUtf8$
    {21, 347, 244},	// Solid::DvbInterface::trUtf8$$
    {21, 348, 246},	// Solid::DvbInterface::trUtf8$$$
    {21, 370, 266},	// Solid::DvbInterface::~DvbInterface
    {22, 143, 284},	// Solid::GenericInterface::PropertyAdded
    {22, 145, 283},	// Solid::GenericInterface::PropertyModified
    {22, 146, 285},	// Solid::GenericInterface::PropertyRemoved
    {22, 195, 276},	// Solid::GenericInterface::allProperties
    {22, 214, 279},	// Solid::GenericInterface::conditionRaised$$
    {22, 223, 274},	// Solid::GenericInterface::deviceInterfaceType
    {22, 283, 267},	// Solid::GenericInterface::metaObject
    {22, 305, 275},	// Solid::GenericInterface::property$
    {22, 307, 278},	// Solid::GenericInterface::propertyChanged?
    {22, 309, 277},	// Solid::GenericInterface::propertyExists$
    {22, 312, 273},	// Solid::GenericInterface::qt_metacall$$?
    {22, 314, 268},	// Solid::GenericInterface::qt_metacast$
    {22, 325, 282},	// Solid::GenericInterface::staticMetaObject
    {22, 342, 280},	// Solid::GenericInterface::tr$
    {22, 343, 269},	// Solid::GenericInterface::tr$$
    {22, 344, 271},	// Solid::GenericInterface::tr$$$
    {22, 346, 281},	// Solid::GenericInterface::trUtf8$
    {22, 347, 270},	// Solid::GenericInterface::trUtf8$$
    {22, 348, 272},	// Solid::GenericInterface::trUtf8$$$
    {22, 371, 286},	// Solid::GenericInterface::~GenericInterface
    {23, 223, 294},	// Solid::NetworkInterface::deviceInterfaceType
    {23, 250, 297},	// Solid::NetworkInterface::hwAddress
    {23, 252, 295},	// Solid::NetworkInterface::ifaceName
    {23, 268, 296},	// Solid::NetworkInterface::isWireless
    {23, 278, 298},	// Solid::NetworkInterface::macAddress
    {23, 283, 287},	// Solid::NetworkInterface::metaObject
    {23, 312, 293},	// Solid::NetworkInterface::qt_metacall$$?
    {23, 314, 288},	// Solid::NetworkInterface::qt_metacast$
    {23, 325, 301},	// Solid::NetworkInterface::staticMetaObject
    {23, 342, 299},	// Solid::NetworkInterface::tr$
    {23, 343, 289},	// Solid::NetworkInterface::tr$$
    {23, 344, 291},	// Solid::NetworkInterface::tr$$$
    {23, 346, 300},	// Solid::NetworkInterface::trUtf8$
    {23, 347, 290},	// Solid::NetworkInterface::trUtf8$$
    {23, 348, 292},	// Solid::NetworkInterface::trUtf8$$$
    {23, 372, 302},	// Solid::NetworkInterface::~NetworkInterface
    {24, 30, 312},	// Solid::Networking::Connected
    {24, 31, 311},	// Solid::Networking::Connecting
    {24, 40, 310},	// Solid::Networking::Disconnecting
    {24, 116, 307},	// Solid::Networking::Managed
    {24, 117, 305},	// Solid::Networking::Manual
    {24, 126, 306},	// Solid::Networking::OnNextStatusChange
    {24, 177, 309},	// Solid::Networking::Unconnected
    {24, 178, 308},	// Solid::Networking::Unknown
    {24, 285, 304},	// Solid::Networking::notifier
    {24, 326, 303},	// Solid::Networking::status
    {26, 5, 330},	// Solid::OpticalDisc::Audio
    {26, 15, 348},	// Solid::OpticalDisc::BluRayRecordable
    {26, 16, 349},	// Solid::OpticalDisc::BluRayRewritable
    {26, 17, 347},	// Solid::OpticalDisc::BluRayRom
    {26, 21, 337},	// Solid::OpticalDisc::CdRecordable
    {26, 22, 338},	// Solid::OpticalDisc::CdRewritable
    {26, 23, 336},	// Solid::OpticalDisc::CdRom
    {26, 32, 331},	// Solid::OpticalDisc::Data
    {26, 54, 343},	// Solid::OpticalDisc::DvdPlusRecordable
    {26, 55, 345},	// Solid::OpticalDisc::DvdPlusRecordableDuallayer
    {26, 56, 344},	// Solid::OpticalDisc::DvdPlusRewritable
    {26, 57, 346},	// Solid::OpticalDisc::DvdPlusRewritableDuallayer
    {26, 58, 340},	// Solid::OpticalDisc::DvdRam
    {26, 59, 341},	// Solid::OpticalDisc::DvdRecordable
    {26, 60, 342},	// Solid::OpticalDisc::DvdRewritable
    {26, 61, 339},	// Solid::OpticalDisc::DvdRom
    {26, 77, 351},	// Solid::OpticalDisc::HdDvdRecordable
    {26, 78, 352},	// Solid::OpticalDisc::HdDvdRewritable
    {26, 79, 350},	// Solid::OpticalDisc::HdDvdRom
    {26, 172, 333},	// Solid::OpticalDisc::SuperVideoCd
    {26, 183, 335},	// Solid::OpticalDisc::UnknownDiscType
    {26, 189, 332},	// Solid::OpticalDisc::VideoCd
    {26, 190, 334},	// Solid::OpticalDisc::VideoDvd
    {26, 199, 321},	// Solid::OpticalDisc::availableContent
    {26, 204, 326},	// Solid::OpticalDisc::capacity
    {26, 223, 320},	// Solid::OpticalDisc::deviceInterfaceType
    {26, 229, 322},	// Solid::OpticalDisc::discType
    {26, 257, 323},	// Solid::OpticalDisc::isAppendable
    {26, 258, 324},	// Solid::OpticalDisc::isBlank
    {26, 266, 325},	// Solid::OpticalDisc::isRewritable
    {26, 283, 313},	// Solid::OpticalDisc::metaObject
    {26, 312, 319},	// Solid::OpticalDisc::qt_metacall$$?
    {26, 314, 314},	// Solid::OpticalDisc::qt_metacast$
    {26, 325, 329},	// Solid::OpticalDisc::staticMetaObject
    {26, 342, 327},	// Solid::OpticalDisc::tr$
    {26, 343, 315},	// Solid::OpticalDisc::tr$$
    {26, 344, 317},	// Solid::OpticalDisc::tr$$$
    {26, 346, 328},	// Solid::OpticalDisc::trUtf8$
    {26, 347, 316},	// Solid::OpticalDisc::trUtf8$$
    {26, 348, 318},	// Solid::OpticalDisc::trUtf8$$$
    {26, 373, 353},	// Solid::OpticalDisc::~OpticalDisc
    {27, 11, 382},	// Solid::OpticalDrive::Bd
    {27, 12, 383},	// Solid::OpticalDrive::Bdr
    {27, 13, 384},	// Solid::OpticalDrive::Bdre
    {27, 24, 372},	// Solid::OpticalDrive::Cdr
    {27, 26, 373},	// Solid::OpticalDrive::Cdrw
    {27, 53, 374},	// Solid::OpticalDrive::Dvd
    {27, 62, 380},	// Solid::OpticalDrive::Dvdplusdl
    {27, 63, 381},	// Solid::OpticalDrive::Dvdplusdlrw
    {27, 64, 378},	// Solid::OpticalDrive::Dvdplusr
    {27, 65, 379},	// Solid::OpticalDrive::Dvdplusrw
    {27, 66, 375},	// Solid::OpticalDrive::Dvdr
    {27, 67, 377},	// Solid::OpticalDrive::Dvdram
    {27, 68, 376},	// Solid::OpticalDrive::Dvdrw
    {27, 76, 385},	// Solid::OpticalDrive::HdDvd
    {27, 80, 386},	// Solid::OpticalDrive::HdDvdr
    {27, 81, 387},	// Solid::OpticalDrive::HdDvdrw
    {27, 223, 361},	// Solid::OpticalDrive::deviceInterfaceType
    {27, 235, 366},	// Solid::OpticalDrive::eject
    {27, 237, 368},	// Solid::OpticalDrive::ejectDone$#$
    {27, 239, 367},	// Solid::OpticalDrive::ejectPressed$
    {27, 283, 354},	// Solid::OpticalDrive::metaObject
    {27, 312, 360},	// Solid::OpticalDrive::qt_metacall$$?
    {27, 314, 355},	// Solid::OpticalDrive::qt_metacast$
    {27, 315, 363},	// Solid::OpticalDrive::readSpeed
    {27, 325, 371},	// Solid::OpticalDrive::staticMetaObject
    {27, 333, 362},	// Solid::OpticalDrive::supportedMedia
    {27, 342, 369},	// Solid::OpticalDrive::tr$
    {27, 343, 356},	// Solid::OpticalDrive::tr$$
    {27, 344, 358},	// Solid::OpticalDrive::tr$$$
    {27, 346, 370},	// Solid::OpticalDrive::trUtf8$
    {27, 347, 357},	// Solid::OpticalDrive::trUtf8$$
    {27, 348, 359},	// Solid::OpticalDrive::trUtf8$$$
    {27, 359, 364},	// Solid::OpticalDrive::writeSpeed
    {27, 360, 365},	// Solid::OpticalDrive::writeSpeeds
    {27, 374, 388},	// Solid::OpticalDrive::~OpticalDrive
    {28, 223, 396},	// Solid::PortableMediaPlayer::deviceInterfaceType
    {28, 234, 399},	// Solid::PortableMediaPlayer::driverHandle$
    {28, 283, 389},	// Solid::PortableMediaPlayer::metaObject
    {28, 312, 395},	// Solid::PortableMediaPlayer::qt_metacall$$?
    {28, 314, 390},	// Solid::PortableMediaPlayer::qt_metacast$
    {28, 325, 403},	// Solid::PortableMediaPlayer::staticMetaObject
    {28, 331, 402},	// Solid::PortableMediaPlayer::supportedDrivers
    {28, 332, 398},	// Solid::PortableMediaPlayer::supportedDrivers$
    {28, 334, 397},	// Solid::PortableMediaPlayer::supportedProtocols
    {28, 342, 400},	// Solid::PortableMediaPlayer::tr$
    {28, 343, 391},	// Solid::PortableMediaPlayer::tr$$
    {28, 344, 393},	// Solid::PortableMediaPlayer::tr$$$
    {28, 346, 401},	// Solid::PortableMediaPlayer::trUtf8$
    {28, 347, 392},	// Solid::PortableMediaPlayer::trUtf8$$
    {28, 348, 394},	// Solid::PortableMediaPlayer::trUtf8$$$
    {28, 375, 404},	// Solid::PortableMediaPlayer::~PortableMediaPlayer
    {29, 83, 414},	// Solid::PowerManagement::HibernateState
    {29, 165, 412},	// Solid::PowerManagement::StandbyState
    {29, 173, 413},	// Solid::PowerManagement::SuspendState
    {29, 196, 405},	// Solid::PowerManagement::appShouldConserveResources
    {29, 200, 409},	// Solid::PowerManagement::beginSuppressingSleep
    {29, 201, 408},	// Solid::PowerManagement::beginSuppressingSleep$
    {29, 285, 411},	// Solid::PowerManagement::notifier
    {29, 317, 410},	// Solid::PowerManagement::requestSleep$#$
    {29, 328, 407},	// Solid::PowerManagement::stopSuppressingSleep$
    {29, 335, 406},	// Solid::PowerManagement::supportedSleepStates
    {31, 29, 443},	// Solid::Predicate::Conjunction
    {31, 41, 444},	// Solid::Predicate::Disjunction
    {31, 70, 440},	// Solid::Predicate::Equals
    {31, 91, 445},	// Solid::Predicate::InterfaceCheck
    {31, 118, 441},	// Solid::Predicate::Mask
    {31, 136, 415},	// Solid::Predicate::Predicate
    {31, 137, 416},	// Solid::Predicate::Predicate#
    {31, 138, -1},	// Solid::Predicate::Predicate$
    {31, 139, -4},	// Solid::Predicate::Predicate$$#
    {31, 140, -7},	// Solid::Predicate::Predicate$$#$
    {31, 144, 442},	// Solid::Predicate::PropertyCheck
    {31, 212, 435},	// Solid::Predicate::comparisonOperator
    {31, 245, 436},	// Solid::Predicate::firstOperand
    {31, 247, 430},	// Solid::Predicate::fromString$
    {31, 255, 432},	// Solid::Predicate::interfaceType
    {31, 267, 426},	// Solid::Predicate::isValid
    {31, 280, 427},	// Solid::Predicate::matches#
    {31, 281, 434},	// Solid::Predicate::matchingValue
    {31, 288, 422},	// Solid::Predicate::operator&#
    {31, 290, 423},	// Solid::Predicate::operator&=#
    {31, 292, 421},	// Solid::Predicate::operator=#
    {31, 294, 424},	// Solid::Predicate::operator|#
    {31, 296, 425},	// Solid::Predicate::operator|=#
    {31, 310, 433},	// Solid::Predicate::propertyName
    {31, 318, 437},	// Solid::Predicate::secondOperand
    {31, 340, 429},	// Solid::Predicate::toString
    {31, 349, 431},	// Solid::Predicate::type
    {31, 356, 428},	// Solid::Predicate::usedTypes
    {31, 376, 446},	// Solid::Predicate::~Predicate
    {32, 3, 469},	// Solid::Processor::AltiVec
    {32, 4, 468},	// Solid::Processor::Amd3DNow
    {32, 86, 463},	// Solid::Processor::IntelMmx
    {32, 87, 464},	// Solid::Processor::IntelSse
    {32, 88, 465},	// Solid::Processor::IntelSse2
    {32, 89, 466},	// Solid::Processor::IntelSse3
    {32, 90, 467},	// Solid::Processor::IntelSse4
    {32, 125, 462},	// Solid::Processor::NoExtensions
    {32, 203, 457},	// Solid::Processor::canChangeFrequency
    {32, 223, 454},	// Solid::Processor::deviceInterfaceType
    {32, 254, 458},	// Solid::Processor::instructionSets
    {32, 282, 456},	// Solid::Processor::maxSpeed
    {32, 283, 447},	// Solid::Processor::metaObject
    {32, 286, 455},	// Solid::Processor::number
    {32, 312, 453},	// Solid::Processor::qt_metacall$$?
    {32, 314, 448},	// Solid::Processor::qt_metacast$
    {32, 325, 461},	// Solid::Processor::staticMetaObject
    {32, 342, 459},	// Solid::Processor::tr$
    {32, 343, 449},	// Solid::Processor::tr$$
    {32, 344, 451},	// Solid::Processor::tr$$$
    {32, 346, 460},	// Solid::Processor::trUtf8$
    {32, 347, 450},	// Solid::Processor::trUtf8$$
    {32, 348, 452},	// Solid::Processor::trUtf8$$$
    {32, 377, 470},	// Solid::Processor::~Processor
    {33, 167, 486},	// Solid::StorageAccess::StorageAccess##
    {33, 193, 483},	// Solid::StorageAccess::accessibilityChanged$$
    {33, 223, 478},	// Solid::StorageAccess::deviceInterfaceType
    {33, 244, 480},	// Solid::StorageAccess::filePath
    {33, 256, 479},	// Solid::StorageAccess::isAccessible
    {33, 283, 471},	// Solid::StorageAccess::metaObject
    {33, 312, 477},	// Solid::StorageAccess::qt_metacall$$?
    {33, 314, 472},	// Solid::StorageAccess::qt_metacast$
    {33, 319, 481},	// Solid::StorageAccess::setup
    {33, 321, 484},	// Solid::StorageAccess::setupDone$#$
    {33, 325, 489},	// Solid::StorageAccess::staticMetaObject
    {33, 336, 482},	// Solid::StorageAccess::teardown
    {33, 338, 485},	// Solid::StorageAccess::teardownDone$#$
    {33, 342, 487},	// Solid::StorageAccess::tr$
    {33, 343, 473},	// Solid::StorageAccess::tr$$
    {33, 344, 475},	// Solid::StorageAccess::tr$$$
    {33, 346, 488},	// Solid::StorageAccess::trUtf8$
    {33, 347, 474},	// Solid::StorageAccess::trUtf8$$
    {33, 348, 476},	// Solid::StorageAccess::trUtf8$$$
    {33, 378, 490},	// Solid::StorageAccess::~StorageAccess
    {35, 25, 514},	// Solid::StorageDrive::CdromDrive
    {35, 28, 517},	// Solid::StorageDrive::CompactFlash
    {35, 73, 515},	// Solid::StorageDrive::Floppy
    {35, 75, 513},	// Solid::StorageDrive::HardDisk
    {35, 84, 507},	// Solid::StorageDrive::Ide
    {35, 85, 509},	// Solid::StorageDrive::Ieee1394
    {35, 119, 518},	// Solid::StorageDrive::MemoryStick
    {35, 133, 512},	// Solid::StorageDrive::Platform
    {35, 158, 511},	// Solid::StorageDrive::Sata
    {35, 159, 510},	// Solid::StorageDrive::Scsi
    {35, 160, 520},	// Solid::StorageDrive::SdMmc
    {35, 164, 519},	// Solid::StorageDrive::SmartMedia
    {35, 169, 503},	// Solid::StorageDrive::StorageDrive##
    {35, 175, 516},	// Solid::StorageDrive::Tape
    {35, 186, 508},	// Solid::StorageDrive::Usb
    {35, 191, 521},	// Solid::StorageDrive::Xd
    {35, 202, 499},	// Solid::StorageDrive::bus
    {35, 223, 498},	// Solid::StorageDrive::deviceInterfaceType
    {35, 231, 500},	// Solid::StorageDrive::driveType
    {35, 261, 502},	// Solid::StorageDrive::isHotpluggable
    {35, 265, 501},	// Solid::StorageDrive::isRemovable
    {35, 283, 491},	// Solid::StorageDrive::metaObject
    {35, 312, 497},	// Solid::StorageDrive::qt_metacall$$?
    {35, 314, 492},	// Solid::StorageDrive::qt_metacast$
    {35, 325, 506},	// Solid::StorageDrive::staticMetaObject
    {35, 342, 504},	// Solid::StorageDrive::tr$
    {35, 343, 493},	// Solid::StorageDrive::tr$$
    {35, 344, 495},	// Solid::StorageDrive::tr$$$
    {35, 346, 505},	// Solid::StorageDrive::trUtf8$
    {35, 347, 494},	// Solid::StorageDrive::trUtf8$$
    {35, 348, 496},	// Solid::StorageDrive::trUtf8$$$
    {35, 379, 522},	// Solid::StorageDrive::~StorageDrive
    {37, 69, 547},	// Solid::StorageVolume::Encrypted
    {37, 71, 544},	// Solid::StorageVolume::FileSystem
    {37, 130, 542},	// Solid::StorageVolume::Other
    {37, 131, 545},	// Solid::StorageVolume::PartitionTable
    {37, 157, 546},	// Solid::StorageVolume::Raid
    {37, 171, 538},	// Solid::StorageVolume::StorageVolume##
    {37, 184, 543},	// Solid::StorageVolume::Unused
    {37, 223, 530},	// Solid::StorageVolume::deviceInterfaceType
    {37, 241, 537},	// Solid::StorageVolume::encryptedContainer
    {37, 248, 533},	// Solid::StorageVolume::fsType
    {37, 262, 531},	// Solid::StorageVolume::isIgnored
    {37, 269, 534},	// Solid::StorageVolume::label
    {37, 283, 523},	// Solid::StorageVolume::metaObject
    {37, 312, 529},	// Solid::StorageVolume::qt_metacall$$?
    {37, 314, 524},	// Solid::StorageVolume::qt_metacast$
    {37, 322, 536},	// Solid::StorageVolume::size
    {37, 325, 541},	// Solid::StorageVolume::staticMetaObject
    {37, 342, 539},	// Solid::StorageVolume::tr$
    {37, 343, 525},	// Solid::StorageVolume::tr$$
    {37, 344, 527},	// Solid::StorageVolume::tr$$$
    {37, 346, 540},	// Solid::StorageVolume::trUtf8$
    {37, 347, 526},	// Solid::StorageVolume::trUtf8$$
    {37, 348, 528},	// Solid::StorageVolume::trUtf8$$$
    {37, 355, 532},	// Solid::StorageVolume::usage
    {37, 357, 535},	// Solid::StorageVolume::uuid
    {37, 380, 548},	// Solid::StorageVolume::~StorageVolume
    {39, 223, 556},	// Solid::Video::deviceInterfaceType
    {39, 234, 559},	// Solid::Video::driverHandle$
    {39, 283, 549},	// Solid::Video::metaObject
    {39, 312, 555},	// Solid::Video::qt_metacall$$?
    {39, 314, 550},	// Solid::Video::qt_metacast$
    {39, 325, 563},	// Solid::Video::staticMetaObject
    {39, 331, 562},	// Solid::Video::supportedDrivers
    {39, 332, 558},	// Solid::Video::supportedDrivers$
    {39, 334, 557},	// Solid::Video::supportedProtocols
    {39, 342, 560},	// Solid::Video::tr$
    {39, 343, 551},	// Solid::Video::tr$$
    {39, 344, 553},	// Solid::Video::tr$$$
    {39, 346, 561},	// Solid::Video::trUtf8$
    {39, 347, 552},	// Solid::Video::trUtf8$$
    {39, 348, 554},	// Solid::Video::trUtf8$$$
    {39, 381, 564},	// Solid::Video::~Video
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *solid_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_solid_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    solid_Smoke = new Smoke(
        "solid",
        __smokesolid::classes, 39,
        __smokesolid::methods, 565,
        __smokesolid::methodMaps, 554,
        __smokesolid::methodNames, 381,
        __smokesolid::types, 168,
        __smokesolid::inheritanceList,
        __smokesolid::argumentList,
        __smokesolid::ambiguousMethodList,
        __smokesolid::cast );
    initialized = true;
}

void delete_solid_Smoke() { delete solid_Smoke; }

}
